commit 5279b2c4dfa73abbe4863a4e61dc85674a8f959b
Author: Martin Lambers <marlam@marlam.de>
Date:   2019-08-26 10:19:13 +0200

    gtatool: deprecate compression for the new version 2.4.0.
    
    The compress command now does nothing, and the info and gui commands
    skip compression information.

 gtatool/configure.ac           |  2 +-
 gtatool/src/array/compress.cpp | 12 +++++++-----
 gtatool/src/array/info.cpp     | 31 +++++++++++++++++--------------
 gtatool/src/gui/gui.cpp        | 33 ++-------------------------------
 gtatool/src/gui/gui.hpp        |  2 --
 5 files changed, 27 insertions(+), 53 deletions(-)

commit a1a95b3bb67d58430db066bd3b1172267769c6b9
Author: Martin Lambers <marlam@marlam.de>
Date:   2019-08-26 10:18:54 +0200

    gta from-exr: allow import of EXR files with more than 4 channels.

 gtatool/src/conv-exr/from-exr.cpp | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 9149f0d711e4e60d63dd24d457211b389332eac3
Author: Martin Lambers <marlam@marlam.de>
Date:   2019-06-29 16:52:38 +0200

    gtatool: check for libpcl 1.8/1.9/1.10 instead of 1.6/1.7/1.8

 gtatool/configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 986292f434ceaa1dfdfae4300ce775d5f1903a92
Author: Martin Lambers <marlam@marlam.de>
Date:   2019-04-05 13:59:25 +0200

    gtatool: bump version to 2.2.3

 gtatool/configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f12137997fffa46bd81c4940881861e042664f49
Author: Tim Landscheidt <tim@tim-landscheidt.de>
Date:   2019-03-17 09:50:47 +0100

    Fix out-of-range array access in gta component-split.

 gtatool/src/component/component-split.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e7dea8c1938698da7af5f2bc28373f0b27fb40da
Author: Tim Landscheidt <tim@tim-landscheidt.de>
Date:   2019-03-17 09:46:30 +0100

    Fix gta-create.sh test for locales that cannot parse the numbers that are used.

 gtatool/tests/gta-create.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6973243e4af0db99d9aa4812e60b372cf83de9ad
Author: Tim Landscheidt <tim@tim-landscheidt.de>
Date:   2019-03-17 09:44:03 +0100

    Use X.data() instead of &(X[0]) where appropriate
    
    This avoids FTBFS on Fedorea likely cause by -D_GLIBCXX_ASSERTIONS.

 gtatool/src/array/merge.cpp                 | 2 +-
 gtatool/src/component/component-extract.cpp | 2 +-
 gtatool/src/component/component-merge.cpp   | 4 ++--
 gtatool/src/component/component-set.cpp     | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit 55ef378bbfccbb5ec9ea0462c7bdd17e2bda0862
Author: Martin Lambers <marlam@marlam.de>
Date:   2019-02-19 09:59:37 +0100

    Fix broken link

 gtatool/src/component/component-compute.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2db16cc5d0055b6b641ca10a95b33eab125574e3
Author: Martin Lambers <marlam@marlam.de>
Date:   2018-11-30 15:02:06 +0100

    gtatool: bump version to 2.2.2

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e3105e9e9a5a53a257ad08f8aef18025215e99cb
Author: Martin Lambers <marlam@marlam.de>
Date:   2018-11-30 14:59:01 +0100

    gta component-convert: clamp during float -> (u)int conversion only if normalization is active

 gtatool/src/component/component-convert.cpp | 65 +++++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 37 insertions(+), 28 deletions(-)

commit da13b2da867073f7b78236133d77d32fe4cb8c84
Author: Martin Lambers <marlam@marlam.de>
Date:   2018-11-27 09:42:45 +0100

    gta component-compute: fix associativeness of '%' operator

 gtatool/src/component/component-compute.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 789c8e1d2b881599a256f07e85c8fab8b781a4eb
Author: Martin Lambers <marlam@marlam.de>
Date:   2018-11-26 10:01:19 +0100

    gta component-compute: add functionality from mucalc

 gtatool/src/component/component-compute.cpp | 133 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 130 insertions(+), 3 deletions(-)

commit 169f756a23c78e7e636d0cd86fe009b2b66be51a
Author: Martin Lambers <marlam@marlam.de>
Date:   2018-11-26 10:00:55 +0100

    Sync from Bino, to fix building with latest FFmpeg.

 gtatool/src/conv-ffmpeg/media_data.cpp   | 26 +++++++++++++++++++++++++-
 gtatool/src/conv-ffmpeg/media_data.h     |  4 +++-
 gtatool/src/conv-ffmpeg/media_object.cpp |  2 ++
 3 files changed, 30 insertions(+), 2 deletions(-)

commit a643d8a4f0de31c8d5c421a1e24e3d6712c7c944
Author: Martin Lambers <marlam@marlam.de>
Date:   2018-06-15 17:26:50 +0200

    gtatool: bump version to 2.2.1

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 10e8c8e8449fec1cb458e1be1c7e03bc5f2e4a7b
Author: Martin Lambers <marlam@marlam.de>
Date:   2018-06-13 12:35:48 +0200

    Update homepage and contact information.

 gtatool/README              | 2 +-
 gtatool/configure.ac        | 4 ++--
 gtatool/pkg/w32/gtatool.nsi | 8 ++++----
 gtatool/pkg/w32/notes.txt   | 2 +-
 4 files changed, 8 insertions(+), 8 deletions(-)

commit 35da68fb658e4b9c57b319d5443ac5e4ca547ebd
Author: Martin Lambers <marlam@marlam.de>
Date:   2018-02-23 12:01:48 +0100

    gta from-exr: set meaningful component order and names for RGB and RGBA data

 gtatool/src/conv-exr/from-exr.cpp | 31 +++++++++++++++++++++++++------
 1 file changed, 25 insertions(+), 6 deletions(-)

commit 37db71ca51f29b09b1e8e8f6335243ce7120e3ac
Author: Martin Lambers <marlam@marlam.de>
Date:   2017-10-27 13:09:19 +0200

    gta component-convert: clamp normalized values during float -> (u)int conversion

 gtatool/src/component/component-convert.cpp | 29 +++++++++++++++++++++++++++--
 1 file changed, 27 insertions(+), 2 deletions(-)

commit 78de726e7baa57606953c767ec61d1ab796aee33
Author: Martin Lambers <marlam@marlam.de>
Date:   2017-10-23 14:48:04 +0200

    gta from-pmd: also export the phase images (a and b tap) to gta

 gtatool/src/conv-pmd/from-pmd.cpp | 75 ++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 52 insertions(+), 23 deletions(-)

commit 23294ac3ec695a1434cd6c74e70c20331db69932
Merge: f333d01 109ee57
Author: Martin Lambers <marlam@marlam.de>
Date:   2017-10-20 15:34:46 +0200

    Merge branch 'master' of git.sv.gnu.org:/srv/git/gta

commit f333d01e5db1837648e25ad7d5da47671a6f060f
Author: Martin Lambers <marlam@marlam.de>
Date:   2017-10-20 15:29:21 +0200

    gta from-pmd: reintroduce ability to read raw source data

 gtatool/src/conv-pmd/from-pmd.cpp | 316 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------
 1 file changed, 186 insertions(+), 130 deletions(-)

commit 702edb5d417106b40a0b8740b7b833ad938638ae
Author: Martin Lambers <marlam@marlam.de>
Date:   2017-10-20 14:58:46 +0200

    Fix gcc warning

 gtatool/src/base/opt.cpp | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 109ee57e2469121520ee1ead5fcca7d8e9976b32
Author: Martin Lambers <marlam@marlam.de>
Date:   2017-10-01 16:33:35 +0200

    Revert commit 7963c22de093ac40e62a44cacb13f0b2fed19aa4
    
    This should fix test failures on Fedora, reported by Volker Fröhlich.
    It works on Debian unstable amd64.
    I don't remember the reason for commit
    7963c22de093ac40e62a44cacb13f0b2fed19aa4, but that patch seems to be misguided.

 gtatool/src/conv-netpbm/from-netpbm.cpp | 4 ++--
 gtatool/src/conv-netpbm/to-netpbm.cpp   | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 57e66c2f3856a8d8ebc95edf87b9533732c0a6fb
Author: Martin Lambers <marlam@marlam.de>
Date:   2017-08-28 10:50:48 +0200

    Avoid deprecated readdir_r.

 gtatool/configure.ac     |  4 ++--
 gtatool/src/base/fio.cpp | 63 ++++++++++++++++-----------------------------------------------
 2 files changed, 18 insertions(+), 49 deletions(-)

commit baa543e55b0bd9645a5fef3ddf1e4f97c5df1dda
Author: Martin Lambers <marlam@marlam.de>
Date:   2017-08-28 10:45:29 +0200

    Fix missing break statement, found by gcc 7

 gtatool/src/component/component-convert.cpp | 1 +
 1 file changed, 1 insertion(+)

commit 05f5f2fa8900e5cd9f6a16bae14facdcf4c8822a
Author: Martin Lambers <marlam@marlam.de>
Date:   2017-04-03 09:59:52 +0200

    Sync with latest Bino version to fix build problems with newer FFmpeg.

 gtatool/src/conv-ffmpeg/media_data.cpp   |  2 +-
 gtatool/src/conv-ffmpeg/media_object.cpp | 50 +++++++++++++++++++++++++-------------------------
 2 files changed, 26 insertions(+), 26 deletions(-)

commit 8dad2a3daa8db37b68ee7f0157a8974879d16c6b
Author: Hiroshi Miura <miurahr@linux.com>
Date:   2017-04-03 09:59:06 +0200

    Fix detection of Qt5 moc on Debian-derived systems with both Qt4 and Qt5

 gtatool/configure.ac | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit 3b6c09550fbf7fea7c05463f14451066c9bc6280
Author: Martin Lambers <marlam@marlam.de>
Date:   2016-02-11 21:11:28 +0100

    gta gui: execute test only with non-empty $DISPLAY

 gtatool/tests/gta-gui.sh | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 30330bfe5051de7cc7f8bd4493b746d2992ffc43
Author: Volker Fröhlich <volker27@gmx.at>
Date:   2016-02-11 21:04:41 +0100

    gta: fix detection of libpcl_io >= 1.8

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 083920bc63a694d255ab15963fc545d63cd2727e
Author: Martin Lambers <marlam@marlam.de>
Date:   2016-01-26 13:57:06 +0100

    gta: bump version to 2.2.0

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c22e558c06bf0f85393202b9bf6f51bb992b3be4
Author: Martin Lambers <marlam@marlam.de>
Date:   2016-01-26 13:56:05 +0100

    gta gui: fix menu entry for PNG image export

 gtatool/src/gui/gui.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 01f53850474af8d3fcb98efd8fe9f7f0f0ba888b
Author: Martin Lambers <marlam@marlam.de>
Date:   2016-01-26 13:55:23 +0100

    gta: remove the ill-conceived view command, and require Qt 5.5 for the GUI.

 gtatool/configure.ac                                          |  146 +----
 gtatool/src/Makefile.am                                       |   97 +---
 gtatool/src/bash-completion/gta                               |    8 -
 gtatool/src/cmds.cpp                                          |    6 +-
 gtatool/src/gui/gui.cpp                                       |  130 +----
 gtatool/src/gui/gui.hpp                                       |   10 +-
 gtatool/src/gui/viewwidget.hpp                                |   55 --
 gtatool/src/main.cpp                                          |   18 +-
 gtatool/src/view/TODO                                         |   20 -
 gtatool/src/view/base/ser.cpp                                 |  649 ---------------------
 gtatool/src/view/base/ser.h                                   |  246 --------
 gtatool/src/view/base/sys.cpp                                 |  121 ----
 gtatool/src/view/base/sys.h                                   |   36 --
 gtatool/src/view/base/tmr.cpp                                 |   85 ---
 gtatool/src/view/base/tmr.h                                   |   49 --
 gtatool/src/view/eq/eqwindow.cpp                              |  645 ---------------------
 gtatool/src/view/eq/eqwindow.hpp                              |   49 --
 gtatool/src/view/eq/tracking-eqevent.cpp                      |  224 --------
 gtatool/src/view/eq/tracking-eqevent.hpp                      |   58 --
 gtatool/src/view/eq/tracking.cpp                              |  135 -----
 gtatool/src/view/eq/tracking.hpp                              |  201 -------
 gtatool/src/view/glwidget.cpp                                 |  150 -----
 gtatool/src/view/glwidget.hpp                                 |   61 --
 gtatool/src/view/icons-local/README                           |   12 -
 gtatool/src/view/icons-local/output-type-alternating.png      |  Bin 473 -> 0 bytes
 gtatool/src/view/icons-local/output-type-amber-blue.png       |  Bin 1945 -> 0 bytes
 gtatool/src/view/icons-local/output-type-checkerboard.png     |  Bin 501 -> 0 bytes
 gtatool/src/view/icons-local/output-type-even-odd-columns.png |  Bin 365 -> 0 bytes
 gtatool/src/view/icons-local/output-type-even-odd-rows.png    |  Bin 339 -> 0 bytes
 gtatool/src/view/icons-local/output-type-green-magenta.png    |  Bin 1954 -> 0 bytes
 gtatool/src/view/icons-local/output-type-hdmi-frame-pack.png  |  Bin 1067 -> 0 bytes
 gtatool/src/view/icons-local/output-type-left-right-half.png  |  Bin 623 -> 0 bytes
 gtatool/src/view/icons-local/output-type-left-right.png       |  Bin 718 -> 0 bytes
 gtatool/src/view/icons-local/output-type-mono-left.png        |  Bin 323 -> 0 bytes
 gtatool/src/view/icons-local/output-type-mono-right.png       |  Bin 480 -> 0 bytes
 gtatool/src/view/icons-local/output-type-red-blue.png         |  Bin 1898 -> 0 bytes
 gtatool/src/view/icons-local/output-type-red-cyan.png         |  Bin 1943 -> 0 bytes
 gtatool/src/view/icons-local/output-type-red-green.png        |  Bin 1891 -> 0 bytes
 gtatool/src/view/icons-local/output-type-stereo.png           |  Bin 842 -> 0 bytes
 gtatool/src/view/icons-local/output-type-top-bottom-half.png  |  Bin 579 -> 0 bytes
 gtatool/src/view/icons-local/output-type-top-bottom.png       |  Bin 838 -> 0 bytes
 gtatool/src/view/minmaxhist.cpp                               |  245 --------
 gtatool/src/view/minmaxhist.hpp                               |   51 --
 gtatool/src/view/mode_2d_fs.glsl                              |  224 --------
 gtatool/src/view/mode_2d_widget.cpp                           |  675 ----------------------
 gtatool/src/view/mode_2d_widget.hpp                           |  149 -----
 gtatool/src/view/renderer.cpp                                 |  721 ------------------------
 gtatool/src/view/renderer.hpp                                 |  118 ----
 gtatool/src/view/view.cpp                                     |   62 --
 gtatool/src/view/view.qrc                                     |   21 -
 gtatool/src/view/viewparams.cpp                               |  300 ----------
 gtatool/src/view/viewparams.hpp                               |  118 ----
 gtatool/src/view/widget.cpp                                   |  825 ---------------------------
 gtatool/src/view/widget.hpp                                   |  133 -----
 gtatool/src/view/xgl/glcontext.hpp                            |   67 ---
 gtatool/src/view/xgl/glmanager.cpp                            |  180 ------
 gtatool/src/view/xgl/glmanager.hpp                            |   70 ---
 gtatool/src/view/xgl/glnavigator.hpp                          |   47 --
 gtatool/src/view/xgl/glrenderer.hpp                           |   77 ---
 gtatool/src/view/xgl/glvm-ser.hpp                             |  164 ------
 gtatool/src/view/xgl/glvm.hpp                                 | 3661 -----------------------------------------------------------------------------------------------------------------------
 gtatool/src/view/xgl/glwindow.hpp                             |   76 ---
 gtatool/src/view/xgl/navigator.cpp                            |  245 --------
 gtatool/src/view/xgl/navigator.hpp                            |  128 -----
 gtatool/src/view/xqglwidget.cpp                               |  495 ----------------
 gtatool/src/view/xqglwidget.hpp                               |  127 -----
 gtatool/tests/Makefile.am                                     |    6 +-
 gtatool/tests/gta-view.sh                                     |   16 -
 68 files changed, 44 insertions(+), 12168 deletions(-)

commit d4baaf96898eb48bd1781619e6e78efc48ca6120
Author: Martin Lambers <marlam@marlam.de>
Date:   2015-08-07 17:09:10 +0200

    gta from-pfs, to-pfs: fix compilation with latest pfstools.
    
    Reported and tested by Volker Fröhlich. Thanks!

 gtatool/src/conv-pfs/from-pfs.cpp | 12 ++++++------
 gtatool/src/conv-pfs/to-pfs.cpp   | 12 ++++++------
 2 files changed, 12 insertions(+), 12 deletions(-)

commit 1484b4960d1d6e7795c12a2bfcfc8ba428efe358
Author: Martin Lambers <marlam@marlam.de>
Date:   2015-01-09 19:45:33 +0100

    gta: update base modules and sync FFmpeg code with Bino.

 gtatool/configure.ac                                 |   4 +-
 gtatool/src/Makefile.am                              |   9 +-
 gtatool/src/base/dbg.cpp                             |   8 +-
 gtatool/src/base/exc.cpp                             |   8 +-
 gtatool/src/base/fio.cpp                             |  28 ++++-
 gtatool/src/base/fio.h                               |   7 +-
 gtatool/src/base/opt.cpp                             |   8 +-
 gtatool/src/base/str.cpp                             |   8 +-
 gtatool/src/conv-ffmpeg/{thread.cpp => base/pth.cpp} |   8 +-
 gtatool/src/conv-ffmpeg/{thread.h => base/pth.h}     |   8 +-
 gtatool/src/conv-ffmpeg/{s11n.cpp => base/ser.cpp}   |   4 +-
 gtatool/src/conv-ffmpeg/{s11n.h => base/ser.h}       |  16 ++-
 gtatool/src/conv-ffmpeg/media_data.cpp               |   8 +-
 gtatool/src/conv-ffmpeg/media_data.h                 |   4 +-
 gtatool/src/conv-ffmpeg/media_object.cpp             |  10 +-
 gtatool/src/view/base/ser.cpp                        |   2 +-
 gtatool/src/view/base/sys.cpp                        |   2 +-
 gtatool/src/view/base/tmr.cpp                        |   8 +-
 gtatool/src/view/xgl/glvm.hpp                        | 739 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------
 19 files changed, 465 insertions(+), 424 deletions(-)

commit 7963c22de093ac40e62a44cacb13f0b2fed19aa4
Author: Martin Lambers <marlam@marlam.de>
Date:   2015-01-07 20:48:01 +0100

    gta from-netpbm, to-netpbm: fix for 64 bit builds

 gtatool/src/conv-netpbm/from-netpbm.cpp | 4 ++--
 gtatool/src/conv-netpbm/to-netpbm.cpp   | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit ff0db13784787e65e9936673f3333116cd042ee6
Author: Martin Lambers <marlam@marlam.de>
Date:   2015-01-07 20:45:19 +0100

    gta from-pfs, to-pfs: fix for pfstools 2.0.0

 gtatool/configure.ac              | 8 +++++++-
 gtatool/src/conv-pfs/from-pfs.cpp | 8 ++++++--
 gtatool/src/conv-pfs/to-pfs.cpp   | 8 ++++++--
 3 files changed, 19 insertions(+), 5 deletions(-)

commit f38ae5a40efce5ed0d13c56f7f9d14c89341b0bb
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-23 13:37:17 +0100

    gta: move from mingw to mingw64 as only supported Windows build platform

 gtatool/src/base/fio.cpp      | 2 +-
 gtatool/src/gui/gui.cpp       | 1 -
 gtatool/src/view/base/sys.cpp | 1 -
 3 files changed, 1 insertion(+), 3 deletions(-)

commit 51ac9e698942f2bc25c2069278acfc5d8bc38a6d
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-20 17:04:22 +0100

    gta: bump version to 2.1.0

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 27b5322a2e26b0240270188b7c2b1cc84d9f0966
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-20 17:04:09 +0100

    gta: fix base module blb

 gtatool/src/base/blb.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 693f14e22102af45ed8c1ae93b4e139093c8918d
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-19 07:46:13 +0100

    gta: always distribute all test files.
    
    Reported by Volker Fröhlich.

 gtatool/tests/Makefile.am | 63 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 60 insertions(+), 3 deletions(-)

commit 14d22588632c2b8ef843ad5305599eddf07a8bf2
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-12 22:53:12 +0100

    gta: fix memory leak in base module blb

 gtatool/src/base/blb.h | 1 +
 1 file changed, 1 insertion(+)

commit 3f6d47e7371f5aa53c6af8886b71ed7204327ed5
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-12 12:24:49 +0100

    gta: fix clang++ warnings

 gtatool/src/base/str.cpp | 4 ++--
 gtatool/src/cmds.cpp     | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit a7ffebf8b0774372d1e07323a05de4da56fb39a8
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-11 17:27:11 +0100

    Fix a few problems found with scan-build.

 gtatool/src/array/info.cpp      |  2 +-
 gtatool/src/base/blb.h          | 12 ++++++++++--
 gtatool/src/gui/gui.cpp         |  2 +-
 gtatool/src/view/minmaxhist.cpp |  5 ++++-
 4 files changed, 16 insertions(+), 5 deletions(-)

commit be70c33d22510beb2a3469070f9dd656abd07131
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-10-29 21:38:39 +0100

    gta: add --large-address-aware linker flag for 32bit Windows executables

 gtatool/configure.ac | 2 ++
 1 file changed, 2 insertions(+)

commit 6273810c8f3b3a9562f765a6dde7db66740bcfd1
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-10-29 19:51:28 +0100

    gta: add README.hacking

 gtatool/Makefile.am    |  4 ++--
 gtatool/README.hacking | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+), 2 deletions(-)

commit da8f02058d04c40aba001065f03f1586aa74033a
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-10-29 19:50:08 +0100

    gta from-png, to-png: fix support for some obscure PNG formats and features

 gtatool/src/conv-png/from-png.cpp | 13 ++++++++-----
 gtatool/src/conv-png/to-png.cpp   |  2 +-
 2 files changed, 9 insertions(+), 6 deletions(-)

commit 123007a79b9824f4808b103f5f7517026b17ab7e
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-10-29 19:49:29 +0100

    gta: add libs required by base modules only to main program, not to all modules

 gtatool/configure.ac    | 19 +++++++++++++------
 gtatool/src/Makefile.am |  2 +-
 2 files changed, 14 insertions(+), 7 deletions(-)

commit 3e53276b658d20cd4078382ea69e01bda81d4cdc
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-10-28 22:10:03 +0100

    gta: add from-png, to-png for import/export of PNG images via libpng

 gtatool/configure.ac              |  15 ++++++++++++
 gtatool/src/Makefile.am           |  12 ++++++++++
 gtatool/src/bash-completion/gta   |  18 +++++++++++++-
 gtatool/src/cmds.cpp              |   6 +++++
 gtatool/src/conv-png/from-png.cpp | 164 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/conv-png/to-png.cpp   | 195 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/conv/filters.cpp      |   1 +
 gtatool/src/gui/gui.cpp           |  18 ++++++++++++++
 gtatool/src/gui/gui.hpp           |   4 +++-
 gtatool/tests/Makefile.am         |   3 +++
 gtatool/tests/conv-png.sh         |  44 ++++++++++++++++++++++++++++++++++
 11 files changed, 478 insertions(+), 2 deletions(-)

commit e0685b5c9eaa9d14972560b9a7cf21802ce2c179
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-10-12 14:12:07 +0200

    gta to-pfs: add support for float128, int128, uint128

 gtatool/src/conv-pfs/to-pfs.cpp | 63 ++++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 52 insertions(+), 11 deletions(-)

commit 3b5316b80a9626a4d0fe23ebf827994a036fb82d
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-10-12 14:11:48 +0200

    gta to-exr: add support for float128, int128, uint128

 gtatool/src/conv-exr/to-exr.cpp | 62 ++++++++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 52 insertions(+), 10 deletions(-)

commit a05b50343e8d05d69d68756b00c4df8db4b509b1
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-10-12 14:11:00 +0200

    gta from-csv, to-csv: improve conversion to and from strings, and add support for float128, int128, uint128

 gtatool/src/conv-csv/from-csv.cpp | 152 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------
 gtatool/src/conv-csv/to-csv.cpp   | 130 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------
 2 files changed, 121 insertions(+), 161 deletions(-)

commit d0461148d01f0fd485b8bfdbcb89897f21b8d496
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-10-12 14:10:41 +0200

    gta: add support for float128, int128, and uint128 to relevant core commands

 gtatool/src/array/combine.cpp               |  32 ++++++++++--
 gtatool/src/array/diff.cpp                  |  42 ++++++++++++++--
 gtatool/src/array/info.cpp                  |  58 +++++++++++++++++++++-
 gtatool/src/component/component-compute.cpp | 108 ++++++++++++++++++++++++++++++++++++++---
 gtatool/src/component/component-convert.cpp | 366 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------
 gtatool/src/lib.cpp                         | 131 ++++++++++++++++++++++++--------------------------
 gtatool/src/lib.h                           |  27 +++++++++++
 gtatool/src/view/minmaxhist.cpp             |  30 ++++++++++++
 gtatool/src/view/renderer.cpp               |  60 ++++++++++++++++++++++-
 gtatool/src/view/viewparams.cpp             |  14 +++++-
 10 files changed, 726 insertions(+), 142 deletions(-)

commit 5c78bb5b5a9454450a8d40ca6f742f71b249bd15
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-10-12 14:09:13 +0200

    gta base: add support for gcc's __int128 and __float128 types

 gtatool/configure.ac     |   5 ++
 gtatool/src/base/str.cpp | 521 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------
 gtatool/src/base/str.h   |  31 +++++++++-
 3 files changed, 501 insertions(+), 56 deletions(-)

commit 05eb84c93b4a15426f0dd78bd148a2d3cb3c2be2
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-09-26 18:11:52 +0200

    gta: bump version to 2.0.1

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ac402b0a18a4364af1ec3216b4fec6c921769f30
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-09-26 18:11:18 +0200

    gta view: distribute icons in release tar archives.

 gtatool/src/Makefile.am | 22 ++++++++++++++++++++--
 1 file changed, 20 insertions(+), 2 deletions(-)

commit ab1bbd9e3422b8e41d25b0f2ebb94aa5f38b206e
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-09-23 20:31:35 +0200

    gta view: add roadmap for future improvements as a TODO list

 gtatool/src/view/TODO | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 4e4ee0290af681269a6486a3a18309fa1ebc4091
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-09-23 20:31:18 +0200

    gta view: make toolbox wider

 gtatool/src/view/mode_2d_widget.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e16739b172cdbc518d4a69f24d84fc01f3a1592b
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-09-21 16:55:29 +0200

    gta gui: fix import/export file names on Windows systems

 gtatool/src/gui/gui.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 39a3b9bfdf7e6d6724f05190248fc27f6315aa69
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-09-21 16:20:28 +0200

    gta to-csv: avoid compiler warning introduced with C++11 mode

 gtatool/src/conv-csv/to-csv.cpp | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 19430decd37c285e4463802d7bcab8e16611578e
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-09-20 20:27:20 +0200

    gta from-magick, to-magick: allow to choose either GraphicsMagick (default) or ImageMagick.
    
    Default is GraphicsMagick since ImageMagick regularly breaks things.

 gtatool/configure.ac                    | 35 +++++++++++++++++++++++++++--------
 gtatool/src/cmds.cpp                    |  4 ++--
 gtatool/src/conv-magick/from-magick.cpp |  4 ++--
 gtatool/src/conv-magick/to-magick.cpp   |  4 ++--
 gtatool/src/gui/gui.cpp                 |  4 ++--
 5 files changed, 35 insertions(+), 16 deletions(-)

commit 342914e04031ad1e335b660a0a77a66d4445c2e2
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-09-19 19:54:46 +0200

    gta gui, gta view: avoid the unreliable QKeySequence::Quit, use Ctrl+Q explicitly.

 gtatool/src/gui/gui.cpp     | 2 +-
 gtatool/src/view/widget.cpp | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 8f9bdbae1119ef4d0e0f02f94d010e0406e57665
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-09-19 16:12:35 +0200

    gta view: update glvm, and all callers

 gtatool/src/view/eq/eqwindow.cpp  |   23 +-
 gtatool/src/view/xgl/glvm-ser.hpp |  130 ++++-
 gtatool/src/view/xgl/glvm.hpp     | 4555 ++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------
 gtatool/src/view/xqglwidget.cpp   |   16 +-
 4 files changed, 1683 insertions(+), 3041 deletions(-)

commit 55f802c2f917b59bec25dcb640562c963b6af911
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-09-19 16:10:47 +0200

    gta: require C++11

 gtatool/configure.ac | 2 ++
 1 file changed, 2 insertions(+)

commit 9569b6c1522ff2b96bb05427a6c7e0297bbbac30
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-09-19 09:02:19 +0200

    gta view: disable 'configure Equalizer' menu option for now

 gtatool/src/view/widget.cpp | 2 ++
 1 file changed, 2 insertions(+)

commit fd0ab5085e7967d93c864740b16f8b72ed4998e3
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-09-19 08:59:29 +0200

    gta view: fix handling of RGB vs SRGB

 gtatool/src/view/mode_2d_fs.glsl | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit a6b18c3665ee4793c17597532d04cf4ab790a002
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-09-19 08:31:10 +0200

    gta view: keep view parameters for all GTAs in a file if they are compatible.

 gtatool/src/view/widget.cpp | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 2602c04f1dd20e7066d54dc194ed96efc3fba23e
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-09-18 10:04:05 +0200

    gta from-ffmpeg: sync source from Bino, to add support for newer ffmpeg/libav.

 gtatool/src/conv-ffmpeg/media_object.cpp | 45 +++++++++++++++++++++++++++++++--------------
 1 file changed, 31 insertions(+), 14 deletions(-)

commit 3d3ff5d03a71d2816cc80b588f57245e75d56b45
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-05-09 16:33:03 +0200

    gta combine: improve --help text

 gtatool/src/array/combine.cpp | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 489b99d335bcebe79fbe1923cfdb1c6feff17c77
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-05-09 12:23:45 +0200

    gta: add a first example to the manual.
    
    The plan is to extent the list of examples over time, to get some sort of
    HOWTO reference.

 gtatool/doc/gta.texi | 72 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 68 insertions(+), 4 deletions(-)

commit 3737d448d0502af79f975c9f56b0d257b37f51a6
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-05-07 14:32:36 +0200

    gta to-ply: assume x,y,z when exporting 3 unlabeled components.

 gtatool/src/conv-ply/to-ply.cpp | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit cfaf5954b20965900a2d37e61dda08bf0603431d
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-03-20 13:49:07 +0100

    gta: re-add from-pmd command.
    
    This new version is based on the proprietary PMD SDK.
    This is necessary to get meaningful data from the .pmd files.
    
    The command is not yet complete, and is only tests with CamCube data for now.

 gtatool/configure.ac              |  17 ++++++++++++
 gtatool/src/Makefile.am           |  11 ++++++++
 gtatool/src/bash-completion/gta   |   8 ++++++
 gtatool/src/cmds.cpp              |   3 +++
 gtatool/src/conv-pmd/from-pmd.cpp | 217 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/tests/Makefile.am         |   3 +++
 gtatool/tests/conv-pmd.sh         |  16 +++++++++++
 7 files changed, 275 insertions(+)

commit 0463bfe1e49882c4bbc41f160e337679261e93ff
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-03-20 13:48:23 +0100

    gta: update base modules.

 gtatool/src/base/blb.h   | 16 ++++++++--------
 gtatool/src/base/str.cpp | 56 +++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 gtatool/src/base/str.h   |  4 ++++
 3 files changed, 67 insertions(+), 9 deletions(-)

commit deeb2654c62743822a21dd8ac9406b721172c63f
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-03-10 08:14:56 +0100

    gta from-pmd: remove command
    
    Importing this data without using the proprietary PMD SDK to get calibrated
    depth, amplitude, and intensity does not make sense.

 gtatool/configure.ac              |   8 ------
 gtatool/src/Makefile.am           |   9 -------
 gtatool/src/bash-completion/gta   |   8 ------
 gtatool/src/cmds.cpp              |   5 +---
 gtatool/src/conv-pmd/from-pmd.cpp | 215 ----------------------------------------------------------------------------------------------------------------------------------------------------
 gtatool/tests/Makefile.am         |   3 ---
 gtatool/tests/conv-pmd.sh         |  16 -----------
 7 files changed, 1 insertion(+), 263 deletions(-)

commit 6502e8e80844d412ce395308f82c5c614430df4d
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-02-25 19:41:26 +0100

    gta from-dcmtk: add support for RGB images

 gtatool/configure.ac                  | 6 +++---
 gtatool/src/Makefile.am               | 6 +++---
 gtatool/src/conv-dcmtk/from-dcmtk.cpp | 3 ++-
 3 files changed, 8 insertions(+), 7 deletions(-)

commit 88f2a0ceb77b2ff700956e7d589986903d0bd27a
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-02-25 10:26:38 +0100

    gtatool: fix a few implicit conversions from float to double.

 gtatool/src/component/component-convert.cpp | 10 +++++-----
 gtatool/src/view/viewparams.cpp             |  4 ++--
 2 files changed, 7 insertions(+), 7 deletions(-)

commit a9394d95987ddbcee9623ef880a5621b98ad9290
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-02-18 08:16:57 +0100

    gta: bump version to 2.0.0.

 gtatool/configure.ac | 2 +-
 gtatool/doc/gta.1    | 4 ++--
 gtatool/doc/gta.texi | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 3ecdebfc08290c3a557ed74cc8643ab9606a30ab
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-02-18 08:10:02 +0100

    gta view: add new command.
    
    This is the beginning of an OpenGL-based viewer for array data.
    
    Preliminary support is available for 2D arrays containing scalar values or
    images. Planned features include support 3D volumes and other types of arrays.
    
    As a side effect of this command, Qt4 support has been reenabled and will
    remain the default until Qt5 is more solid.

 gtatool/configure.ac                                          |  156 +++-
 gtatool/src/Makefile.am                                       |   79 +-
 gtatool/src/base/Makefile.am                                  |    1 +
 gtatool/src/base/blb.h                                        |    2 +-
 gtatool/src/base/dbg.cpp                                      |    6 +-
 gtatool/src/base/dbg.h                                        |    4 +-
 gtatool/src/base/exc.cpp                                      |    6 +-
 gtatool/src/base/fio.cpp                                      |    8 +-
 gtatool/src/base/msg.cpp                                      |    6 +-
 gtatool/src/base/opt.cpp                                      |    6 +-
 gtatool/src/base/str.cpp                                      |   10 +-
 gtatool/src/bash-completion/gta                               |    8 +
 gtatool/src/cmds.cpp                                          |   10 +
 gtatool/src/cmds.h                                            |    5 +
 gtatool/src/gui/gui.cpp                                       |  250 ++++--
 gtatool/src/gui/{gui.h => gui.hpp}                            |   27 +-
 gtatool/src/gui/viewwidget.hpp                                |   55 ++
 gtatool/src/lib.cpp                                           |    4 +-
 gtatool/src/lib.h                                             |    6 +-
 gtatool/src/main.cpp                                          |   19 +-
 gtatool/src/view/base/ser.cpp                                 |  649 ++++++++++++++++
 gtatool/src/view/base/ser.h                                   |  246 ++++++
 gtatool/src/view/base/sys.cpp                                 |  122 +++
 gtatool/src/view/base/sys.h                                   |   36 +
 gtatool/src/view/base/tmr.cpp                                 |   85 ++
 gtatool/src/view/base/tmr.h                                   |   49 ++
 gtatool/src/view/eq/eqwindow.cpp                              |  644 +++++++++++++++
 gtatool/src/view/eq/eqwindow.hpp                              |   49 ++
 gtatool/src/view/eq/tracking-eqevent.cpp                      |  224 ++++++
 gtatool/src/view/eq/tracking-eqevent.hpp                      |   58 ++
 gtatool/src/view/eq/tracking.cpp                              |  135 ++++
 gtatool/src/view/eq/tracking.hpp                              |  201 +++++
 gtatool/src/view/glwidget.cpp                                 |  150 ++++
 gtatool/src/view/glwidget.hpp                                 |   61 ++
 gtatool/src/view/icons-local/README                           |   12 +
 gtatool/src/view/icons-local/output-type-alternating.png      |  Bin 0 -> 473 bytes
 gtatool/src/view/icons-local/output-type-amber-blue.png       |  Bin 0 -> 1945 bytes
 gtatool/src/view/icons-local/output-type-checkerboard.png     |  Bin 0 -> 501 bytes
 gtatool/src/view/icons-local/output-type-even-odd-columns.png |  Bin 0 -> 365 bytes
 gtatool/src/view/icons-local/output-type-even-odd-rows.png    |  Bin 0 -> 339 bytes
 gtatool/src/view/icons-local/output-type-green-magenta.png    |  Bin 0 -> 1954 bytes
 gtatool/src/view/icons-local/output-type-hdmi-frame-pack.png  |  Bin 0 -> 1067 bytes
 gtatool/src/view/icons-local/output-type-left-right-half.png  |  Bin 0 -> 623 bytes
 gtatool/src/view/icons-local/output-type-left-right.png       |  Bin 0 -> 718 bytes
 gtatool/src/view/icons-local/output-type-mono-left.png        |  Bin 0 -> 323 bytes
 gtatool/src/view/icons-local/output-type-mono-right.png       |  Bin 0 -> 480 bytes
 gtatool/src/view/icons-local/output-type-red-blue.png         |  Bin 0 -> 1898 bytes
 gtatool/src/view/icons-local/output-type-red-cyan.png         |  Bin 0 -> 1943 bytes
 gtatool/src/view/icons-local/output-type-red-green.png        |  Bin 0 -> 1891 bytes
 gtatool/src/view/icons-local/output-type-stereo.png           |  Bin 0 -> 842 bytes
 gtatool/src/view/icons-local/output-type-top-bottom-half.png  |  Bin 0 -> 579 bytes
 gtatool/src/view/icons-local/output-type-top-bottom.png       |  Bin 0 -> 838 bytes
 gtatool/src/view/minmaxhist.cpp                               |  212 +++++
 gtatool/src/view/minmaxhist.hpp                               |   51 ++
 gtatool/src/view/mode_2d_fs.glsl                              |  224 ++++++
 gtatool/src/view/mode_2d_widget.cpp                           |  675 ++++++++++++++++
 gtatool/src/view/mode_2d_widget.hpp                           |  149 ++++
 gtatool/src/view/renderer.cpp                                 |  663 ++++++++++++++++
 gtatool/src/view/renderer.hpp                                 |  118 +++
 gtatool/src/view/view.cpp                                     |   62 ++
 gtatool/src/view/view.qrc                                     |   21 +
 gtatool/src/view/viewparams.cpp                               |  288 +++++++
 gtatool/src/view/viewparams.hpp                               |  118 +++
 gtatool/src/view/widget.cpp                                   |  822 ++++++++++++++++++++
 gtatool/src/view/widget.hpp                                   |  133 ++++
 gtatool/src/view/xgl/glcontext.hpp                            |   67 ++
 gtatool/src/view/xgl/glmanager.cpp                            |  180 +++++
 gtatool/src/view/xgl/glmanager.hpp                            |   70 ++
 gtatool/src/view/xgl/glnavigator.hpp                          |   47 ++
 gtatool/src/view/xgl/glrenderer.hpp                           |   77 ++
 gtatool/src/view/xgl/glvm-ser.hpp                             |   68 ++
 gtatool/src/view/xgl/glvm.hpp                                 | 5099 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/view/xgl/glwindow.hpp                             |   76 ++
 gtatool/src/view/xgl/navigator.cpp                            |  245 ++++++
 gtatool/src/view/xgl/navigator.hpp                            |  128 +++
 gtatool/src/view/xqglwidget.cpp                               |  495 ++++++++++++
 gtatool/src/view/xqglwidget.hpp                               |  127 +++
 gtatool/tests/Makefile.am                                     |    3 +
 gtatool/tests/gta-view.sh                                     |   16 +
 79 files changed, 13497 insertions(+), 126 deletions(-)

commit 4a18491d32b3d1b21445fcecfddeca5aff35954f
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-02-14 15:06:36 +0100

    gta from-teem, to-teem: fix static linking with MXE builds

 gtatool/configure.ac | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit ef71e5f1d6d4be8b32b01da304e5e7692a35629e
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-02-04 14:15:01 +0100

    gta from-mat, to-mat: update for libmatio >= 1.5.0.

 gtatool/configure.ac              |  4 ++--
 gtatool/src/conv-mat/from-mat.cpp |  6 +-----
 gtatool/src/conv-mat/to-mat.cpp   | 38 ++++++--------------------------------
 gtatool/tests/conv-mat.sh         |  5 ++---
 4 files changed, 11 insertions(+), 42 deletions(-)

commit c9251c9bb246b0a195db77de93d525c12ef8cdb3
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-02-04 13:50:20 +0100

    gta from-csv, to-csv: add support for the NO_DATA_VALUE tag.

 gtatool/src/conv-csv/from-csv.cpp | 16 ++++++++++++++--
 gtatool/src/conv-csv/to-csv.cpp   | 31 ++++++++++++++++++++++++++++++-
 2 files changed, 44 insertions(+), 3 deletions(-)

commit b212974063fa992ca72a9afef675a4ca8a30af7a
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-02-04 09:26:00 +0100

    gta from-csv: permit empty array at end of input file.

 gtatool/src/conv-csv/from-csv.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 8dfa9f4bb6bf3aa620e354bf429e7283f5ffd94f
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-02-04 09:24:52 +0100

    gta from-csv: autodetect delimiter by default.

 gtatool/src/conv-csv/from-csv.cpp | 26 +++++++++++++++++++++++---
 1 file changed, 23 insertions(+), 3 deletions(-)

commit 7f43a1ca2dcedb4600674a81e019cfbe92d96418
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-01-31 16:59:44 +0100

    gta from-csv, to-csv: add support for multiple arrays in one CSV file

 gtatool/src/conv-csv/from-csv.cpp | 144 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------
 gtatool/src/conv-csv/to-csv.cpp   |  30 ++++++++++++++++++++----------
 gtatool/tests/conv-csv.sh         |  20 +++++++++++++++++++-
 3 files changed, 119 insertions(+), 75 deletions(-)

commit 224f68664e7bfb92d89e7d35101d26a39b3aec23
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-01-14 16:54:40 +0100

    gta from-csv: allow tab as field delimiter

 gtatool/src/conv-csv/delimiter.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 35d1c3c1f5ba1a68f6036b870bd40251f1667e0f
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-01-06 12:54:04 +0100

    gta from-raw: add several options for finer control.
    
    This adds --stream-skip, --array-pre-skip, --array-post-skip.

 gtatool/src/conv-raw/from-raw.cpp | 28 ++++++++++++++++++++++++++--
 1 file changed, 26 insertions(+), 2 deletions(-)

commit 8117461d8f79225b59b68c020e57fb9a81fa0884
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-12-16 15:52:06 +0100

    gta from-raw: add option -n to specify number of arrays.

 gtatool/src/conv-raw/from-raw.cpp | 13 ++++++++++---
 gtatool/src/lib.h                 | 10 ++++++++++
 2 files changed, 20 insertions(+), 3 deletions(-)

commit 8ced15ae07627f8fc67527c781221da7cebcab17
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-12-09 14:17:08 +0100

    gta info: handle NO_DATA_VALUE, and only use real part of complex numbers.

 gtatool/src/array/info.cpp | 105 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 81 insertions(+), 24 deletions(-)

commit 7c206ad4d941e726c6e4f2ce19f05f99174aadb6
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-12-09 14:16:18 +0100

    gta component-convert: only using real part of complex numbers if necessary
    
    The old behaviour was to use the amplitude.

 gtatool/src/component/component-convert.cpp | 64 ++++++----------------------------------------------------------
 1 file changed, 6 insertions(+), 58 deletions(-)

commit d27887c4cafb0c246e30b0afffaf343e69ff017a
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-10-28 21:44:07 +0100

    gta from-ffmpeg: sync FFmpeg code from latest Bino version.

 gtatool/src/conv-ffmpeg/media_data.cpp   | 15 ++++++++++++++-
 gtatool/src/conv-ffmpeg/media_data.h     |  4 +++-
 gtatool/src/conv-ffmpeg/media_object.cpp | 13 ++++++++++---
 3 files changed, 27 insertions(+), 5 deletions(-)

commit 01376a8bafc8bc13ea9f615be741865be191e7b5
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-10-10 13:57:39 +0200

    gtatool: update .gitignore and configure.ac for latest autotools.

 gtatool/.gitignore   | 9 +--------
 gtatool/configure.ac | 2 +-
 2 files changed, 2 insertions(+), 9 deletions(-)

commit a87b0fff3a06a2ab53f494a7b20d9cf3f86f0201
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-09-09 08:46:34 +0200

    gta: fix bug in base module fio
    
    Reported by David Binderman.

 gtatool/src/base/fio.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ed0f25a4231158f2ac0c4bbe654403d4d496a57d
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-08-15 13:00:06 +0200

    gta from-pcd, to-pcd: port to libpcl version 1.7 (1.6 still works)

 gtatool/configure.ac              | 12 +++++++-----
 gtatool/src/conv-pcd/from-pcd.cpp |  5 +++++
 2 files changed, 12 insertions(+), 5 deletions(-)

commit d53ef38b50deb1d958446da375838e2806781f87
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-07-18 14:32:07 +0200

    gta from-pmd: remove from automatic import filter list, since some options are mandatory.

 gtatool/src/conv/filters.cpp | 2 --
 1 file changed, 2 deletions(-)

commit c90fd5d92104cdee29110b02c402f199164bc025
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-07-16 14:24:59 +0200

    gta: add a from-pmd command to convert PMD data to GTAs.

 gtatool/configure.ac              |   8 ++++++
 gtatool/src/Makefile.am           |   9 +++++++
 gtatool/src/bash-completion/gta   |   8 ++++++
 gtatool/src/cmds.cpp              |   3 +++
 gtatool/src/conv-pmd/from-pmd.cpp | 215 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/conv/filters.cpp      |   2 ++
 gtatool/tests/Makefile.am         |   3 +++
 gtatool/tests/conv-pmd.sh         |  16 +++++++++++
 8 files changed, 264 insertions(+)

commit 663749beb29d5767a80ea7dd414465543eb6f710
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-06-24 12:52:01 +0200

    gta from-netcdf: fix last commit.
    
    Restore the original handling of attributes with type NC_CHAR.

 gtatool/src/conv-netcdf/from-netcdf.cpp | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit cf5a67cb35e13b1d54a157600ac479f133978b7f
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-06-20 14:37:18 +0200

    gta from-netcdf: various improvements.
    
    1. Fix import of attributes of type NC_STRING and NC_CHAR.
    2. Improve help text.
    3. Ignore dimensions with size 1.
       Some data sets I encountered had such dimensions littered over
       several variables when this was clearly not intended.
       If it turns out that others need these dimensions, then ignoring
       them should be made optional.

 gtatool/src/conv-netcdf/from-netcdf.cpp | 38 +++++++++++++++++++++++++++-----------
 1 file changed, 27 insertions(+), 11 deletions(-)

commit ad90af86a129d5d83ac1cafdab1f079c48758cba
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-05-18 16:50:29 +0200

    gta: update and improve installation of bash-completion script.
    
    Thanks to Volker Froehlich for pointing out the problem.

 gtatool/configure.ac                                     | 20 ++++++++++++++++++++
 gtatool/src/Makefile.am                                  |  6 ++++--
 gtatool/src/{gta-completion.bash => bash-completion/gta} |  0
 3 files changed, 24 insertions(+), 2 deletions(-)

commit f3e97de2a404c715e88a52f9bcbcf3fad08bc643
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-05-02 20:58:43 +0200

    gta gui: switch from Qt4 to Qt5.

 gtatool/configure.ac    | 17 ++++++++++++-----
 gtatool/src/cmds.cpp    |  5 +++++
 gtatool/src/gui/gui.cpp | 20 ++++++++++++--------
 3 files changed, 29 insertions(+), 13 deletions(-)

commit 7355801eec7738ecb371b525a1520706bec45e28
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-04-29 21:11:11 +0200

    gta: bump version to 1.5.2.

 gtatool/configure.ac | 2 +-
 gtatool/doc/gta.1    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 3d13b6af02a3bcdec6903b93249eef5b44f53dd6
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-04-28 20:28:20 +0200

    gta gui: fix watching of files that are truncated before update

 gtatool/src/gui/gui.cpp | 6 ++++++
 1 file changed, 6 insertions(+)

commit 72aa81a5ddba17c149291d4399c80171f7330b18
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-04-27 23:35:12 +0200

    gta: clarify message about unavailable commands.

 gtatool/src/main.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f42a82d26845c5f6bc95b621c8d5e1fe5d1822b6
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-04-27 23:10:43 +0200

    gta: update base modules, and all callers.

 gtatool/configure.ac                        | 16 ++++++++--------
 gtatool/src/Makefile.am                     |  2 +-
 gtatool/src/array/combine.cpp               |  8 ++++----
 gtatool/src/array/compress.cpp              |  6 +++---
 gtatool/src/array/create.cpp                | 12 ++++++------
 gtatool/src/array/diff.cpp                  |  8 ++++----
 gtatool/src/array/extract.cpp               | 12 ++++++------
 gtatool/src/array/fill.cpp                  | 10 +++++-----
 gtatool/src/array/info.cpp                  |  8 ++++----
 gtatool/src/array/merge.cpp                 | 12 ++++++------
 gtatool/src/array/resize.cpp                | 10 +++++-----
 gtatool/src/array/set.cpp                   | 10 +++++-----
 gtatool/src/array/tag.cpp                   |  6 +++---
 gtatool/src/array/uncompress.cpp            |  8 ++++----
 gtatool/src/base/Makefile.am                | 10 +++++-----
 gtatool/src/base/{blob.h => blb.h}          | 16 ++++++++--------
 gtatool/src/base/{intcheck.h => chk.h}      |  6 +++---
 gtatool/src/base/dbg.cpp                    |  2 +-
 gtatool/src/base/dbg.h                      |  2 +-
 gtatool/src/base/{endianness.h => end.h}    |  8 ++++----
 gtatool/src/base/exc.cpp                    |  2 +-
 gtatool/src/base/exc.h                      |  2 +-
 gtatool/src/base/fio.cpp                    | 48 ++++++++++++++++++++++++++++++++++--------------
 gtatool/src/base/fio.h                      |  5 ++---
 gtatool/src/base/msg.cpp                    |  2 +-
 gtatool/src/base/msg.h                      |  2 +-
 gtatool/src/base/opt.cpp                    |  2 +-
 gtatool/src/base/opt.h                      |  2 +-
 gtatool/src/base/str.cpp                    | 44 ++++++++++++++++++++++++--------------------
 gtatool/src/base/str.h                      | 13 +++++--------
 gtatool/src/cmds.cpp                        |  8 ++++----
 gtatool/src/component/component-add.cpp     | 12 ++++++------
 gtatool/src/component/component-compute.cpp | 12 ++++++------
 gtatool/src/component/component-convert.cpp | 14 +++++++-------
 gtatool/src/component/component-extract.cpp | 12 ++++++------
 gtatool/src/component/component-merge.cpp   | 12 ++++++------
 gtatool/src/component/component-reorder.cpp | 12 ++++++------
 gtatool/src/component/component-set.cpp     | 12 ++++++------
 gtatool/src/component/component-split.cpp   | 12 ++++++------
 gtatool/src/conv-csv/from-csv.cpp           | 10 +++++-----
 gtatool/src/conv-csv/to-csv.cpp             | 10 +++++-----
 gtatool/src/conv-datraw/from-datraw.cpp     | 16 ++++++++--------
 gtatool/src/conv-datraw/to-datraw.cpp       | 16 ++++++++--------
 gtatool/src/conv-dcmtk/from-dcmtk.cpp       | 10 +++++-----
 gtatool/src/conv-exr/from-exr.cpp           | 12 ++++++------
 gtatool/src/conv-exr/to-exr.cpp             | 14 +++++++-------
 gtatool/src/conv-ffmpeg/from-ffmpeg.cpp     | 12 ++++++------
 gtatool/src/conv-ffmpeg/media_data.cpp      |  8 ++++----
 gtatool/src/conv-ffmpeg/media_data.h        |  2 +-
 gtatool/src/conv-ffmpeg/media_object.cpp    | 12 ++++++------
 gtatool/src/conv-ffmpeg/s11n.cpp            |  2 +-
 gtatool/src/conv-ffmpeg/thread.cpp          |  2 +-
 gtatool/src/conv-ffmpeg/thread.h            |  2 +-
 gtatool/src/conv-gdal/from-gdal.cpp         | 14 +++++++-------
 gtatool/src/conv-gdal/to-gdal.cpp           | 14 +++++++-------
 gtatool/src/conv-jpeg/from-jpeg.cpp         | 10 +++++-----
 gtatool/src/conv-jpeg/to-jpeg.cpp           | 10 +++++-----
 gtatool/src/conv-magick/from-magick.cpp     | 12 ++++++------
 gtatool/src/conv-magick/to-magick.cpp       | 14 +++++++-------
 gtatool/src/conv-mat/from-mat.cpp           | 12 ++++++------
 gtatool/src/conv-mat/to-mat.cpp             | 14 +++++++-------
 gtatool/src/conv-netcdf/from-netcdf.cpp     | 18 +++++++++---------
 gtatool/src/conv-netcdf/to-netcdf.cpp       | 14 +++++++-------
 gtatool/src/conv-netpbm/from-netpbm.cpp     | 12 ++++++------
 gtatool/src/conv-netpbm/to-netpbm.cpp       | 12 ++++++------
 gtatool/src/conv-pcd/from-pcd.cpp           | 14 +++++++-------
 gtatool/src/conv-pcd/to-pcd.cpp             | 14 +++++++-------
 gtatool/src/conv-pfs/from-pfs.cpp           | 12 ++++++------
 gtatool/src/conv-pfs/to-pfs.cpp             | 14 +++++++-------
 gtatool/src/conv-ply/from-ply.cpp           | 14 +++++++-------
 gtatool/src/conv-ply/to-ply.cpp             | 16 ++++++++--------
 gtatool/src/conv-pvm/from-pvm.cpp           | 22 +++++++++++-----------
 gtatool/src/conv-pvm/to-pvm.cpp             | 22 +++++++++++-----------
 gtatool/src/conv-rat/from-rat.cpp           | 16 ++++++++--------
 gtatool/src/conv-rat/to-rat.cpp             | 16 ++++++++--------
 gtatool/src/conv-raw/from-raw.cpp           | 12 ++++++------
 gtatool/src/conv-raw/to-raw.cpp             | 14 +++++++-------
 gtatool/src/conv-sndfile/from-sndfile.cpp   | 12 ++++++------
 gtatool/src/conv-sndfile/to-sndfile.cpp     | 12 ++++++------
 gtatool/src/conv-teem/from-teem.cpp         | 12 ++++++------
 gtatool/src/conv-teem/to-teem.cpp           | 12 ++++++------
 gtatool/src/conv/conv.cpp                   |  4 ++--
 gtatool/src/conv/from.cpp                   |  4 ++--
 gtatool/src/conv/to.cpp                     |  4 ++--
 gtatool/src/dimension/dimension-add.cpp     | 12 ++++++------
 gtatool/src/dimension/dimension-extract.cpp | 12 ++++++------
 gtatool/src/dimension/dimension-flatten.cpp | 12 ++++++------
 gtatool/src/dimension/dimension-merge.cpp   | 12 ++++++------
 gtatool/src/dimension/dimension-reorder.cpp | 14 +++++++-------
 gtatool/src/dimension/dimension-reverse.cpp | 14 +++++++-------
 gtatool/src/dimension/dimension-split.cpp   | 14 +++++++-------
 gtatool/src/gui/gui.cpp                     | 10 +++++-----
 gtatool/src/lib.cpp                         | 12 ++++++------
 gtatool/src/lib.h                           |  4 ++--
 gtatool/src/main.cpp                        |  6 +++---
 gtatool/src/stream/stream-extract.cpp       |  8 ++++----
 gtatool/src/stream/stream-foreach.cpp       | 11 +++++------
 gtatool/src/stream/stream-grep.cpp          |  8 ++++----
 gtatool/src/stream/stream-merge.cpp         |  8 ++++----
 gtatool/src/stream/stream-split.cpp         |  8 ++++----
 100 files changed, 557 insertions(+), 538 deletions(-)

commit bb54a0c3a8b3f3f8ac147ef8bb0945d44089f7b1
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-04-25 21:26:59 +0200

    gta: configure.ac: remove Debian-specific hints

 gtatool/configure.ac | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 97536e0e5d7a4d799c1d03522ed58982a37504f3
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-04-22 09:20:41 +0200

    gta: base module fio: fix compiler warning.

 gtatool/src/base/fio.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6027cf18df47ecbf94e957aa896e44b9d3cf93fa
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-04-22 09:03:15 +0200

    gta combine: add a --force option.

 gtatool/src/array/combine.cpp   | 101 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------
 gtatool/src/gta-completion.bash |   2 +-
 2 files changed, 61 insertions(+), 42 deletions(-)

commit 389cbb69a18d66db5e62dd0b4beef9a4aacf7845
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-04-18 23:41:52 +0200

    gta diff: add --force option to bash completion script.

 gtatool/src/gta-completion.bash | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0fb6bf7df3d658077da5da0bdda29f7bdb5eb779
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-04-17 12:08:31 +0200

    gta diff: fix help text and add a --force option.

 gtatool/src/array/diff.cpp | 81 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 57 insertions(+), 24 deletions(-)

commit 459fb207404c307bdd4edfa127acfe8cd38cb39d
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-04-17 12:07:32 +0200

    gta: base module intcheck: distinguish between over- and underflow.

 gtatool/src/base/intcheck.h | 100 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------
 1 file changed, 63 insertions(+), 37 deletions(-)

commit ff02c49760849f4c23cb07ce1b3e96099b9e0ba9
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-04-02 10:36:31 +0200

    gta to-netpbm: remove obsolete restriction.

 gtatool/src/conv-netpbm/to-netpbm.cpp | 4 ----
 1 file changed, 4 deletions(-)

commit 902ec232a07425be228ba4c78d97a8032ab3f271
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-03-15 11:12:43 +0100

    gta help: fix typo in overview

 gtatool/src/cmds.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8db8564ee3dc17fbb01cb6fb0fd354f19cb7743e
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-03-12 14:54:41 +0100

    gta to-ply: use more verbose names for PLY color variables.
    
    This is required for Meshlab.

 gtatool/src/conv-ply/to-ply.cpp | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit ba5694ad441b59152b6e83a91848f91501769d80
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-27 22:05:25 +0100

    gta stream-foreach, stream-grep: flush stderr before and after the child process.

 gtatool/src/stream/stream-foreach.cpp | 4 ++++
 gtatool/src/stream/stream-grep.cpp    | 2 ++
 2 files changed, 6 insertions(+)

commit 2f895e79b1be36954ffeb082e59217ae6f560500
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-27 21:55:25 +0100

    gta tag: fix the 'all' keyword, document it, and test it.

 gtatool/src/array/tag.cpp | 49 +++++++++++++++++++++++++++----------------------
 gtatool/tests/gta-tag.sh  |  6 ++++++
 2 files changed, 33 insertions(+), 22 deletions(-)

commit 41134e81cb7565c3d43a16cae73229c7bd985267
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-27 11:39:58 +0100

    gta dimension-split: remove restrictions, improve efficiency
    
    This command now works on arrays that are very large in the dimension that
    needs splitting, and uses fewer resources.

 gtatool/src/dimension/dimension-split.cpp | 100 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------
 1 file changed, 59 insertions(+), 41 deletions(-)

commit 727669b54ac54edfa939d84d8d1edf947b5f6e37
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-10 13:48:22 +0100

    gta: bump version to 1.5.1

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 014595458c832fc57a23cbc09e07ce892976ded5
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-10 13:48:07 +0100

    gta: make git ignore INSTALL

 gtatool/.gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 5c7093c37f826a18149ffe9752277b88455641f8
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-10 12:39:42 +0100

    gta from-csv, to-csv: fix build on NetBSD 6

 gtatool/src/conv-csv/from-csv.cpp |  2 +-
 gtatool/src/conv-csv/to-csv.cpp   | 20 ++++++++++----------
 2 files changed, 11 insertions(+), 11 deletions(-)

commit 7dfd765d1f1b3ca029ea9830803f1c672c43a841
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-10 12:38:30 +0100

    gta: configure: set language to C for base module checks
    
    This is required for AM_ICONV to work on NetBSD.

 gtatool/configure.ac | 2 ++
 1 file changed, 2 insertions(+)

commit a031d43360a7b1f434e95f5dac613369bc943dd3
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-10 11:40:25 +0100

    gta: base module str: improve error messages of str::convert

 gtatool/src/base/str.cpp | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit e9cf13e0e94ece57621ac98bdda851f7232cf4c6
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-10 11:29:10 +0100

    libgta, gta: ignore build-aux/test-driver, created by newer autotools

 gtatool/.gitignore | 1 +
 1 file changed, 1 insertion(+)

commit b5fe2116867f401416f9a06423ff6214782f7d5f
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-10 11:28:18 +0100

    libgta, gta: remove INSTALL; this is generated by autoconf

 gtatool/INSTALL | 370 ----------------------------------------------------------------------------------------------------------------------------------------------------------------------
 1 file changed, 370 deletions(-)

commit d653c8873d6e7b9033f984ebe0598a53259a772f
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-07 18:47:50 +0100

    gta: enable parallel tests

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d8b675da9c11a8758fdeb14634d1c00bea2cc08b
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-05 20:25:10 +0100

    gta gui: fix minor problems in File->Save on Windows

 gtatool/src/gui/gui.cpp | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 695b7c8f4e10181ef8904b00159a6135e8e43794
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-05 18:50:17 +0100

    gta: conditionally compile dynamic module function

 gtatool/src/cmds.cpp | 2 ++
 1 file changed, 2 insertions(+)

commit 56c160b36830c232c51626e9a4e79e02c9bb04d7
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-05 18:47:24 +0100

    gta: test availability of dynamic modules at runtime

 gtatool/src/cmds.cpp | 23 ++++++++++++++++++-----
 gtatool/src/main.cpp |  4 ++--
 2 files changed, 20 insertions(+), 7 deletions(-)

commit 5d763faf9a4376c506b61998fbdd0bed546e7a86
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-05 18:46:12 +0100

    gta gui: fix watching of new unsaved files

 gtatool/src/gui/gui.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6f003124add0afe19ce25afb2b45b602c9fb64d6
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-05 18:45:47 +0100

    gta gui: make file tabs movable

 gtatool/src/gui/gui.cpp | 1 +
 1 file changed, 1 insertion(+)

commit fd930c0f4df1da621809ef230c2b4713b31da493
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-05 18:45:26 +0100

    gta gui: remember only one last directory

 gtatool/src/gui/gui.cpp | 16 ++++++++--------
 gtatool/src/gui/gui.h   |  3 +--
 2 files changed, 9 insertions(+), 10 deletions(-)

commit ad217fc4bf6a27744f25fbbbcd7c522fd5919ce3
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-05 18:45:05 +0100

    gta gui: make file tabs closeable

 gtatool/src/gui/gui.cpp | 12 ++++++++++++
 gtatool/src/gui/gui.h   |  1 +
 2 files changed, 13 insertions(+)

commit 0789329a2d14e4e4f2ee53e94661a559be2d3709
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-05 18:44:32 +0100

    gta gui: watch files for changes and reload automatically

 gtatool/src/gui/gui.cpp | 43 +++++++++++++++++++++++++++++++++++++++----
 gtatool/src/gui/gui.h   |  5 ++++-
 2 files changed, 43 insertions(+), 5 deletions(-)

commit 06fd5df6e52182340f24a0ffe6f3b2f7abf34fe7
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-05 18:38:39 +0100

    gta gui: cleanup file name handling

 gtatool/src/gui/gui.cpp | 26 +++++++++++++++++---------
 1 file changed, 17 insertions(+), 9 deletions(-)

commit e3ac5a45adb582099d07754bb4d7455163c63c52
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-05 18:35:55 +0100

    gta gui: improve error handling when reading GTA headers

 gtatool/src/gui/gui.cpp | 26 +++++++++++++++-----------
 1 file changed, 15 insertions(+), 11 deletions(-)

commit 97bda7f113b795c9934c0f3cc6e82f4621294737
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-05 18:34:40 +0100

    gta gui: do not leak GTA headers of closed files

 gtatool/src/gui/gui.cpp | 2 ++
 1 file changed, 2 insertions(+)

commit b432155bd8090c427f96d6a0e37b3a3d046b0bb9
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-05 07:37:29 +0100

    gta: configure: check if the C++ compiler works

 gtatool/configure.ac | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 74182e6ccb853aabee4f94779f207436f2d02615
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-05 07:36:44 +0100

    gta: configure: improve check for libpcl_io
    
    Use pkg-config files with versions in the filename only as a fallback.

 gtatool/configure.ac | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 81db43cd212fe9edc2004a4923c77958363281fd
Author: Volker Froehlich <volker27@gmx.at>
Date:   2013-02-05 07:16:43 +0100

    gta: create a directory entry for the info page
    
    This is necessary when using install-info.

 gtatool/doc/gta.texi | 5 +++++
 1 file changed, 5 insertions(+)

commit 54ebf65cd0d8316289ba539ba2113ca339294b8f
Author: Volker Froehlich <volker27@gmx.at>
Date:   2013-02-03 18:15:13 +0100

    gta gui: fix .desktop file
    
    "Categories" entries in desktop files must end in a semi-colon:
    http://standards.freedesktop.org/menu-spec/menu-spec-1.0.html#desktop-entry-extensions

 gtatool/src/gui/gta_gui.desktop | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6e28fb0fb54749027455905b7675e42f5bc95732
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-03 18:12:42 +0100

    gta: add bash completion script

 gtatool/src/Makefile.am         |   2 +
 gtatool/src/gta-completion.bash | 615 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 617 insertions(+)

commit 79200e916119e3034dada82c1665539bca2def27
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-03 18:11:18 +0100

    gta conv-csv: rename an option for consistency

 gtatool/src/conv-csv/from-csv.cpp | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 8a4cba71a35fa19eb58c111d6a376e181f642ae0
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-03 14:50:41 +0100

    gta from-magick, to-magick: fix initialization, improve test

 gtatool/src/conv-magick/from-magick.cpp |  2 +-
 gtatool/src/conv-magick/to-magick.cpp   |  2 +-
 gtatool/tests/conv-magick.sh            | 14 +++++++-------
 3 files changed, 9 insertions(+), 9 deletions(-)

commit 582566f13ea2ac9c19322f038b61cb64b9e7578c
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-02 16:14:54 +0100

    gta: bump version to 1.5.0

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c8257463b59e06752c8d4ab952cb9a3697f60acc
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-02 16:14:25 +0100

    gta gui: tweak menu entry names

 gtatool/src/gui/gui.cpp | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a606715cafbea8fb9450090c5a296109bbe1c187
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-02 16:06:46 +0100

    gta help: reorder command categories

 gtatool/src/main.cpp | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 5789a50266a45fdef1cb7cea8ac9ea1b797a2f6c
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-02 16:06:20 +0100

    gta: rename command category enum values

 gtatool/src/cmds.cpp | 148 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------
 gtatool/src/cmds.h   |  12 ++++++------
 2 files changed, 80 insertions(+), 80 deletions(-)

commit 8e32f77a085c55ec3c6d3be1077cf9ffb6e8fdf3
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-02 14:54:00 +0100

    gta: improve PACKAGE_NAME

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 91a2607e8498eaa1ef2e9844c672b2f03759453b
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-02 14:52:28 +0100

    gta: base module fio: simplify temp file API

 gtatool/src/base/fio.cpp                  | 23 +++++++++--------------
 gtatool/src/base/fio.h                    |  8 ++++----
 gtatool/src/component/component-split.cpp |  2 +-
 gtatool/src/dimension/dimension-split.cpp |  2 +-
 gtatool/src/gui/gui.cpp                   |  6 +++---
 5 files changed, 18 insertions(+), 23 deletions(-)

commit 3a9a71bd19016ba742e0368ea360181935a7c69b
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-02 13:02:49 +0100

    gta: add an overview to man page, texinfo, and the GUI.

 gtatool/doc/gta.1       | 33 +++++++++++++++++++++++++++------
 gtatool/doc/gta.texi    | 41 ++++++++++++++++++++++++++++++++---------
 gtatool/src/gui/gui.cpp | 58 +++++++++++++++++++++++++++++++++++++++++++++++++++-------
 gtatool/src/gui/gui.h   |  2 ++
 4 files changed, 112 insertions(+), 22 deletions(-)

commit 6c2b2480d11d5f0a9988260164aea8b5050b0627
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-02 12:13:22 +0100

    gta gui: add example to stream-foreach dialog

 gtatool/src/gui/gui.cpp | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 264d342c29c7dc79dfa699bdbedf5849556409ec
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-02 12:10:33 +0100

    gta: add stream-grep command

 gtatool/src/Makefile.am            |   1 +
 gtatool/src/cmds.cpp               |   3 +++
 gtatool/src/gui/gui.cpp            |  38 ++++++++++++++++++++++++++-
 gtatool/src/gui/gui.h              |   1 +
 gtatool/src/lib.h                  |   5 ++++
 gtatool/src/stream/stream-grep.cpp | 209 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/tests/Makefile.am          |   1 +
 gtatool/tests/gta-stream-grep.sh   |  28 ++++++++++++++++++++
 8 files changed, 285 insertions(+), 1 deletion(-)

commit 414c80819077846b28d6d048d591132a886edf01
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-01 18:57:06 +0100

    gta gui: preserve stderr messages from commands

 gtatool/src/gui/gui.cpp | 7 +++++++
 1 file changed, 7 insertions(+)

commit 732751982d8f8f6888d1768e07c441b6a020fdc7
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-01 18:55:21 +0100

    gta stream-foreach: fix running from GUI on Windows

 gtatool/src/gui/gui.cpp               | 10 ++++++----
 gtatool/src/stream/stream-foreach.cpp | 30 +++++++++++++++---------------
 2 files changed, 21 insertions(+), 19 deletions(-)

commit e0482c61d9bb36dbf5b27acd58e0df5220a127e8
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-01 18:54:27 +0100

    gta stream-foreach: make signal handler static

 gtatool/src/stream/stream-foreach.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cdbee1c7b980566851079ab29e70663485ecf90c
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-31 21:36:20 +0100

    gta from, gta to: improve description

 gtatool/src/cmds.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 43cc40f73866205bc1eede960f3541868687d870
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-31 21:35:12 +0100

    gtatool: add stream-foreach command

 gtatool/configure.ac                  |   4 +++
 gtatool/src/Makefile.am               |   1 +
 gtatool/src/cmds.cpp                  |   3 ++
 gtatool/src/gui/gui.cpp               |  38 ++++++++++++++++++++++++++
 gtatool/src/gui/gui.h                 |   1 +
 gtatool/src/stream/stream-foreach.cpp | 216 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/tests/Makefile.am             |   1 +
 gtatool/tests/gta-stream-foreach.sh   |  28 +++++++++++++++++++
 8 files changed, 292 insertions(+)

commit c88d02d4a5dfe5ca2648995afafc7f451b21c6f4
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-31 19:59:17 +0100

    gta combine, gta diff: remove unnecessary check

 gtatool/src/array/combine.cpp | 6 ------
 gtatool/src/array/diff.cpp    | 6 ------
 2 files changed, 12 deletions(-)

commit 42f7bba957cca29f3d8370c7ce963e5a324b6246
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-31 19:58:22 +0100

    gta gui: move stream-extract code block

 gtatool/src/gui/gui.cpp | 26 +++++++++++++-------------
 gtatool/src/gui/gui.h   |  2 +-
 2 files changed, 14 insertions(+), 14 deletions(-)

commit 244a6d216eda727df2e5097671756fe31dc4996c
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-31 19:57:35 +0100

    gta gui: fix stream-extract and stream-split

 gtatool/src/gui/gui.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 66fa835fecb631be958d8728fd34a17f378f34d7
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-30 22:37:05 +0100

    gta from-magick, to-magick: initialize magick library

 gtatool/src/conv-magick/from-magick.cpp | 3 ++-
 gtatool/src/conv-magick/to-magick.cpp   | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 7d9d81963bbdc6ac98ffc27b75f2c197fb7d73ed
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-30 15:14:24 +0100

    gta to-netpbm: fix crash with newer libnetpbm

 gtatool/src/conv-netpbm/to-netpbm.cpp | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit 25afc05cbc50d6bea9f06a1ce1cc088ce50d74c5
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-30 15:13:59 +0100

    gta tag: fix test for cross-testing via wine

 gtatool/tests/gta-tag.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 5c379089826303131ad5df580056ae97f45e59e9
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-30 10:53:03 +0100

    gta gui: fix character encoding of command output
    
    This is fallout from the Qt5 support patch.

 gtatool/src/gui/gui.cpp | 31 +++++++++++++++++++------------
 1 file changed, 19 insertions(+), 12 deletions(-)

commit a753b669ab0c1c5f1ffc3c55f704afcf0c8664e8
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-30 10:40:00 +0100

    gta to-netcdf: limit names to allowed characters.

 gtatool/src/conv-netcdf/to-netcdf.cpp | 25 +++++++++++++++++++------
 1 file changed, 19 insertions(+), 6 deletions(-)

commit 9b385d915b6a90b4f7a8c3aaf8bc5ddafcafcbcb
Merge: 840da32 6b12d3b
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-30 10:28:08 +0100

    Merge branch 'master' of git.sv.gnu.org:/srv/git/gta

commit 840da321d887478bdecfe1e53ad7897b0ce5120a
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-30 10:27:39 +0100

    gta help: add command descriptions

 gtatool/src/cmds.cpp | 231 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------
 gtatool/src/cmds.h   |   5 +++-
 gtatool/src/main.cpp |  26 +++++++++++++++++--
 3 files changed, 183 insertions(+), 79 deletions(-)

commit 6b12d3b32b83a1fd8188b5683cb69c99ff3b1c3d
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-30 10:04:13 +0100

    gta to-netcdf: fix export of multiple GTAs

 gtatool/src/conv-netcdf/to-netcdf.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c2a2dff0aa9e35fe1c2bb331641d4f070e7a1e31
Merge: c524dff 0de1bcb
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-30 09:39:00 +0100

    Merge branch 'master' of git.sv.gnu.org:/srv/git/gta

commit 0de1bcb4465e9022bec2c0d560861b2b12103d27
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-30 09:37:46 +0100

    gtatool: fix support for local character set

 gtatool/src/main.cpp | 6 ++++++
 1 file changed, 6 insertions(+)

commit c524dff595b2166bdafb6a155e3b6446b045878b
Merge: c1ea257 7aef627
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-30 09:07:59 +0100

    Merge branch 'master' of git.sv.gnu.org:/srv/git/gta

commit c1ea2579136d03fc73dc3c16a81a6be81f5be4e6
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-30 09:04:06 +0100

    gta gui: fix character encoding of filenames.
    
    This is fallout from the Qt5 support patch.

 gtatool/src/gui/gui.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 6a54bfa4ed1ee32ea92f2499a5d8c4bd37183b35
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-30 06:50:32 +0100

    gta gui: support Qt5 (untested).

 gtatool/src/gui/gui.cpp | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 7aef62734c02bb579e6b92b810b90e6a8b72b0d5
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-28 12:19:45 +0100

    gta gui: improve display of number of arrays in file.

 gtatool/src/gui/gui.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3ece41ef2a8e3f869ee773de419e7b6e51360489
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-27 17:18:56 +0100

    gta gui: add automatic import/export commands.

 gtatool/src/gui/gui.cpp | 22 ++++++++++++++++++++--
 gtatool/src/gui/gui.h   |  2 ++
 2 files changed, 22 insertions(+), 2 deletions(-)

commit 8f392b96dc495e9ad1ac968dc01bb6d75878d2ff
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-27 16:22:31 +0100

    gtatool: add from/to commands for automatic import/export.

 gtatool/src/Makefile.am      |   3 ++-
 gtatool/src/cmds.cpp         |   4 ++++
 gtatool/src/conv/conv.cpp    |  71 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/conv/conv.h      |  30 ++++++++++++++++++++++++++++++
 gtatool/src/conv/filters.cpp | 108 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/conv/filters.h   |  30 ++++++++++++++++++++++++++++++
 gtatool/src/conv/from.cpp    |  57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/conv/to.cpp      |  57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 8 files changed, 359 insertions(+), 1 deletion(-)

commit ed4e58835445bb4cbd6b44a2a33d8d80ffc313ef
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-27 14:49:05 +0100

    gtatool: remove obsolete NEWS entries.

 gtatool/NEWS | 4 ----
 1 file changed, 4 deletions(-)

commit 5e1e29786069651651a298841021c5bf4372ba77
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-27 11:20:48 +0100

    gta from-ffmpeg: sync FFmpeg code, keep base modules local.
    
    This updates FFmpeg code from Bino (upstream).
    
    Base modules that are only required by this code are moved here locally and are
    not part of libbase anymore.

 gtatool/src/Makefile.am                      |  6 +++++-
 gtatool/src/base/Makefile.am                 |  4 +---
 gtatool/src/conv-ffmpeg/media_object.cpp     | 57 ++++++++++++++++++++++++++++++++++++++++++---------------
 gtatool/src/{base => conv-ffmpeg}/s11n.cpp   |  0
 gtatool/src/{base => conv-ffmpeg}/s11n.h     |  0
 gtatool/src/{base => conv-ffmpeg}/thread.cpp |  0
 gtatool/src/{base => conv-ffmpeg}/thread.h   |  0
 7 files changed, 48 insertions(+), 19 deletions(-)

commit 22013a3ffee2214e5cb844d43c4a0574ec157885
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-26 17:50:51 +0100

    gtatool: bump version to 1.4.0.

 gtatool/configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6f94591a9ff85c703df2cdd5266c911d25ed9b9c
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-26 17:24:52 +0100

    gta gui: rename 'layer' command to 'combine'.

 gtatool/src/gui/gui.cpp | 12 ++++++------
 gtatool/src/gui/gui.h   |  2 +-
 2 files changed, 7 insertions(+), 7 deletions(-)

commit e0da2baf9437f4747c9b621d158df64fe9d3b0a9
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-26 17:23:13 +0100

    gtatool: fix failures on empty GTAs, and add test cases.

 gtatool/src/array/fill.cpp                  |  31 ++++++-----
 gtatool/src/array/merge.cpp                 |  33 ++++++------
 gtatool/src/array/resize.cpp                |  81 +++++++++++++++--------------
 gtatool/src/array/set.cpp                   |  81 +++++++++++++++--------------
 gtatool/src/component/component-add.cpp     |  22 +++++---
 gtatool/src/component/component-compute.cpp | 391 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------
 gtatool/src/component/component-extract.cpp |  28 ++++++----
 gtatool/src/component/component-merge.cpp   |  25 +++++----
 gtatool/src/component/component-reorder.cpp |  33 ++++++------
 gtatool/src/component/component-set.cpp     |  25 +++++----
 gtatool/src/component/component-split.cpp   |  29 ++++++-----
 gtatool/src/dimension/dimension-add.cpp     |  26 +++++++---
 gtatool/src/dimension/dimension-extract.cpp |  25 +++++----
 gtatool/src/dimension/dimension-flatten.cpp |  51 +++++++++++++-----
 gtatool/src/dimension/dimension-merge.cpp   |   4 ++
 gtatool/src/dimension/dimension-split.cpp   |  57 +++++++++++++-------
 gtatool/tests/gta-combine.sh                |   7 +++
 gtatool/tests/gta-component-add.sh          |  10 +++-
 gtatool/tests/gta-component-compute.sh      |   9 +++-
 gtatool/tests/gta-component-convert.sh      |   7 ++-
 gtatool/tests/gta-component-extract.sh      |  12 ++++-
 gtatool/tests/gta-component-merge.sh        |  10 +++-
 gtatool/tests/gta-component-reorder.sh      |  10 +++-
 gtatool/tests/gta-component-set.sh          |   9 +++-
 gtatool/tests/gta-component-split.sh        |  10 +++-
 gtatool/tests/gta-compress.sh               |  11 +++-
 gtatool/tests/gta-create.sh                 |   5 +-
 gtatool/tests/gta-diff.sh                   |   7 +++
 gtatool/tests/gta-dimension-add.sh          |  11 +++-
 gtatool/tests/gta-dimension-extract.sh      |  11 +++-
 gtatool/tests/gta-dimension-flatten.sh      |  14 ++++-
 gtatool/tests/gta-dimension-reorder.sh      |  11 ++++
 gtatool/tests/gta-dimension-reverse.sh      |  10 ++++
 gtatool/tests/gta-dimension-split.sh        |  13 ++++-
 gtatool/tests/gta-fill.sh                   |   9 +++-
 gtatool/tests/gta-info.sh                   |   7 ++-
 gtatool/tests/gta-merge.sh                  |   7 ++-
 gtatool/tests/gta-resize.sh                 |   7 ++-
 gtatool/tests/gta-set.sh                    |   9 +++-
 gtatool/tests/gta-stream-extract.sh         |  11 +++-
 gtatool/tests/gta-stream-merge.sh           |  11 +++-
 gtatool/tests/gta-stream-split.sh           |  15 +++++-
 gtatool/tests/gta-uncompress.sh             |  11 +++-
 43 files changed, 767 insertions(+), 439 deletions(-)

commit 3f0c4b2befdf79d1b18e7be58a1c0d71415d935a
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-25 23:14:27 +0100

    gta from-mat, to-mat: add support for matio >= 1.5.0.

 gtatool/src/conv-mat/from-mat.cpp |  6 +++++-
 gtatool/src/conv-mat/to-mat.cpp   | 31 +++++++++++++++++++++++++++++--
 2 files changed, 34 insertions(+), 3 deletions(-)

commit aa9672243628d3602f07525cf897d8a6a70deee5
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-25 22:31:21 +0100

    gta conv-mat tests: disable comparison of .mat files.

 gtatool/tests/conv-mat.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit dacc833ad9fb5ced5734e98123b7407a3728cb01
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-25 22:29:49 +0100

    gtatool: rename 'layer' command to 'combine'.

 gtatool/src/Makefile.am                        |  2 +-
 gtatool/src/array/{layer.cpp => combine.cpp}   | 62 +++++++++++++++++++++++++++++++-------------------------------
 gtatool/src/cmds.cpp                           |  4 ++--
 gtatool/tests/Makefile.am                      |  2 +-
 gtatool/tests/{gta-layer.sh => gta-combine.sh} | 30 +++++++++++++++---------------
 5 files changed, 50 insertions(+), 50 deletions(-)

commit dd015a5eea3e34824727012b4606c9de79494e62
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-25 22:09:48 +0100

    gta dimension-reorder, dimension-reverse: remove restrictions.
    
    The input GTAs do not have to be seekable and uncompressed anymore;
    if they are not, the data is simply buffered in a temporary file.

 gtatool/src/dimension/dimension-reorder.cpp | 42 +++++++++++++++++++++++++++++-------------
 gtatool/src/dimension/dimension-reverse.cpp | 44 ++++++++++++++++++++++++++++++--------------
 gtatool/src/lib.cpp                         |  8 ++++++++
 gtatool/src/lib.h                           | 13 +++++++++++++
 gtatool/tests/gta-dimension-reorder.sh      | 25 +++++++++++++++++++++----
 gtatool/tests/gta-dimension-reverse.sh      | 25 +++++++++++++++++++++----
 6 files changed, 122 insertions(+), 35 deletions(-)

commit 604c22ac032f3cc860a54d99b7c24678571daaf5
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-25 21:36:37 +0100

    gta diff, gta layer: always output uncompressed GTAs.

 gtatool/src/array/diff.cpp  | 1 +
 gtatool/src/array/layer.cpp | 1 +
 2 files changed, 2 insertions(+)

commit 98452e39ac73d2e3ce247c500387748a127f2fbb
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-25 21:18:54 +0100

    gta gui: optimize for files with many arrays.

 gtatool/src/gui/gui.cpp | 90 +++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------
 gtatool/src/gui/gui.h   | 23 +++++++++++++++--------
 2 files changed, 70 insertions(+), 43 deletions(-)

commit c107e327d9dfa3ca2ca33adee876fc082e9d392f
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-25 09:25:18 +0100

    gta compress: improve help text.

 gtatool/src/array/compress.cpp | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 696cafb272d1559155729ac4074918d67a6d022e
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-25 09:23:51 +0100

    gta from-raw: import a series of GTAs if enough data is provided.

 gtatool/src/conv-raw/from-raw.cpp | 33 +++++++++++++++++++--------------
 1 file changed, 19 insertions(+), 14 deletions(-)

commit a6f90bbc61d72764e770348bde59c63530315633
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-21 20:47:46 +0100

    gta gui: reorder menu entries.

 gtatool/src/gui/gui.cpp | 80 ++++++++++++++++++++++++++++++++++++++++----------------------------------------
 1 file changed, 40 insertions(+), 40 deletions(-)

commit f27963334113086a2b6112c009adf5c7ea2332b3
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-21 20:35:54 +0100

    gta gui: add diff and layer command.

 gtatool/src/gui/gui.cpp | 97 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/gui/gui.h   |  4 +++-
 2 files changed, 100 insertions(+), 1 deletion(-)

commit d7b572aedc9491c94d1989d0af178bcaa45219ce
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-21 16:15:51 +0100

    gtatool: add a layer command.

 gtatool/src/Makefile.am     |   1 +
 gtatool/src/array/layer.cpp | 368 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/cmds.cpp        |   2 +
 gtatool/tests/Makefile.am   |   1 +
 gtatool/tests/gta-layer.sh  |  69 +++++++++++++++++++++++++++++
 5 files changed, 441 insertions(+)

commit a229ddc11381d622d66b22cdc347a9dc416334c2
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-21 16:15:08 +0100

    gta diff: remove unused option.

 gtatool/src/array/diff.cpp | 2 --
 1 file changed, 2 deletions(-)

commit 7b81535f9e59365ad54ab660e0d326e01c5e194c
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-21 13:39:26 +0100

    gtatool: add a diff command.

 gtatool/src/Makefile.am     |   3 +-
 gtatool/src/array/diff.cpp  | 242 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/base/intcheck.h |  19 ++++++++++++-
 gtatool/src/cmds.cpp        |   4 ++-
 gtatool/tests/Makefile.am   |   3 +-
 gtatool/tests/gta-diff.sh   |  24 ++++++++++++++++
 6 files changed, 291 insertions(+), 4 deletions(-)

commit ddd7f3813777fd00862c613a880a249a626b783d
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-21 12:23:08 +0100

    gta merge: remove dead code.

 gtatool/src/array/merge.cpp | 1 -
 1 file changed, 1 deletion(-)

commit a2a4d3894d44681551119e570e76e4910837ee31
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-21 10:50:06 +0100

    gtatool: bump copyright year in output.

 gtatool/src/gui/gui.cpp | 4 ++--
 gtatool/src/main.cpp    | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 82197e52df1e5d0ee4edbf0856cbfc20048801d1
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-21 10:48:08 +0100

    gta merge, component-merge, dimension-merge: fix crash on missing input.

 gtatool/src/array/merge.cpp               | 14 ++++++++++++--
 gtatool/src/component/component-merge.cpp | 14 ++++++++++++--
 gtatool/src/dimension/dimension-merge.cpp | 14 ++++++++++++--
 gtatool/src/lib.cpp                       |  8 ++++----
 4 files changed, 40 insertions(+), 10 deletions(-)

commit 47e7046054ff86ada91c78408ac97c73357033ef
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-01-09 15:29:02 +0100

    gta to-csv/from-csv: improve performance.
    
    This new version uses faster functions for conversion of numbers to and from
    strings.

 gtatool/src/conv-csv/from-csv.cpp | 106 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------
 gtatool/src/conv-csv/to-csv.cpp   | 132 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------
 2 files changed, 168 insertions(+), 70 deletions(-)

commit ef3affa58f8be5b5bf5d3d2fe5945e48b5f488aa
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-08 21:13:12 +0100

    gtatool: update base modules; fixes support for WinXP.

 gtatool/src/base/blob.h   |  7 +++++++
 gtatool/src/base/fio.cpp  | 48 +++++++++++++++++++++++++++++++++++++++---------
 gtatool/src/base/fio.h    |  2 +-
 gtatool/src/base/s11n.cpp |  1 -
 4 files changed, 47 insertions(+), 11 deletions(-)

commit b504c736e190ae78fb19a762e255a2c20d9fe2ea
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-08 19:09:41 +0100

    gta gui: allow --help to run without graphical display, to make automated tests pass.

 gtatool/src/gui/gui.cpp | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 5a2075490afa2264ade194ea5671fb23dd8a89b6
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-08 18:17:50 +0100

    gtatool: bump version to 1.3.1.

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f143bf90bcd146d2bc0d2bdb3bbd8f39a7632264
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-04 13:53:12 +0100

    Revert "gtatool: adjust test for gta info."
    
    This reverts commit fb2c4e5399f160c47d0b630bf2db1f7eae3e954f.

 gtatool/tests/gta-info.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2eb013627b459dded91d6b5260632df3a0140f1c
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-04 13:53:01 +0100

    Revert "gta info: print output to stdout, not stderr."
    
    This reverts commit 02d870a489ea540506776e72175f7bad1927d684.

 gtatool/src/array/info.cpp | 5 -----
 1 file changed, 5 deletions(-)

commit 1bb4792321587fbb2230b1cd19eeb4e4aac9f2a7
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-04 13:42:18 +0100

    gtatool: add tests for optional modules.

 gtatool/tests/Makefile.am              | 65 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/tests/conv-csv.sh              | 25 +++++++++++++++++++++++++
 gtatool/tests/conv-datraw.sh           | 26 ++++++++++++++++++++++++++
 gtatool/tests/conv-dcmtk.sh            | 16 ++++++++++++++++
 gtatool/tests/conv-exr.sh              | 27 +++++++++++++++++++++++++++
 gtatool/tests/conv-ffmpeg.sh           | 38 ++++++++++++++++++++++++++++++++++++++
 gtatool/tests/conv-gdal.sh             | 29 +++++++++++++++++++++++++++++
 gtatool/tests/conv-jpeg.sh             | 29 +++++++++++++++++++++++++++++
 gtatool/tests/conv-magick.sh           | 29 +++++++++++++++++++++++++++++
 gtatool/tests/conv-mat.sh              | 29 +++++++++++++++++++++++++++++
 gtatool/tests/conv-netcdf.sh           | 29 +++++++++++++++++++++++++++++
 gtatool/tests/conv-netpbm.sh           | 29 +++++++++++++++++++++++++++++
 gtatool/tests/conv-pcd.sh              | 29 +++++++++++++++++++++++++++++
 gtatool/tests/conv-pfs.sh              | 29 +++++++++++++++++++++++++++++
 gtatool/tests/conv-ply.sh              | 29 +++++++++++++++++++++++++++++
 gtatool/tests/conv-pvm.sh              | 29 +++++++++++++++++++++++++++++
 gtatool/tests/conv-rat.sh              | 29 +++++++++++++++++++++++++++++
 gtatool/tests/conv-raw.sh              | 29 +++++++++++++++++++++++++++++
 gtatool/tests/conv-sndfile.sh          | 29 +++++++++++++++++++++++++++++
 gtatool/tests/conv-teem.sh             | 29 +++++++++++++++++++++++++++++
 gtatool/tests/gta-component-compute.sh | 22 ++++++++++++++++++++++
 gtatool/tests/gta-gui.sh               | 16 ++++++++++++++++
 22 files changed, 641 insertions(+)

commit ac08e4e4be294ff669a921d98e6b61dca644ef08
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-04 13:31:37 +0100

    gtatool: allow to set plugin path with GTATOOL_PLUGIN_PATH.
    
    This will be used by module tests so that 'make check' works
    before 'make install'.

 gtatool/src/cmds.cpp      | 4 +++-
 gtatool/tests/Makefile.am | 4 +++-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 7c0f425a5d56a0d954299da14067de0ddd129ae5
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-04 13:20:24 +0100

    gta to-netcdf: fix setting of NC names that may include file paths.

 gtatool/src/conv-netcdf/to-netcdf.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 070decc2dc0bb0194e8654d1d9d103acfeae0b33
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-04 13:19:43 +0100

    gta from-datraw/to-datraw: fix conditional compilation.

 gtatool/src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9058d9d213a6faa695c92681b618b048b5cd5941
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-04 13:19:19 +0100

    gtatool: make --quiet mode more quiet.

 gtatool/src/main.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 550465c5dfd0b83c92803fd6f501a5ffcf21c587
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-04 11:43:42 +0100

    gta from-ffmpeg: fix dynamic loading of module.

 gtatool/src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 31e5372b3922430df97d4a0e442cd6784684d3bd
Merge: d1d6f38 dfc5707
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-03 19:22:31 +0100

    Merge branch 'master' of git.sv.gnu.org:/srv/git/gta

commit d1d6f38c698fd8bb6d9989d38ed0d333b5261c0d
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-03 19:20:02 +0100

    gtatool: bump version to 1.3.0.

 gtatool/configure.ac | 2 +-
 gtatool/doc/gta.1    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit dfc5707c1bc6804b48ba6c65f47c8acd8b054ebb
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-03 12:22:34 +0100

    gtatool: remove obsolete workaround for automake problem.

 gtatool/src/Makefile.am | 6 ------
 1 file changed, 6 deletions(-)

commit 181f9ee6d800c2c725900527b7cba70bbebeb270
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-02 21:59:42 +0100

    gta from-ffmpeg: sync FFmpeg code from Bino.

 gtatool/src/conv-ffmpeg/media_object.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fb2c4e5399f160c47d0b630bf2db1f7eae3e954f
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-10-25 11:05:19 +0200

    gtatool: adjust test for gta info.

 gtatool/tests/gta-info.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 68fa883347276b819816836bc9cc4713babf0d15
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-09-30 15:55:08 +0200

    gta from-ply, to-ply: major improvements to PLY file format support.
    
    Now each array element is imported/exported as a vertex in the PLY vertex list,
    and all PLY vertex attributes are supported.

 gtatool/src/conv-ply/from-ply.cpp | 202 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------
 gtatool/src/conv-ply/to-ply.cpp   | 197 +++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------
 2 files changed, 157 insertions(+), 242 deletions(-)

commit 7256bc8239a001704336883bc133061e1d18ba7d
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-09-30 13:43:27 +0200

    gta from-pcd/to-pcd: add support for oriented point clouds.
    
    Add support for per-point normals in import and export.

 gtatool/src/conv-pcd/from-pcd.cpp | 184 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------
 gtatool/src/conv-pcd/to-pcd.cpp   | 182 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------
 2 files changed, 316 insertions(+), 50 deletions(-)

commit 657598e227d34df82910c07d6f995cf6cf492f2d
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-09-27 09:44:52 +0200

    gta gui: minor code cleanup.

 gtatool/src/gui/gui.cpp | 180 +++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------------------
 1 file changed, 39 insertions(+), 141 deletions(-)

commit 789a0a801a805ffa799c8a99846515f28fbaf4b0
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-09-27 09:38:09 +0200

    gta gui: add NetCDF import/export.

 gtatool/src/gui/gui.cpp | 24 ++++++++++++++++++++++++
 gtatool/src/gui/gui.h   |  2 ++
 2 files changed, 26 insertions(+)

commit 5406f924da65b80b3fd74f28804db9ab73fe0fa5
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-09-26 14:57:44 +0200

    gtatool: add from-netcdf, to-netcdf commands for import/export of NetCDF files.

 gtatool/configure.ac                    |  15 ++++++
 gtatool/src/Makefile.am                 |  12 +++++
 gtatool/src/cmds.cpp                    |   4 ++
 gtatool/src/conv-netcdf/from-netcdf.cpp | 392 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/conv-netcdf/to-netcdf.cpp   | 361 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 784 insertions(+)

commit 02d870a489ea540506776e72175f7bad1927d684
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-09-26 09:54:50 +0200

    gta info: print output to stdout, not stderr.

 gtatool/src/array/info.cpp | 5 +++++
 1 file changed, 5 insertions(+)

commit 4494f3df9ab0ddebda8a7db8296a1feb6e5db5b5
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-09-18 17:17:13 +0200

    gta from-pcd, to-pcd: fix PCL import/export module, and update for PCL-1.6.

 gtatool/configure.ac              | 2 +-
 gtatool/src/conv-pcd/from-pcd.cpp | 4 ++--
 gtatool/src/conv-pcd/to-pcd.cpp   | 4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 346b6820798f0182c34b5808549dab9a05530f5f
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-09-03 09:48:08 +0200

    gtatool: bump version to 1.2.0.

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f0fa8d54e0165058056c62cc8eaaa1dfa9af73a8
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-09-03 09:47:50 +0200

    gtatool: do not link dynamic modules with libbase.
    
    Linking with libbase leads to two instances of msg::_program_name at runtime,
    with the effect that dynamic modules do not properly print the program
    name in messages.

 gtatool/src/Makefile.am | 34 ++++++++++++++--------------------
 1 file changed, 14 insertions(+), 20 deletions(-)

commit 72e56e3b3293a2b5ad82444e62df004b96d29992
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-09-02 14:12:52 +0200

    gta to-datraw: improve compatibility with OpenQVis.

 gtatool/src/conv-datraw/to-datraw.cpp | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 1fd19072b1f14a7ac762c1b63000fabb9196dc52
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-09-02 11:34:47 +0200

    gtatool: add from-datraw, to-datraw commands for import/export of .dat/.raw volume data.

 gtatool/configure.ac                    |   8 +++++++
 gtatool/src/Makefile.am                 |  10 ++++++++
 gtatool/src/cmds.cpp                    |   4 ++++
 gtatool/src/conv-datraw/from-datraw.cpp | 179 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/conv-datraw/to-datraw.cpp   | 123 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/gui/gui.cpp                 |  24 +++++++++++++++++++
 gtatool/src/gui/gui.h                   |   2 ++
 7 files changed, 350 insertions(+)

commit 0cdfb799e7426a54d18761c51f145a1a076a6446
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-09-01 22:03:57 +0200

    gtatool: add from-pvm, to-pvm commands for import/export of PVM volume data.

 gtatool/configure.ac              |    8 ++
 gtatool/src/Makefile.am           |   11 ++
 gtatool/src/cmds.cpp              |    4 +
 gtatool/src/conv-pvm/README       |    4 +
 gtatool/src/conv-pvm/codebase.h   |  250 ++++++++++++++++++++++++++++++++++
 gtatool/src/conv-pvm/ddsbase.cpp  | 1074 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/conv-pvm/ddsbase.h    |   44 ++++++
 gtatool/src/conv-pvm/from-pvm.cpp |  148 +++++++++++++++++++++
 gtatool/src/conv-pvm/to-pvm.cpp   |  166 +++++++++++++++++++++++
 gtatool/src/gui/gui.cpp           |   24 ++++
 gtatool/src/gui/gui.h             |    2 +
 11 files changed, 1735 insertions(+)

commit 50a308fa4bf9a3d9cb1be990019e16aac93d7bfb
Merge: dbee02e 84dac8e
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-08-24 20:05:47 +0200

    Merge branch 'master' of git.sv.gnu.org:/srv/git/gta

commit dbee02e883257219f916d69402832620754618fd
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-08-24 20:05:06 +0200

    Remove files added by 'autoreconf -i', and cleanup .gitignore files.

 gtatool/.gitignore             |   19 +
 gtatool/Makefile.am            |    1 -
 gtatool/build-aux/config.guess | 1530 ------------------------
 gtatool/build-aux/config.rpath |  104 +-
 gtatool/build-aux/config.sub   | 1773 ----------------------------
 gtatool/build-aux/depcomp      |  688 -----------
 gtatool/build-aux/install-sh   |  527 ---------
 gtatool/build-aux/ltmain.sh    | 9661 ------------------------------------------------------------------------------------------------------------------------------------------------------
 gtatool/build-aux/missing      |  331 ------
 gtatool/m4/iconv.m4            |  268 -----
 gtatool/m4/lib-ld.m4           |  109 --
 gtatool/m4/lib-link.m4         |  777 ------------
 gtatool/m4/lib-prefix.m4       |  224 ----
 gtatool/m4/libtool.m4          | 8001 ----------------------------------------------------------------------------------------------------------------------------
 gtatool/m4/ltoptions.m4        |  384 ------
 gtatool/m4/ltsugar.m4          |  123 --
 gtatool/m4/ltversion.m4        |   23 -
 gtatool/m4/lt~obsolete.m4      |   98 --
 18 files changed, 62 insertions(+), 24579 deletions(-)

commit 84dac8e46f21bcd8b725110167f3265335669ff2
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-08-23 15:37:16 +0200

    gtatool: fix overriding of tool names in configure script.
    
    This affects GDALCONFIG, RCC, and MOC.

 gtatool/configure.ac | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit c221ff74c4feda70e4608e25f072f66ec04b17fd
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-08-15 20:14:38 +0200

    gta from-jpeg, to-jpeg: minor cleanup.

 gtatool/src/conv-jpeg/from-jpeg.cpp | 5 +----
 gtatool/src/conv-jpeg/to-jpeg.cpp   | 5 +----
 2 files changed, 2 insertions(+), 8 deletions(-)

commit 3573d6cb45a86bade0e91fb483df6db1763c6455
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-08-15 15:51:36 +0200

    gtatool: add from-jpeg, to-jpeg commands for import/export of JPEG images via libjpeg.

 gtatool/configure.ac                |  22 +++++++++++++++++++++
 gtatool/src/Makefile.am             |  11 +++++++++++
 gtatool/src/cmds.cpp                |   4 ++++
 gtatool/src/conv-jpeg/from-jpeg.cpp | 153 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/conv-jpeg/to-jpeg.cpp   | 150 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/gui/gui.cpp             |  24 +++++++++++++++++++++++
 gtatool/src/gui/gui.h               |   2 ++
 7 files changed, 366 insertions(+)

commit 72f3b878615bc81836fa6806f20313f728dda2d5
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-07-18 21:57:15 +0200

    gtatool: bump version to 1.1.0

 gtatool/configure.ac | 4 ++--
 gtatool/doc/gta.1    | 4 ++--
 gtatool/doc/gta.texi | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit fc7be66461146a22b2d936812d868bad6c245d7a
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-07-18 21:49:08 +0200

    gta from-ffmpeg: sync FFmpeg import from Bino.

 gtatool/src/conv-ffmpeg/media_data.cpp   | 11 +++++++++++
 gtatool/src/conv-ffmpeg/media_data.h     |  1 +
 gtatool/src/conv-ffmpeg/media_object.cpp | 44 +++++++++++++++++++++++++++++++++-----------
 3 files changed, 45 insertions(+), 11 deletions(-)

commit c718e21316e5de9fb635286a93994cf29845fcfd
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-07-06 15:45:19 +0200

    gta gui: add CSV import/export

 gtatool/src/gui/gui.cpp | 24 ++++++++++++++++++++++++
 gtatool/src/gui/gui.h   |  2 ++
 2 files changed, 26 insertions(+)

commit b158e30325e0fe7780a552ef99b7f716291d04ff
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-07-06 15:39:24 +0200

    gta gui: disable RAT and RAW import/export if the commands are unavailable.

 gtatool/src/gui/gui.cpp | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 82943803a0a26dc2be3b494179bb4b4ac5f83372
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-07-06 15:16:39 +0200

    gtatool: rewrite the from-raw, to-raw commands.
    
    By using the common library functions from lib.cpp, this new version avoids
    code duplication, improves performance, and adds features.

 gtatool/src/conv-raw/from-raw.cpp | 180 +++++++++++++++++++++-------------------------------------------------------------------------------------------------------------------------------
 gtatool/src/conv-raw/to-raw.cpp   |  62 +++++++++++++++++++++------------------------------
 2 files changed, 50 insertions(+), 192 deletions(-)

commit 18e0cdc961e11c9c55dd9599a6898eb08c1b7ac5
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-07-06 11:14:50 +0200

    gtatool: add from-csv, to-csv commands for the CSV file format.

 gtatool/configure.ac               |   8 ++++++
 gtatool/src/Makefile.am            |  10 +++++++
 gtatool/src/cmds.cpp               |   4 +++
 gtatool/src/conv-csv/delimiter.cpp |  34 ++++++++++++++++++++++++
 gtatool/src/conv-csv/delimiter.h   |  30 +++++++++++++++++++++
 gtatool/src/conv-csv/from-csv.cpp  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/conv-csv/to-csv.cpp    | 213 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 7 files changed, 513 insertions(+)

commit e507327ff5b231b5655b50d8246114930ca65613
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-07-01 16:46:51 +0200

    gtatool: update base modules.

 gtatool/configure.ac     | 33 +++++++++++++++++++++++++++++----
 gtatool/src/base/fio.cpp |  5 +++++
 gtatool/src/base/msg.cpp | 56 ++++++--------------------------------------------------
 gtatool/src/base/str.cpp | 30 ++++++++++++++++++++++++++++++
 gtatool/src/base/str.h   |  5 +++++
 5 files changed, 75 insertions(+), 54 deletions(-)

commit d1a6c81ef7a0356c5358b4a90090045c97e8863c
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-06-21 18:03:37 +0200

    gta info: fix computation of statistics.
    
    Ignore all numbers that are not finite, and don't compute/print statistics if
    insufficient values are available.

 gtatool/src/array/info.cpp | 43 +++++++++++++++++++++++++++++++------------
 1 file changed, 31 insertions(+), 12 deletions(-)

commit 479a8c6821e36ed5281b2c97060d71657ad534b3
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-05-02 10:54:15 +0200

    gta from-ffmpeg: sync FFmpeg import from Bino.

 gtatool/configure.ac                     |    2 +-
 gtatool/src/conv-ffmpeg/from-ffmpeg.cpp  |    6 +-
 gtatool/src/conv-ffmpeg/media_data.cpp   | 1378 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------
 gtatool/src/conv-ffmpeg/media_data.h     |  279 ++++++++++++++++++-----------
 gtatool/src/conv-ffmpeg/media_object.cpp |  373 ++++++++++++++++++++++++--------------
 gtatool/src/conv-ffmpeg/media_object.h   |    8 +-
 6 files changed, 1297 insertions(+), 749 deletions(-)

commit 9d829789c41839f40dbc448aaa7f7bdff09cdb2b
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-05-02 10:47:36 +0200

    gtatool: update packaging for Windows.

 gtatool/pkg/w32/gtatool.nsi | 12 ++++++------
 gtatool/pkg/w32/notes.txt   |  8 ++++----
 2 files changed, 10 insertions(+), 10 deletions(-)

commit 3dc2fd98becb97a0542fdd5da394cb529f16bab2
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-05-02 10:42:11 +0200

    gta gui: improve Help->About text.

 gtatool/src/gui/gui.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 310dc3ec15f1e0c0d89c271894a1651d8ec9b512
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-05-02 10:37:38 +0200

    gta gui: Install icons and a desktop entry. Update appicon.

 gtatool/configure.ac                  |  11 +++++++++--
 gtatool/src/Makefile.am               |  21 ++++++++++++++++++++-
 gtatool/src/appicon.ico               | Bin 1078 -> 32038 bytes
 gtatool/src/gui/gta_gui.desktop       |   9 +++++++++
 gtatool/src/gui/gui.png               | Bin 2776 -> 0 bytes
 gtatool/src/gui/gui.qrc               |   2 +-
 gtatool/src/gui/logo/16x16/gta.png    | Bin 0 -> 751 bytes
 gtatool/src/gui/logo/32x32/gta.png    | Bin 0 -> 1505 bytes
 gtatool/src/gui/logo/48x48/gta.png    | Bin 0 -> 2219 bytes
 gtatool/src/gui/logo/64x64/gta.png    | Bin 0 -> 2939 bytes
 gtatool/src/gui/logo/scalable/gta.svg |  43 +++++++++++++++++++++++++++++++++++++++++++
 11 files changed, 82 insertions(+), 4 deletions(-)

commit 76b106a19893dd9e9f6299b1dfbd311a77eb3a64
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-05-02 10:01:30 +0200

    gta gui: update description of component-convert --normalize.

 gtatool/src/gui/gui.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0c76d2c99679eb5a3f99533fe52826ac4a16160d
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-05-02 10:00:56 +0200

    gta gui: add import/export via sndfile and teem.

 gtatool/src/gui/gui.cpp | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/gui/gui.h   |  6 +++++-
 2 files changed, 53 insertions(+), 1 deletion(-)

commit b0a84ac37f54c4500111e7c6a189d426b3d15cfe
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-05-01 16:42:02 +0200

    Update autotools files.

 gtatool/INSTALL                |   9 ++++--
 gtatool/build-aux/config.guess |  49 +++++++++++++++++-----------
 gtatool/build-aux/config.sub   |  65 ++++++++++++++++++++++---------------
 gtatool/build-aux/depcomp      |  74 ++++++++++++++++++++++++++++++++++++++-----
 gtatool/build-aux/install-sh   |  29 ++++++++++-------
 gtatool/build-aux/ltmain.sh    |  95 ++++++++++++++++++++++++++++++++----------------------
 gtatool/build-aux/missing      |  53 +++----------------------------
 gtatool/m4/libtool.m4          | 264 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------
 gtatool/m4/ltoptions.m4        |  19 +++++++++--
 gtatool/m4/ltversion.m4        |  10 +++---
 10 files changed, 451 insertions(+), 216 deletions(-)

commit 4db4a96d7f7823f8b8fc53f7a147cf2d33d3b5e6
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-04-30 11:24:37 +0200

    gta to-magick: fix a crash when there is no image to write.

 gtatool/src/conv-magick/to-magick.cpp | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit f1ced2545e5de5c90ec1babadde136d2aab0b969
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-04-30 11:18:37 +0200

    gta component-convert: extend and improve --normalization option.

 gtatool/src/component/component-convert.cpp | 114 +++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------
 1 file changed, 53 insertions(+), 61 deletions(-)

commit 87a8be334d65bc9a97092c4140b4afe366f3761d
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-04-17 10:43:47 +0200

    gtatool: update base modules.

 gtatool/src/base/blob.h       |  2 +-
 gtatool/src/base/dbg.cpp      | 90 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------
 gtatool/src/base/dbg.h        |  2 +-
 gtatool/src/base/endianness.h |  2 +-
 gtatool/src/base/exc.cpp      |  2 +-
 gtatool/src/base/exc.h        |  4 +---
 gtatool/src/base/fio.cpp      |  2 +-
 gtatool/src/base/fio.h        |  2 +-
 gtatool/src/base/intcheck.h   |  2 +-
 gtatool/src/base/msg.cpp      |  2 +-
 gtatool/src/base/msg.h        |  2 +-
 gtatool/src/base/opt.cpp      | 25 ++++++++++++++++++++++++-
 gtatool/src/base/opt.h        | 15 +++++++++++++--
 gtatool/src/base/s11n.cpp     |  4 ++--
 gtatool/src/base/s11n.h       | 20 +++++++++++++++++++-
 gtatool/src/base/str.cpp      | 71 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 gtatool/src/base/str.h        | 22 +++++++++++++++++++++-
 gtatool/src/base/thread.cpp   | 79 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 gtatool/src/base/thread.h     | 36 ++++++++++++++++++++++++++++++++----
 19 files changed, 343 insertions(+), 41 deletions(-)

commit 7fcba59341434088e17d35a54b8c6659b56929f6
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-03-06 21:57:21 +0100

    gta from-ply: make code more robust and avoid compiler warning.

 gtatool/src/conv-ply/from-ply.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f97102bdd0f90a4957fb7a85c3a4d80dfb7c9371
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-03-06 21:55:54 +0100

    gtatool: fix build issue with the conv-teem module.

 gtatool/src/cmds.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 367be579dbed79aa40dbb0ea8c50b9291249530b
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-03-06 13:26:38 +0100

    gtatool: add from-teem, to-teem commands for the NRRD file format.

 gtatool/configure.ac                |  19 ++++++++++++++++
 gtatool/src/Makefile.am             |  14 +++++++++++-
 gtatool/src/cmds.cpp                |   6 ++++-
 gtatool/src/conv-teem/from-teem.cpp | 158 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/conv-teem/to-teem.cpp   | 179 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/lib.cpp                 |  24 ++++++++++++++++++++
 gtatool/src/lib.h                   |   4 +++-
 7 files changed, 401 insertions(+), 3 deletions(-)

commit 3853db1faa37606767cc37613be9dcf6304b6d74
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-01-27 14:17:06 +0100

    gtatool: bump copyright years.

 gtatool/src/gui/gui.cpp | 4 ++--
 gtatool/src/lib.cpp     | 2 +-
 gtatool/src/main.cpp    | 4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

commit eb38c198b8f726a4b53d4755556abde694a7adce
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-01-27 14:16:51 +0100

    gtatool: bump version to 1.0.2.

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 77ca8babfd053e7255391f3c038bca1fb159c429
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-01-23 15:29:40 +0100

    gtatool: array loop: fix error messages when fio::has_more() fails.

 gtatool/src/lib.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d03b048efc71f8b1ba00d5a0714f2fa5ce7bc4cb
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-01-22 15:32:55 +0100

    libgta / gtatool: properly use DESTDIR in install-exec-hook.
    
    Reported by Volker Fröhlich.

 gtatool/src/Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e642d1cb52058b2cb827dace840c50267778436d
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 15:05:24 +0100

    gtatool: bump version to 1.0.1.

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bd1155bfe88dda1b99b9adf159da524d7ed6f6ed
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 15:05:14 +0100

    gtatool: Update NEWS.

 gtatool/NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit 7325482735bfe9426db23dce7311e53955d9d543
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 15:01:30 +0100

    gtatool: let element_loop::read return 'const void *'

 gtatool/src/conv-ply/to-ply.cpp             | 2 +-
 gtatool/src/conv-sndfile/to-sndfile.cpp     | 8 ++++----
 gtatool/src/dimension/dimension-extract.cpp | 2 +-
 gtatool/src/dimension/dimension-split.cpp   | 2 +-
 gtatool/src/lib.cpp                         | 2 +-
 gtatool/src/lib.h                           | 2 +-
 6 files changed, 9 insertions(+), 9 deletions(-)

commit 1c04e66dfc993e07ffcf635ddaba783bbaf34ef6
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 14:58:03 +0100

    gta component-merge: use array and element loop, add test.

 gtatool/src/component/component-merge.cpp | 85 ++++++++++++++++++++++++++++++++++++++++---------------------------------------------
 gtatool/tests/Makefile.am                 |  1 +
 gtatool/tests/gta-component-merge.sh      | 31 +++++++++++++++++++++++++++++++
 3 files changed, 72 insertions(+), 45 deletions(-)

commit 73bd4ceb29fc0585899bce942f8f16bbf455a946
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 14:36:10 +0100

    gta component-split: use array and element loop, add test.

 gtatool/src/component/component-split.cpp | 142 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------
 gtatool/tests/Makefile.am                 |   1 +
 gtatool/tests/gta-component-split.sh      |  29 +++++++++++++++++++++++++++++
 3 files changed, 94 insertions(+), 78 deletions(-)

commit d3a901968ff7be7ef6bbaec85d58344a8cbe0016
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 12:41:15 +0100

    gta component-reorder: use array and element loop, add test.

 gtatool/src/component/component-reorder.cpp | 113 ++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------
 gtatool/tests/Makefile.am                   |   1 +
 gtatool/tests/gta-component-reorder.sh      |  26 ++++++++++++++++++++++++++
 3 files changed, 71 insertions(+), 69 deletions(-)

commit 17d1bd98135e48ed7037a48d015762c81f86cd21
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 12:32:09 +0100

    gta component-extract: use array and element loop, add test, and fix bug.

 gtatool/src/component/component-extract.cpp | 151 ++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------
 gtatool/tests/Makefile.am                   |   1 +
 gtatool/tests/gta-component-extract.sh      |  29 +++++++++++++++++++++++++++
 3 files changed, 89 insertions(+), 92 deletions(-)

commit 0135812d4ef5b41ade208ec593116581e191fd01
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 12:02:11 +0100

    gta component-convert: use array and element loop, add test.

 gtatool/src/component/component-convert.cpp | 231 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------
 gtatool/tests/Makefile.am                   |   1 +
 gtatool/tests/gta-component-convert.sh      |  20 ++++++++++++
 3 files changed, 124 insertions(+), 128 deletions(-)

commit 8323b077613d3a272832c2a6c802553c16fa23a0
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 11:43:42 +0100

    gta component-compute: use array and element loop.

 gtatool/src/component/component-compute.cpp | 506 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------
 1 file changed, 241 insertions(+), 265 deletions(-)

commit 7f2169c420f1e2402815f7cf1694cc23c7a5e52d
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 11:34:06 +0100

    gta component-add: use array and element loop, add test.

 gtatool/src/component/component-add.cpp | 161 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------
 gtatool/tests/Makefile.am               |   1 +
 gtatool/tests/gta-component-add.sh      |  27 ++++++++++++++++++++++++
 3 files changed, 96 insertions(+), 93 deletions(-)

commit ce0f2f1c6b42b9481471b99ea23ec0d7a08e4f51
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 11:21:02 +0100

    gta component-set: use array and element loop, add test.

 gtatool/src/component/component-set.cpp | 128 ++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------
 gtatool/tests/Makefile.am               |  15 ++++++++-------
 gtatool/tests/gta-component-set.sh      |  20 ++++++++++++++++++++
 3 files changed, 80 insertions(+), 83 deletions(-)

commit d9db8d86e0f8d4df6c00d8b9d2700bc859ad7e83
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-05 21:39:02 +0100

    gtatool: update base modules.

 gtatool/src/base/msg.h   |  2 +-
 gtatool/src/base/str.cpp | 18 +++++++++++++++++-
 gtatool/src/base/str.h   |  1 +
 3 files changed, 19 insertions(+), 2 deletions(-)

commit 0f45e07795a0d5df57a632f3a107968c3a68fc11
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-05 14:14:14 +0100

    gtatool: remove dependency on C++11x features.

 gtatool/configure.ac          |  3 ---
 gtatool/src/base/blob.h       |  4 ++--
 gtatool/src/base/dbg.cpp      | 10 +++++-----
 gtatool/src/base/endianness.h |  2 +-
 gtatool/src/base/fio.cpp      | 36 ++++++++++++++++++------------------
 gtatool/src/base/msg.cpp      |  4 ++--
 gtatool/src/base/opt.cpp      |  6 +++---
 gtatool/src/base/opt.h        |  2 +-
 gtatool/src/base/s11n.cpp     |  4 ++--
 gtatool/src/base/str.cpp      | 12 +++++++++---
 gtatool/src/base/str.h        |  2 +-
 gtatool/src/base/thread.cpp   | 14 +++++++-------
 gtatool/src/base/thread.h     |  2 +-
 13 files changed, 52 insertions(+), 49 deletions(-)

commit 7af1909622dea856118eef9ce8b8cb98222e59b8
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-05 07:11:26 +0100

    gta info: fix computation of sample mean.

 gtatool/src/array/info.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f688d84c07b79ef3854d5948d0095645a4d62fb9
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-04 17:03:44 +0100

    gtatool: bump version to 1.0.0.

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c04665be4bbf114225922b35451e4d9c57276513
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 22:09:25 +0100

    gta from-gdal: use MIN_VALUE and MAX_VALUE tags.

 gtatool/src/conv-gdal/from-gdal.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c6a27f611382244924cd01b2a90dd1b3d2bea4bd
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 22:06:01 +0100

    gta info: fix minor typo.

 gtatool/src/array/info.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 60ce5c2b69322d27d8b2fd819c0f240e2ccb3701
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 21:22:58 +0100

    gtatool info: Improve output for empty GTAs.

 gtatool/src/array/info.cpp | 17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)

commit 1e7fb7c12d888fa3461ca3cf301e84d63c238a83
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 21:22:08 +0100

    gtatool create: Support creation of empty GTAs.
    
    Empty GTAs either have zero dimensions or zero element components, or both.

 gtatool/src/array/create.cpp | 20 +++++++++++++-------
 gtatool/src/lib.cpp          | 10 ++++++++++
 2 files changed, 23 insertions(+), 7 deletions(-)

commit b3f9c0113133ec33117f3990fe889e53caf9ba36
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 20:58:38 +0100

    gtatool gui: improve display of array information.

 gtatool/src/gui/gui.cpp | 51 ++++++++++++++++++++++++++++++++++++++-------------
 gtatool/src/gui/gui.h   |  6 +++---
 2 files changed, 41 insertions(+), 16 deletions(-)

commit f894c3b5ad4faf74f38a4223c7b8bcd98639a53e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 20:22:26 +0100

    gta info: print total number of elements.

 gtatool/src/array/info.cpp | 4 ++++
 1 file changed, 4 insertions(+)

commit 146b2f819518734295293df22cfb6f347bb1230a
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 20:06:57 +0100

    gtatool: configure.ac: update Debian package name for libdcmtk.

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit acb74150b5eb4b96e46688657e04bf1e0f5d6956
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 16:47:13 +0100

    gtatool: configure.ac: fix minor typo.

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e5a80405f0edd0fa092a5280844fbb8171016394
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 16:46:25 +0100

    gtatool: disable valgrind in tests by default.

 gtatool/configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f6786933350b27e72fbb957e399387874870e618
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 16:43:20 +0100

    gtatool info: add test for -s.

 gtatool/tests/gta-info.sh | 1 +
 1 file changed, 1 insertion(+)

commit 6e3ff46befb145222621072212da79779aba505c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 16:42:21 +0100

    gtatool dimension-flatten: add test.

 gtatool/tests/Makefile.am              |  1 +
 gtatool/tests/gta-dimension-flatten.sh | 22 ++++++++++++++++++++++
 2 files changed, 23 insertions(+)

commit 3608d0ce5d382a11050c50d6331610899cd00bec
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 16:25:16 +0100

    gtatool gui: update with latest gtatool features.

 gtatool/src/gui/gui.cpp | 108 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 gtatool/src/gui/gui.h   |   6 ++++++
 2 files changed, 112 insertions(+), 2 deletions(-)

commit de2ecd82d18191328e4b49181c09338ac6fb0a2d
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 16:01:13 +0100

    gtatool: remove obsolete NEWS entries.
    
    Start updating NEWS again only after 1.0.0.

 gtatool/NEWS | 6 ------
 1 file changed, 6 deletions(-)

commit c278a863e6e4d31e8abf9a3b2dd6ba18366236bb
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 14:55:48 +0100

    gtatool: base module fio: add missing lib for w32.

 gtatool/configure.ac | 2 ++
 1 file changed, 2 insertions(+)

commit eaa14e738bb04a6177fae5cdee9c9ca9d27e8bd3
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 14:55:33 +0100

    gtatool: base module fio: fix typo.

 gtatool/src/base/fio.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 523fc8dd085f116b4176cb7c38225b11f122e44a
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 14:30:07 +0100

    gtatool: add check for symlink().

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b571f0a67395b2b36607304940a2e12641b012a1
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 14:29:05 +0100

    gtatool: port updated base module fio to w32.

 gtatool/src/base/fio.cpp | 133 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------
 1 file changed, 90 insertions(+), 43 deletions(-)

commit 8bc8c6d8c2aaca09b552add9b14a8a7917d9bd49
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 13:54:39 +0100

    gtatool: update base modules.

 gtatool/configure.ac                        |   3 +-
 gtatool/src/array/compress.cpp              |   1 -
 gtatool/src/array/create.cpp                |   1 -
 gtatool/src/array/extract.cpp               |   1 -
 gtatool/src/array/fill.cpp                  |   1 -
 gtatool/src/array/info.cpp                  |   1 -
 gtatool/src/array/merge.cpp                 |   4 +-
 gtatool/src/array/resize.cpp                |   1 -
 gtatool/src/array/set.cpp                   |   1 -
 gtatool/src/array/tag.cpp                   |   1 -
 gtatool/src/array/uncompress.cpp            |   1 -
 gtatool/src/base/Makefile.am                |   2 +-
 gtatool/src/base/blob.h                     |  87 +++++++++++-----------
 gtatool/src/base/dbg.cpp                    |  15 ++--
 gtatool/src/base/dbg.h                      |  15 ++--
 gtatool/src/base/endianness.h               |   5 +-
 gtatool/src/base/exc.cpp                    |   9 +--
 gtatool/src/base/exc.h                      |   3 -
 gtatool/src/base/{cio.cpp => fio.cpp}       | 421 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------
 gtatool/src/base/{cio.h => fio.h}           |  57 ++++++++++++--
 gtatool/src/base/intcheck.h                 |   3 -
 gtatool/src/base/msg.cpp                    |  13 ++--
 gtatool/src/base/msg.h                      |  19 ++++-
 gtatool/src/base/opt.cpp                    |   9 +--
 gtatool/src/base/opt.h                      |   7 +-
 gtatool/src/base/s11n.cpp                   | 566 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------
 gtatool/src/base/s11n.h                     | 179 +++++++++++++++++++++++++++++++-------------
 gtatool/src/base/str.cpp                    |   9 +--
 gtatool/src/base/str.h                      |   5 +-
 gtatool/src/base/thread.cpp                 | 151 +++++++++++++++++++++++++++----------
 gtatool/src/base/thread.h                   |  95 ++++++++++++++++-------
 gtatool/src/component/component-add.cpp     |  10 +--
 gtatool/src/component/component-compute.cpp |  10 +--
 gtatool/src/component/component-convert.cpp |  10 +--
 gtatool/src/component/component-extract.cpp |  10 +--
 gtatool/src/component/component-merge.cpp   |  12 +--
 gtatool/src/component/component-reorder.cpp |  10 +--
 gtatool/src/component/component-set.cpp     |  10 +--
 gtatool/src/component/component-split.cpp   |  16 ++--
 gtatool/src/conv-dcmtk/from-dcmtk.cpp       |   8 +-
 gtatool/src/conv-exr/from-exr.cpp           |   8 +-
 gtatool/src/conv-exr/to-exr.cpp             |   4 +-
 gtatool/src/conv-ffmpeg/from-ffmpeg.cpp     |  14 ++--
 gtatool/src/conv-ffmpeg/media_data.h        |   8 +-
 gtatool/src/conv-gdal/from-gdal.cpp         |   8 +-
 gtatool/src/conv-gdal/to-gdal.cpp           |   6 +-
 gtatool/src/conv-magick/from-magick.cpp     |   8 +-
 gtatool/src/conv-magick/to-magick.cpp       |   8 +-
 gtatool/src/conv-mat/from-mat.cpp           |   8 +-
 gtatool/src/conv-mat/to-mat.cpp             |  10 +--
 gtatool/src/conv-netpbm/from-netpbm.cpp     |  14 ++--
 gtatool/src/conv-netpbm/to-netpbm.cpp       |  12 +--
 gtatool/src/conv-pfs/from-pfs.cpp           |  10 +--
 gtatool/src/conv-pfs/to-pfs.cpp             |  12 +--
 gtatool/src/conv-ply/from-ply.cpp           |   6 +-
 gtatool/src/conv-ply/to-ply.cpp             |   8 +-
 gtatool/src/conv-rat/from-rat.cpp           |  26 +++----
 gtatool/src/conv-rat/to-rat.cpp             |  28 +++----
 gtatool/src/conv-raw/from-raw.cpp           |  14 ++--
 gtatool/src/conv-raw/to-raw.cpp             |  12 +--
 gtatool/src/conv-sndfile/from-sndfile.cpp   |   1 -
 gtatool/src/conv-sndfile/to-sndfile.cpp     |   1 -
 gtatool/src/dimension/dimension-add.cpp     |   1 -
 gtatool/src/dimension/dimension-extract.cpp |   1 -
 gtatool/src/dimension/dimension-flatten.cpp |   1 -
 gtatool/src/dimension/dimension-merge.cpp   |   1 -
 gtatool/src/dimension/dimension-reorder.cpp |   8 +-
 gtatool/src/dimension/dimension-reverse.cpp |   8 +-
 gtatool/src/dimension/dimension-split.cpp   |   8 +-
 gtatool/src/gui/gui.cpp                     | 116 ++++++++++++++---------------
 gtatool/src/gui/gui.h                       |   2 +-
 gtatool/src/lib.cpp                         |  22 +++---
 gtatool/src/stream/stream-extract.cpp       |   1 -
 gtatool/src/stream/stream-merge.cpp         |   1 -
 gtatool/src/stream/stream-split.cpp         |   1 -
 75 files changed, 1541 insertions(+), 638 deletions(-)

commit 12d345d5dd6ad318b19586fef8d8ec5cf3f95eaf
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 13:13:31 +0100

    gtatool: move to C++0x.

 gtatool/configure.ac                        | 3 +++
 gtatool/src/component/component-compute.cpp | 2 +-
 gtatool/src/component/component-convert.cpp | 2 +-
 3 files changed, 5 insertions(+), 2 deletions(-)

commit 1a4e3e7902f47502cc91e87ad4cc1bc7a85b0b6f
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-01 14:53:40 +0100

    gtatool: info: implement --statistics.

 gtatool/src/array/info.cpp | 169 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 155 insertions(+), 14 deletions(-)

commit 79b66a9f68545ba9b51e10a16d3b2047a8c6bad1
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-11-29 11:53:01 +0100

    gtatool: from-ffmpeg: sync with Bino.

 gtatool/src/conv-ffmpeg/media_data.cpp   | 52 +++++++++++++++++++++++++++++++++-------------------
 gtatool/src/conv-ffmpeg/media_data.h     |  5 ++++-
 gtatool/src/conv-ffmpeg/media_object.cpp | 57 +++++++++++++++++++++++++++++++++++++++++++++++++--------
 gtatool/src/conv-ffmpeg/media_object.h   |  2 +-
 4 files changed, 87 insertions(+), 29 deletions(-)

commit b751c6662a9b6c6de7da3344b64bf365fa32b505
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-11-28 16:25:06 +0100

    gtatool: fix invalid reuse of variable names; fixes compilation with clang++.

 gtatool/src/component/component-merge.cpp |  6 +++---
 gtatool/src/conv-ply/to-ply.cpp           | 44 ++++++++++++++++++++++----------------------
 2 files changed, 25 insertions(+), 25 deletions(-)

commit 9671b6678bdfb9b13d6657e383cc6c61e6c47013
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-11-09 16:45:37 +0100

    gtatool: autotools update.

 gtatool/build-aux/config.guess |  222 +++++----
 gtatool/build-aux/config.sub   |  159 ++++--
 gtatool/build-aux/ltmain.sh    | 3990 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------
 gtatool/m4/libtool.m4          | 2056 +++++++++++++++++++++++++++++++++++++++++++++++------------------------------
 gtatool/m4/ltoptions.m4        |   13 +-
 gtatool/m4/ltversion.m4        |   12 +-
 gtatool/m4/lt~obsolete.m4      |   12 +-
 7 files changed, 4136 insertions(+), 2328 deletions(-)

commit dfe2bfcb06bacedc0a3cc56156c3e74486b23387
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-09-22 13:43:27 +0200

    gtatool {from,to}-ffmpeg: relax ffmpeg version requirement.

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4420cd1d5af27efa8011cb4a10d23aba23eb0271
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-09-22 13:40:51 +0200

    gtatool from-{pcd,ply,sndfile}: fix help text.

 gtatool/src/conv-pcd/from-pcd.cpp         | 2 +-
 gtatool/src/conv-ply/from-ply.cpp         | 2 +-
 gtatool/src/conv-sndfile/from-sndfile.cpp | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 05af702e82cb0125ea0e091915733b86b89cd91c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-09-15 15:01:56 +0200

    gtatool from-ply: handl CRLF in PLY files correctly.

 gtatool/src/conv-ply/plyfile.cpp | 4 ++++
 1 file changed, 4 insertions(+)

commit 4067260a75b938d4e1a7712e62d1fbf5390eaaf7
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-09-11 11:53:29 +0200

    gtatool from-ply: avoid compiler warning.

 gtatool/src/conv-ply/from-ply.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 298b3f6b3b93e5a0e0eb618962cf8aab3a212c93
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-09-10 11:32:13 +0200

    gtatool from-ffmpeg: sync FFmpeg import from Bino.

 gtatool/src/conv-ffmpeg/media_object.cpp | 64 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 63 insertions(+), 1 deletion(-)

commit ed0ce6a48d3ffe941c29d4ca7aad65cc7f217bdd
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-07-04 08:56:40 +0200

    gtatool from-ffmpeg: sync FFmpeg import from Bino.

 gtatool/configure.ac                     |   2 +-
 gtatool/src/conv-ffmpeg/media_object.cpp | 125 +++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------
 2 files changed, 40 insertions(+), 87 deletions(-)

commit a433185a6437cc3e9b29b8ff6f2e05310bf640e3
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-06-22 12:22:14 +0200

    gtatool component-convert: improve --help text.

 gtatool/src/component/component-convert.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7ee44246b152849b057bfabbdcfcc9b958b32027
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-06-22 10:49:07 +0200

    gtatool component-convert: add option to normalize range during conversion.

 gtatool/src/component/component-convert.cpp | 115 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 108 insertions(+), 7 deletions(-)

commit e319ddad5fa3fe585cf8a393238437180e2fa2c7
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-28 18:36:52 +0200

    gtatool: add from-sndfile, to-sndfile commands.

 gtatool/configure.ac                      |  15 +++++++++++++
 gtatool/src/Makefile.am                   |  14 +++++++++++-
 gtatool/src/cmds.cpp                      |   4 ++++
 gtatool/src/conv-sndfile/from-sndfile.cpp | 142 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/conv-sndfile/to-sndfile.cpp   | 163 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 337 insertions(+), 1 deletion(-)

commit 2295440b8299fe4cb7bd75e34e96e37ba429a81a
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-28 18:32:40 +0200

    gtatool from-ffmpeg: fix audio meta data.

 gtatool/src/conv-ffmpeg/from-ffmpeg.cpp | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 01d4171e2225674b414308cbdbe10a5ae7977759
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-28 18:22:59 +0200

    gtatool: make all conversion commands optional.

 gtatool/configure.ac    | 48 ++++++++++++++++++++++++++++++++++++------------
 gtatool/src/Makefile.am | 16 +++++++++++-----
 gtatool/src/cmds.cpp    | 12 ++++++------
 3 files changed, 53 insertions(+), 23 deletions(-)

commit 9e09c3db8ac73736a257b13cb2aaaffda09a760d
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-28 12:25:53 +0200

    gtatool from-ffmpeg: fix audio data import.
    
    Use a temporary file to store all audio data to be able to get the exact number
    of samples, and only afterward write everything to a GTA.

 gtatool/src/conv-ffmpeg/from-ffmpeg.cpp | 66 ++++++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 48 insertions(+), 18 deletions(-)

commit f896b33f30bf06e0bdf9de2b01120784fec3d530
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-26 16:43:24 +0200

    gtatool: add from-pcd, to-pcd commands.

 gtatool/configure.ac              |  15 ++++++++++++
 gtatool/src/Makefile.am           |  12 ++++++++++
 gtatool/src/cmds.cpp              |   4 ++++
 gtatool/src/conv-pcd/from-pcd.cpp | 190 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/conv-pcd/to-pcd.cpp   | 177 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 398 insertions(+)

commit 17bddee473c2c1fbc48b76beeb6dfc98d87b7280
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-26 16:42:59 +0200

    gtatool from-ply: add metadata.

 gtatool/src/conv-ply/from-ply.cpp | 27 +++++++++++++++++++++------
 1 file changed, 21 insertions(+), 6 deletions(-)

commit c53148f90277d2c6894f6a2bec30e9e5f56846a0
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-26 13:28:03 +0200

    gtatool: add from-ply/to-ply commands.

 gtatool/src/Makefile.am           |    8 +
 gtatool/src/cmds.cpp              |    4 +
 gtatool/src/conv-ply/from-ply.cpp |  219 ++++++++++++
 gtatool/src/conv-ply/ply.h        |  174 ++++++++++
 gtatool/src/conv-ply/plyfile.cpp  | 2792 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/conv-ply/to-ply.cpp   |  238 +++++++++++++
 6 files changed, 3435 insertions(+)

commit a49cd938fcdf5af03f0e87be1753e34d5bbf9f9c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-26 10:27:50 +0200

    gtatool: add dimension-flatten command.

 gtatool/src/Makefile.am                     |   1 +
 gtatool/src/cmds.cpp                        |   2 ++
 gtatool/src/dimension/dimension-flatten.cpp | 136 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 139 insertions(+)

commit a442d0e07784e1e953e9e02174b952b28af7fb9c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-23 07:11:33 +0200

    gtatool from-ffmpeg: set metadata for audio.

 gtatool/src/conv-ffmpeg/from-ffmpeg.cpp | 6 ++++++
 1 file changed, 6 insertions(+)

commit f82396d7bdbbdb17eab0d11ddda76b5c51520822
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-23 07:03:49 +0200

    gtatool from-ffmpeg: fix stream index check.

 gtatool/src/conv-ffmpeg/from-ffmpeg.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fbe056baa901fe59a06a14077d86eb311a6b414c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-23 06:54:30 +0200

    gtatool from-ffmpeg: various improvements.

 gtatool/src/conv-ffmpeg/from-ffmpeg.cpp | 30 ++++++++++--------------------
 gtatool/src/lib.cpp                     | 12 ++++++------
 gtatool/src/lib.h                       |  4 ++--
 3 files changed, 18 insertions(+), 28 deletions(-)

commit d06558c8595bd00784c5c07c51838040fa852ebf
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-22 16:24:01 +0200

    gtatool: synchronize base modules from Bino.

 gtatool/src/base/dbg.cpp |  7 +++----
 gtatool/src/base/exc.cpp |  4 ++--
 gtatool/src/base/opt.cpp |  4 ++--
 gtatool/src/base/opt.h   | 33 ++++++++++++++++++---------------
 gtatool/src/base/str.cpp | 21 +++++++++++++++++++--
 gtatool/src/base/str.h   |  3 +++
 6 files changed, 47 insertions(+), 25 deletions(-)

commit adf10ebbec38405953f797b7fef0e63bcdd39e50
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-22 16:05:58 +0200

    gtatool: improve build order of modules.

 gtatool/configure.ac    |  40 ++++++++++++++++++++--------------------
 gtatool/src/Makefile.am | 160 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------
 2 files changed, 101 insertions(+), 99 deletions(-)

commit 8e54f30548c8ca08d934b3aecb7059b41a3c9134
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-22 15:09:36 +0200

    gtatool: add from-ffmpeg command.

 gtatool/configure.ac                     |  189 ++++++++------
 gtatool/src/Makefile.am                  |   36 ++-
 gtatool/src/base/Makefile.am             |    6 +-
 gtatool/src/base/gettext.h               |    5 +
 gtatool/src/base/s11n.cpp                |  236 ++++++++++++++++++
 gtatool/src/base/s11n.h                  |  153 ++++++++++++
 gtatool/src/base/thread.cpp              |  170 +++++++++++++
 gtatool/src/base/thread.h                |  153 ++++++++++++
 gtatool/src/cmds.cpp                     |    2 +
 gtatool/src/conv-ffmpeg/from-ffmpeg.cpp  |  214 ++++++++++++++++
 gtatool/src/conv-ffmpeg/media_data.cpp   |  931 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/conv-ffmpeg/media_data.h     |  349 ++++++++++++++++++++++++++
 gtatool/src/conv-ffmpeg/media_object.cpp | 1901 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/conv-ffmpeg/media_object.h   |  150 +++++++++++
 14 files changed, 4405 insertions(+), 90 deletions(-)

commit 226a824332686a118a245a42c8326a4037279051
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-22 15:09:05 +0200

    gtatool from-magick: fix typo.

 gtatool/src/conv-magick/from-magick.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 30ae328067e2a169a91fad2f30410f0feef95f11
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-22 14:51:45 +0200

    gtatool: print only warnings by default.

 gtatool/src/main.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 47475462c7cd82220a8f6f1c3642131c51311862
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 22:01:28 +0200

    gtatool: require libgta >= 0.9.4.

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 99885cd0bf6761069911392e3ed6862d05e3ad66
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 21:51:49 +0200

    Clean up packaging.

 gtatool/Makefile.am                          | 11 ++++++-----
 gtatool/{build-aux => pkg/w32}/AddToPath.nsh |  0
 gtatool/{build-aux => pkg/w32}/gtatool.nsi   | 91 +++++++++++++++++++++++++++++--------------------------------------------------------------
 gtatool/pkg/w32/notes.txt                    |  5 +++++
 4 files changed, 40 insertions(+), 67 deletions(-)

commit c2ad963f1072724cfcc1b2cd3b7262067f47a2c0
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 19:57:31 +0200

    gtatool: move all conversion commands into conv-* modules.

 gtatool/src/Makefile.am                                    | 76 +++++++++++++++++++++++++++++++++++++++++++---------------------------------
 gtatool/src/cmds.cpp                                       | 34 +++++++++++++++++-----------------
 gtatool/src/{format-dcmtk => conv-dcmtk}/from-dcmtk.cpp    |  0
 gtatool/src/{format-exr => conv-exr}/from-exr.cpp          |  0
 gtatool/src/{format-exr => conv-exr}/to-exr.cpp            |  0
 gtatool/src/{format-gdal => conv-gdal}/from-gdal.cpp       |  0
 gtatool/src/{format-gdal => conv-gdal}/to-gdal.cpp         |  0
 gtatool/src/{format-magick => conv-magick}/from-magick.cpp |  0
 gtatool/src/{format-magick => conv-magick}/to-magick.cpp   |  0
 gtatool/src/{format-mat => conv-mat}/from-mat.cpp          |  0
 gtatool/src/{format-mat => conv-mat}/to-mat.cpp            |  0
 gtatool/src/{format-netpbm => conv-netpbm}/from-netpbm.cpp |  0
 gtatool/src/{format-netpbm => conv-netpbm}/to-netpbm.cpp   |  0
 gtatool/src/{format-pfs => conv-pfs}/from-pfs.cpp          |  0
 gtatool/src/{format-pfs => conv-pfs}/to-pfs.cpp            |  0
 gtatool/src/{format-rat => conv-rat}/from-rat.cpp          |  0
 gtatool/src/{format-rat => conv-rat}/to-rat.cpp            |  0
 gtatool/src/{format-raw => conv-raw}/from-raw.cpp          |  0
 gtatool/src/{format-raw => conv-raw}/to-raw.cpp            |  0
 19 files changed, 60 insertions(+), 50 deletions(-)

commit faa30f1ae6066e54c195c06d23ba1a543226e35f
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 18:17:57 +0200

    gtatool: make error messages more consistent.

 gtatool/src/main.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b892da59297fb855cd37cb063de85640f211ed35
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 18:15:02 +0200

    gtatool: bump version to 0.9.4.

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7fe846ca5946afe87bac1a30bda26028f2c4dfe6
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 17:41:17 +0200

    gtatool: restructure source files and modules.

 gtatool/configure.ac                                  |   1 -
 gtatool/src/Makefile.am                               | 201 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 gtatool/src/{cmds => array}/compress.cpp              |   0
 gtatool/src/{cmds => array}/create.cpp                |   0
 gtatool/src/{cmds => array}/extract.cpp               |   0
 gtatool/src/{cmds => array}/fill.cpp                  |   0
 gtatool/src/{cmds => array}/info.cpp                  |   0
 gtatool/src/{cmds => array}/merge.cpp                 |   0
 gtatool/src/{cmds => array}/resize.cpp                |   0
 gtatool/src/{cmds => array}/set.cpp                   |   0
 gtatool/src/{cmds => array}/tag.cpp                   |   0
 gtatool/src/{cmds => array}/uncompress.cpp            |   0
 gtatool/src/cmds.cpp                                  | 115 ++++++++++++++++++++++++++++++++++++----------------------------------
 gtatool/src/cmds/Makefile.am                          | 210 --------------------------------------------------------------------------------------------------------------------------------
 gtatool/src/{cmds => component}/component-add.cpp     |   0
 gtatool/src/{cmds => component}/component-compute.cpp |   0
 gtatool/src/{cmds => component}/component-convert.cpp |   0
 gtatool/src/{cmds => component}/component-extract.cpp |   0
 gtatool/src/{cmds => component}/component-merge.cpp   |   0
 gtatool/src/{cmds => component}/component-reorder.cpp |   0
 gtatool/src/{cmds => component}/component-set.cpp     |   0
 gtatool/src/{cmds => component}/component-split.cpp   |   0
 gtatool/src/{cmds => dimension}/dimension-add.cpp     |   0
 gtatool/src/{cmds => dimension}/dimension-extract.cpp |   0
 gtatool/src/{cmds => dimension}/dimension-merge.cpp   |   0
 gtatool/src/{cmds => dimension}/dimension-reorder.cpp |   0
 gtatool/src/{cmds => dimension}/dimension-reverse.cpp |   0
 gtatool/src/{cmds => dimension}/dimension-split.cpp   |   0
 gtatool/src/{cmds => format-dcmtk}/from-dcmtk.cpp     |   0
 gtatool/src/{cmds => format-exr}/from-exr.cpp         |   0
 gtatool/src/{cmds => format-exr}/to-exr.cpp           |   0
 gtatool/src/{cmds => format-gdal}/from-gdal.cpp       |   0
 gtatool/src/{cmds => format-gdal}/to-gdal.cpp         |   0
 gtatool/src/{cmds => format-magick}/from-magick.cpp   |   0
 gtatool/src/{cmds => format-magick}/to-magick.cpp     |   0
 gtatool/src/{cmds => format-mat}/from-mat.cpp         |   0
 gtatool/src/{cmds => format-mat}/to-mat.cpp           |   0
 gtatool/src/{cmds => format-netpbm}/from-netpbm.cpp   |   0
 gtatool/src/{cmds => format-netpbm}/to-netpbm.cpp     |   0
 gtatool/src/{cmds => format-pfs}/from-pfs.cpp         |   0
 gtatool/src/{cmds => format-pfs}/to-pfs.cpp           |   0
 gtatool/src/{cmds => format-rat}/from-rat.cpp         |   0
 gtatool/src/{cmds => format-rat}/to-rat.cpp           |   0
 gtatool/src/{cmds => format-raw}/from-raw.cpp         |   0
 gtatool/src/{cmds => format-raw}/to-raw.cpp           |   0
 gtatool/src/{cmds => gui}/gui.cpp                     |   0
 gtatool/src/{cmds => gui}/gui.h                       |   0
 gtatool/src/{cmds => gui}/gui.png                     | Bin
 gtatool/src/{cmds => gui}/gui.qrc                     |   0
 gtatool/src/{cmds => stream}/stream-extract.cpp       |   0
 gtatool/src/{cmds => stream}/stream-merge.cpp         |   0
 gtatool/src/{cmds => stream}/stream-split.cpp         |   0
 52 files changed, 254 insertions(+), 273 deletions(-)

commit cb85c28d2e91e01100d387ce87e90f4f9be4671c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 16:45:35 +0200

    gtatool: udpate and cleanup build system.
    
    Use pkg-config where available, and remove unnecessary gnulib complexity.

 gtatool/build-aux/config.rpath | 104 ++++++++++++++++++++++++++++++++++-------------------------
 gtatool/configure.ac           | 232 +++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------
 gtatool/m4/00gnulib.m4         |  30 -----------------
 gtatool/m4/absolute-header.m4  |  77 --------------------------------------------
 gtatool/m4/gnulib-cache.m4     |  37 ---------------------
 gtatool/m4/gnulib-common.m4    | 201 -----------------------------------------------------------------------------------------------------------------
 gtatool/m4/gnulib-comp.m4      | 193 -------------------------------------------------------------------------------------------------------------
 gtatool/m4/gnulib-tool.m4      |  57 --------------------------------
 gtatool/m4/iconv.m4            | 268 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/m4/lib-ld.m4           |  21 ++++++------
 gtatool/m4/lib-link.m4         |   9 ++++--
 gtatool/m4/lib-prefix.m4       |   2 +-
 gtatool/src/Makefile.am        |   5 +--
 gtatool/src/cmds/Makefile.am   |  48 +++++++++++++++------------
 14 files changed, 438 insertions(+), 846 deletions(-)

commit 90bde819c90ce6143d0fcb1793a8522d99f3ec69
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 14:07:38 +0200

    gtatool: fix from-dcmtk for dcmtk version 3.6.0.

 gtatool/configure.ac | 4 ++--
 gtatool/src/cmds.cpp | 3 ++-
 2 files changed, 4 insertions(+), 3 deletions(-)

commit db9982822788fe52f440f937f9a109c5466006cf
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-02 13:07:17 +0200

    gtatool: avoid compiler warnings.

 gtatool/src/cmds/component-convert.cpp | 4 ++++
 1 file changed, 4 insertions(+)

commit 34367afcfd71f72fcb1f45f65c4889c76b64bcc6
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-19 10:09:06 +0200

    gtatool: synchronize base modules from Bino.

 gtatool/configure.ac     |   2 +-
 gtatool/src/base/dbg.cpp |  10 ++--
 gtatool/src/base/exc.cpp |   9 ++--
 gtatool/src/base/msg.cpp | 422 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------
 gtatool/src/base/msg.h   |  30 ++++++++++++
 gtatool/src/base/opt.cpp |  25 +++++-----
 gtatool/src/base/opt.h   |  58 ++++++++++++++++++++++
 gtatool/src/base/str.cpp |  38 ++++++++-------
 8 files changed, 511 insertions(+), 83 deletions(-)

commit c00ce1bac0d832346c31443416d7671b384896c2
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-10 21:40:51 +0200

    gtatool: base module str: do not clobber LC_CTYPE locale.

 gtatool/src/base/str.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 47537176d7ec999015acd6d35e53019f89702e61
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-18 10:42:52 +0100

    gtatool: update the base modules.

 gtatool/configure.ac                    |  1 +
 gtatool/src/base/Makefile.am            |  2 +-
 gtatool/src/base/{debug.cpp => dbg.cpp} | 20 +++++++++++---------
 gtatool/src/base/{debug.h => dbg.h}     | 34 ++++++++++++++++++----------------
 gtatool/src/base/msg.cpp                | 21 +++++++++++----------
 gtatool/src/base/opt.cpp                | 22 +++++++++++-----------
 gtatool/src/base/opt.h                  |  4 ++--
 gtatool/src/base/str.cpp                | 16 ++++++++--------
 gtatool/src/base/str.h                  |  8 ++++----
 gtatool/src/cmds.cpp                    |  2 +-
 gtatool/src/cmds/from-dcmtk.cpp         |  2 +-
 gtatool/src/cmds/from-exr.cpp           |  1 -
 gtatool/src/cmds/from-gdal.cpp          |  2 +-
 gtatool/src/cmds/from-magick.cpp        |  1 -
 gtatool/src/cmds/from-mat.cpp           |  1 -
 gtatool/src/cmds/from-netpbm.cpp        |  1 -
 gtatool/src/cmds/from-pfs.cpp           |  1 -
 gtatool/src/cmds/from-rat.cpp           |  2 +-
 gtatool/src/cmds/from-raw.cpp           |  1 -
 gtatool/src/cmds/to-exr.cpp             |  2 +-
 gtatool/src/cmds/to-gdal.cpp            |  2 +-
 gtatool/src/cmds/to-magick.cpp          |  2 +-
 gtatool/src/cmds/to-mat.cpp             |  2 +-
 gtatool/src/cmds/to-netpbm.cpp          |  1 -
 gtatool/src/cmds/to-pfs.cpp             |  2 +-
 gtatool/src/cmds/to-rat.cpp             |  2 +-
 gtatool/src/cmds/to-raw.cpp             |  1 -
 gtatool/src/lib.cpp                     |  4 ++--
 gtatool/src/main.cpp                    |  4 ++--
 29 files changed, 81 insertions(+), 83 deletions(-)

commit 36bf4f6b3eba2d1bc8bb7de10214b769cbc222cd
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-16 09:54:32 +0100

    Update copyright information in version output for 2011.

 gtatool/src/cmds/gui.cpp | 2 +-
 gtatool/src/main.cpp     | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 5a5ba823033b2f5f15efcb682d8f0a030646e121
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-16 09:52:35 +0100

    gtatool: remove the now-obsolete buffering from the element loop.

 gtatool/src/cmds/create.cpp            |  1 -
 gtatool/src/cmds/dimension-add.cpp     |  1 -
 gtatool/src/cmds/dimension-extract.cpp |  1 -
 gtatool/src/cmds/dimension-merge.cpp   |  2 --
 gtatool/src/cmds/dimension-reorder.cpp |  1 -
 gtatool/src/cmds/dimension-reverse.cpp |  1 -
 gtatool/src/cmds/dimension-split.cpp   |  2 --
 gtatool/src/cmds/extract.cpp           |  1 -
 gtatool/src/cmds/fill.cpp              |  1 -
 gtatool/src/cmds/merge.cpp             |  4 ----
 gtatool/src/cmds/resize.cpp            |  1 -
 gtatool/src/cmds/set.cpp               |  2 --
 gtatool/src/lib.cpp                    | 84 +++++++++---------------------------------------------------------------------------
 gtatool/src/lib.h                      | 15 +++------------
 14 files changed, 12 insertions(+), 105 deletions(-)

commit 73bba023b75004a2b8092ebbb99d9c51a9bc0b97
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-16 09:52:18 +0100

    Update copyright information for 2011.

 gtatool/Makefile.am                    | 3 ++-
 gtatool/build-aux/gtatool.nsi          | 3 ++-
 gtatool/configure.ac                   | 3 ++-
 gtatool/doc/gta.1                      | 5 +++--
 gtatool/doc/gta.texi                   | 3 ++-
 gtatool/src/Makefile.am                | 3 ++-
 gtatool/src/base/Makefile.am           | 3 ++-
 gtatool/src/base/blob.h                | 5 ++---
 gtatool/src/base/cio.cpp               | 4 +---
 gtatool/src/base/cio.h                 | 4 +---
 gtatool/src/base/debug.cpp             | 4 +---
 gtatool/src/base/debug.h               | 4 +---
 gtatool/src/base/endianness.h          | 5 ++---
 gtatool/src/base/exc.cpp               | 4 +---
 gtatool/src/base/exc.h                 | 4 +---
 gtatool/src/base/intcheck.h            | 5 ++---
 gtatool/src/base/msg.cpp               | 4 +---
 gtatool/src/base/msg.h                 | 5 ++---
 gtatool/src/base/opt.cpp               | 4 +---
 gtatool/src/base/opt.h                 | 4 +---
 gtatool/src/base/str.cpp               | 5 ++---
 gtatool/src/base/str.h                 | 5 ++---
 gtatool/src/cmds.cpp                   | 4 +---
 gtatool/src/cmds.h                     | 4 +---
 gtatool/src/cmds/Makefile.am           | 3 ++-
 gtatool/src/cmds/component-add.cpp     | 5 ++---
 gtatool/src/cmds/component-compute.cpp | 5 ++---
 gtatool/src/cmds/component-convert.cpp | 5 ++---
 gtatool/src/cmds/component-extract.cpp | 5 ++---
 gtatool/src/cmds/component-merge.cpp   | 5 ++---
 gtatool/src/cmds/component-reorder.cpp | 5 ++---
 gtatool/src/cmds/component-set.cpp     | 5 ++---
 gtatool/src/cmds/component-split.cpp   | 5 ++---
 gtatool/src/cmds/compress.cpp          | 5 ++---
 gtatool/src/cmds/create.cpp            | 5 ++---
 gtatool/src/cmds/dimension-add.cpp     | 5 ++---
 gtatool/src/cmds/dimension-extract.cpp | 5 ++---
 gtatool/src/cmds/dimension-merge.cpp   | 5 ++---
 gtatool/src/cmds/dimension-reorder.cpp | 5 ++---
 gtatool/src/cmds/dimension-reverse.cpp | 5 ++---
 gtatool/src/cmds/dimension-split.cpp   | 5 ++---
 gtatool/src/cmds/extract.cpp           | 5 ++---
 gtatool/src/cmds/fill.cpp              | 5 ++---
 gtatool/src/cmds/from-dcmtk.cpp        | 5 ++---
 gtatool/src/cmds/from-exr.cpp          | 5 ++---
 gtatool/src/cmds/from-gdal.cpp         | 2 --
 gtatool/src/cmds/from-magick.cpp       | 5 ++---
 gtatool/src/cmds/from-mat.cpp          | 5 ++---
 gtatool/src/cmds/from-netpbm.cpp       | 5 ++---
 gtatool/src/cmds/from-pfs.cpp          | 5 ++---
 gtatool/src/cmds/from-rat.cpp          | 5 ++---
 gtatool/src/cmds/from-raw.cpp          | 5 ++---
 gtatool/src/cmds/gui.cpp               | 2 --
 gtatool/src/cmds/gui.h                 | 2 --
 gtatool/src/cmds/info.cpp              | 5 ++---
 gtatool/src/cmds/merge.cpp             | 5 ++---
 gtatool/src/cmds/resize.cpp            | 5 ++---
 gtatool/src/cmds/set.cpp               | 5 ++---
 gtatool/src/cmds/stream-extract.cpp    | 4 +---
 gtatool/src/cmds/stream-merge.cpp      | 5 ++---
 gtatool/src/cmds/stream-split.cpp      | 5 ++---
 gtatool/src/cmds/tag.cpp               | 5 ++---
 gtatool/src/cmds/to-exr.cpp            | 5 ++---
 gtatool/src/cmds/to-gdal.cpp           | 5 ++---
 gtatool/src/cmds/to-magick.cpp         | 5 ++---
 gtatool/src/cmds/to-mat.cpp            | 5 ++---
 gtatool/src/cmds/to-netpbm.cpp         | 5 ++---
 gtatool/src/cmds/to-pfs.cpp            | 5 ++---
 gtatool/src/cmds/to-rat.cpp            | 5 ++---
 gtatool/src/cmds/to-raw.cpp            | 5 ++---
 gtatool/src/cmds/uncompress.cpp        | 5 ++---
 gtatool/src/lib.cpp                    | 5 ++---
 gtatool/src/lib.h                      | 5 ++---
 gtatool/src/main.cpp                   | 4 +---
 gtatool/tests/Makefile.am              | 3 ++-
 gtatool/tests/gta-compress.sh          | 3 ++-
 gtatool/tests/gta-create.sh            | 3 ++-
 gtatool/tests/gta-dimension-add.sh     | 3 ++-
 gtatool/tests/gta-dimension-extract.sh | 3 ++-
 gtatool/tests/gta-dimension-merge.sh   | 3 ++-
 gtatool/tests/gta-dimension-reorder.sh | 3 ++-
 gtatool/tests/gta-dimension-reverse.sh | 3 ++-
 gtatool/tests/gta-dimension-split.sh   | 3 ++-
 gtatool/tests/gta-extract.sh           | 3 ++-
 gtatool/tests/gta-fill.sh              | 3 ++-
 gtatool/tests/gta-help.sh              | 3 ++-
 gtatool/tests/gta-info.sh              | 3 ++-
 gtatool/tests/gta-merge.sh             | 3 ++-
 gtatool/tests/gta-resize.sh            | 3 ++-
 gtatool/tests/gta-set.sh               | 3 ++-
 gtatool/tests/gta-stream-extract.sh    | 3 ++-
 gtatool/tests/gta-stream-merge.sh      | 3 ++-
 gtatool/tests/gta-stream-split.sh      | 3 ++-
 gtatool/tests/gta-tag.sh               | 3 ++-
 gtatool/tests/gta-uncompress.sh        | 3 ++-
 gtatool/tests/gta-version.sh           | 3 ++-
 96 files changed, 174 insertions(+), 226 deletions(-)

commit 932da7ba403c2986e1ed83621beeb99768a5d0c2
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-08 10:00:50 +0100

    Update website and bug report address.

 gtatool/README                | 2 +-
 gtatool/build-aux/gtatool.nsi | 8 ++++----
 gtatool/configure.ac          | 4 ++--
 3 files changed, 7 insertions(+), 7 deletions(-)

commit 6ba678b38140945d8b94729a4d29379cc6dadcc2
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-25 16:36:49 +0100

    gtatool from-gdal: Do not fail on invalid tag values.
    
    Instead, just print a warning for each failing tag.

 gtatool/src/cmds/from-gdal.cpp | 93 +++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------
 1 file changed, 53 insertions(+), 40 deletions(-)

commit 324d29a828ea939d573ec54ae60cb421b43a8898
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-11 13:42:00 +0100

    gtatool gui: fix typo in about box.

 gtatool/src/cmds/gui.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7289c35801d1cad9890186921d96009fdd2edea2
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-11 13:41:14 +0100

    gtatool gui: use QLineEdit instead of QLabel for potentially very long labels.

 gtatool/src/cmds/gui.cpp | 12 ++++++++----
 gtatool/src/cmds/gui.h   | 10 ++++++----
 2 files changed, 14 insertions(+), 8 deletions(-)

commit 79c082533934206c6dbd76cd282e98bd9df561a4
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-09-09 22:12:24 +0200

    dimension-split: do not leave temporary files.

 gtatool/src/cmds/dimension-split.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5c6245691992b0bc8bf4719bd2101d687862c254
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-09-09 21:39:21 +0200

    Move the dimension-* commands to the new array and element loops, and add tests.

 gtatool/src/cmds/dimension-add.cpp     | 100 ++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------
 gtatool/src/cmds/dimension-extract.cpp | 116 +++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------
 gtatool/src/cmds/dimension-merge.cpp   | 111 +++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------
 gtatool/src/cmds/dimension-reorder.cpp | 119 +++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------
 gtatool/src/cmds/dimension-reverse.cpp |  98 +++++++++++++++++++++++++++++++++++++-------------------------------------------------------------
 gtatool/src/cmds/dimension-split.cpp   | 133 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------
 gtatool/src/lib.h                      |  11 ++++++++---
 gtatool/tests/Makefile.am              |  13 +++++++++----
 gtatool/tests/gta-dimension-add.sh     |  25 +++++++++++++++++++++++++
 gtatool/tests/gta-dimension-extract.sh |  21 +++++++++++++++++++++
 gtatool/tests/gta-dimension-merge.sh   |  23 +++++++++++++++++++++++
 gtatool/tests/gta-dimension-reorder.sh |  20 ++++++++++++++++++++
 gtatool/tests/gta-dimension-reverse.sh |  20 ++++++++++++++++++++
 gtatool/tests/gta-dimension-split.sh   |  21 +++++++++++++++++++++
 14 files changed, 424 insertions(+), 407 deletions(-)

commit 55fb375fa0715605b434d84b10fb32be55b774c3
Merge: 7f5ceaa 766e3a3
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-09-04 11:21:17 +0200

    Merge branch 'master' of git.sv.gnu.org:/srv/git/gta

commit 7f5ceaaf728db711b96ad11f981f83b63012997c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-09-04 11:20:24 +0200

    Improve check for optreset, for base/opt.

 gtatool/configure.ac     | 3 +--
 gtatool/src/base/opt.cpp | 2 +-
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 766e3a3429bc4a86a351f9c10dc4b50f76031181
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-09-02 08:50:23 +0200

    Remove stale CFLAGS.

 gtatool/src/base/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit f43ff28f132ee4fb90179f4b08bb084d2ea31a1d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-30 22:29:15 +0200

    Further improvements to exception handling.

 gtatool/src/base/cio.cpp         |   2 +-
 gtatool/src/base/debug.cpp       |   2 +-
 gtatool/src/base/exc.cpp         | 107 ++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------
 gtatool/src/base/exc.h           |  21 ++++++++++++++-------
 gtatool/src/cmds/from-dcmtk.cpp  |  10 +++++-----
 gtatool/src/cmds/from-exr.cpp    |   6 +++---
 gtatool/src/cmds/from-gdal.cpp   |   8 ++++----
 gtatool/src/cmds/from-mat.cpp    |   2 +-
 gtatool/src/cmds/from-netpbm.cpp |   4 ++--
 gtatool/src/cmds/to-exr.cpp      |  10 +++++-----
 gtatool/src/cmds/to-gdal.cpp     |  20 ++++++++++----------
 gtatool/src/cmds/to-mat.cpp      |   5 ++---
 gtatool/src/cmds/to-netpbm.cpp   |  12 ++++++------
 gtatool/src/cmds/to-pfs.cpp      |  10 +++++-----
 gtatool/src/cmds/to-rat.cpp      |   2 +-
 gtatool/src/cmds/to-raw.cpp      |   2 +-
 gtatool/src/lib.cpp              |   2 +-
 17 files changed, 112 insertions(+), 113 deletions(-)

commit 075ce65746d53d55e8e1ff6032009b57bb147a67
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-30 21:03:43 +0200

    Finally get exception handling right. See comments in base/exc.h.

 gtatool/src/base/blob.h             | 24 ++++++++++++------------
 gtatool/src/base/cio.cpp            | 74 +++++++++++++++++++++++++++++++++++++-------------------------------------
 gtatool/src/base/cio.h              | 70 +++++++++++++++++++++++++++++++++++-----------------------------------
 gtatool/src/base/exc.h              | 11 +++++++++++
 gtatool/src/base/intcheck.h         | 10 +++++-----
 gtatool/src/base/str.cpp            | 32 ++++++++++++++++----------------
 gtatool/src/base/str.h              | 32 ++++++++++++++++----------------
 gtatool/src/cmds/stream-extract.cpp |  6 +++---
 gtatool/src/cmds/tag.cpp            |  4 ++--
 gtatool/src/lib.cpp                 | 38 +++++++++++++++++++-------------------
 gtatool/src/lib.h                   | 36 ++++++++++++++++++------------------
 11 files changed, 174 insertions(+), 163 deletions(-)

commit 74bc837fa1eda9d632115af10f767ed552143fd7
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-30 20:43:17 +0200

    Improve array loop API for stream-split special case. Update caller.

 gtatool/src/cmds/stream-split.cpp | 12 +++++-------
 gtatool/src/lib.cpp               | 12 ++++++++++++
 gtatool/src/lib.h                 |  7 +------
 3 files changed, 18 insertions(+), 13 deletions(-)

commit 8be28c87acbf4fb9dc66c40a342d6f8c3e65dcf6
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-30 09:31:37 +0200

    Move the stream commands to the new array and element loop.
    
    Also make some changes to the order of arguments, and add tests.

 gtatool/src/cmds/stream-extract.cpp | 70 ++++++++++++++++++++++++----------------------------------------------
 gtatool/src/cmds/stream-merge.cpp   | 40 +++++++++-------------------------------
 gtatool/src/cmds/stream-split.cpp   | 67 +++++++++++++++++++++++++++++--------------------------------------
 gtatool/src/lib.h                   | 13 +++++++++++--
 gtatool/tests/Makefile.am           |  6 +++++-
 gtatool/tests/gta-stream-extract.sh | 32 ++++++++++++++++++++++++++++++++
 gtatool/tests/gta-stream-merge.sh   | 29 +++++++++++++++++++++++++++++
 gtatool/tests/gta-stream-split.sh   | 30 ++++++++++++++++++++++++++++++
 8 files changed, 169 insertions(+), 118 deletions(-)

commit ac1351d9663fcabb806f3c5d5ce5c6c7e947b57c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-30 09:28:41 +0200

    Fix catch() block.

 gtatool/src/cmds/uncompress.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6c81cd9659ee926915c43deb20b097b59e4530ce
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-30 06:05:16 +0200

    Improve the array_loop and element_loop interfaces.
    
    Update all callers. Remove limitations of the set command.

 gtatool/src/cmds/compress.cpp   |   3 ++-
 gtatool/src/cmds/create.cpp     |   6 ++++--
 gtatool/src/cmds/extract.cpp    |   6 ++++--
 gtatool/src/cmds/fill.cpp       |   6 ++++--
 gtatool/src/cmds/info.cpp       |   3 ++-
 gtatool/src/cmds/merge.cpp      |  54 +++++++++++++++++++++++-------------------------------
 gtatool/src/cmds/resize.cpp     |  13 ++++++-------
 gtatool/src/cmds/set.cpp        | 108 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------
 gtatool/src/cmds/tag.cpp        |   3 ++-
 gtatool/src/cmds/uncompress.cpp |   3 ++-
 gtatool/src/lib.cpp             |  96 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------
 gtatool/src/lib.h               |  23 ++++++++++++++++-------
 gtatool/tests/gta-set.sh        |  15 +++++++++++----
 13 files changed, 193 insertions(+), 146 deletions(-)

commit 960abde5430577a71d45d25633f1b0f0c3969233
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-29 17:33:28 +0200

    Add and improve tests.

 gtatool/tests/Makefile.am       | 15 ++++++++++-----
 gtatool/tests/gta-compress.sh   |  4 ++--
 gtatool/tests/gta-extract.sh    | 20 ++++++++++++++++++++
 gtatool/tests/gta-fill.sh       | 19 +++++++++++++++++++
 gtatool/tests/gta-merge.sh      | 21 +++++++++++++++++++++
 gtatool/tests/gta-resize.sh     | 26 ++++++++++++++++++++++++++
 gtatool/tests/gta-set.sh        | 23 +++++++++++++++++++++++
 gtatool/tests/gta-uncompress.sh |  2 +-
 8 files changed, 122 insertions(+), 8 deletions(-)

commit a0df3f31fe06e0056d1f24e715767e28b4cc81ef
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-29 17:19:08 +0200

    Move all array-based commands to the new array and element loop implementations.

 gtatool/src/cmds/compress.cpp   |  42 +++++++++-----------------------------
 gtatool/src/cmds/create.cpp     |  34 +++++++------------------------
 gtatool/src/cmds/extract.cpp    | 115 ++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------
 gtatool/src/cmds/fill.cpp       | 113 +++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------
 gtatool/src/cmds/info.cpp       | 155 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------
 gtatool/src/cmds/merge.cpp      |  32 ++++++++++++++++++++---------
 gtatool/src/cmds/resize.cpp     | 166 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------
 gtatool/src/cmds/set.cpp        | 124 ++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------
 gtatool/src/cmds/tag.cpp        |  47 +++++++++++--------------------------------
 gtatool/src/cmds/uncompress.cpp |  41 +++++++++----------------------------
 10 files changed, 330 insertions(+), 539 deletions(-)

commit 28cba9273c546745a07ef3b7a9176f90ccf5df4d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-29 17:17:27 +0200

    Add an array loop and an element loop to be used by most gtatool commands.
    
    This harmonizes error messages and reduces code duplication. Additionally,
    the element loop provides input/output buffering and therefore improves
    performance.

 gtatool/src/lib.cpp | 275 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/lib.h   |  81 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 356 insertions(+)

commit 4797d1c1518ac2f4108692706d1f29471d59c4c3
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-29 17:16:54 +0200

    Minor cleanup.

 gtatool/src/base/exc.cpp | 9 ---------
 gtatool/src/base/exc.h   | 6 +-----
 2 files changed, 1 insertion(+), 14 deletions(-)

commit 3c2b26fc193ec30db83d3e81f98c0fc33f3156f0
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-22 16:52:02 +0200

    Fix detection of dlopen() for dynamic module support.

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d481df94cc46f2c7bec29b2680b7edc79d22fb33
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-22 16:28:02 +0200

    Bump version to 0.9.3, and require libgta >= 0.9.3.

 gtatool/configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 279e9febe60f9b6428e7cae26afc1f7ab9b506c0
Merge: 5fcb964 78fc758
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-22 16:24:54 +0200

    Merge branch 'master' of git.sv.gnu.org:/srv/git/gta

commit 32ee1210bed8af59e7ad2e32cbe6ef0872252e61
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-22 16:23:39 +0200

    Improve metadata handling for GDAL import/export.

 gtatool/src/cmds/from-gdal.cpp | 109 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------
 gtatool/src/cmds/to-gdal.cpp   |  92 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------
 2 files changed, 170 insertions(+), 31 deletions(-)

commit e51ec9dc1217ea1626eeefcab985b32ab445ee9c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-22 15:22:03 +0200

    Do not use excess precision when converting floating point numbers to strings.

 gtatool/src/base/str.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 78fc758529f4e160edf5b50251e8dac7de9d7681
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-20 15:44:40 +0200

    gta compress: add -m as a shortcut for --method

 gtatool/src/cmds/compress.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d1347c9614829b1a5aab1cb3c8a378ffcc596113
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-17 11:24:38 +0200

    Improve configure output.
    
    List all missing packages at once. Give the user a hint about which packages to
    install, at least for Debian-based systems.

 gtatool/configure.ac | 72 ++++++++++++++++++++++++++++++++++++------------------------------------
 1 file changed, 36 insertions(+), 36 deletions(-)

commit 9b1d26d84f3072264a46d4f069210647b0967a12
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-15 15:47:14 +0200

    Replace header.data_is_chunked() calls with header.compression() != gta::none tests.

 gtatool/src/cmds/dimension-reorder.cpp | 2 +-
 gtatool/src/cmds/dimension-reverse.cpp | 2 +-
 gtatool/src/cmds/set.cpp               | 2 +-
 gtatool/src/cmds/to-gdal.cpp           | 2 +-
 gtatool/src/cmds/to-netpbm.cpp         | 2 +-
 gtatool/src/cmds/to-raw.cpp            | 2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

commit c862d02cad69a3e5e0cc4e7bb6ede3d33d3564ef
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-15 14:58:26 +0200

    Convert GDAL type CInt32 to cfloat64, not cfloat32.

 gtatool/src/cmds/from-gdal.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 69413df9b632d164cc38066dedf9d909f25e32f6
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-15 14:55:49 +0200

    Do not use GDAL/COLOR_INTERPRETATION tags; only use INTERPRETATION.

 gtatool/src/cmds/from-gdal.cpp |   2 --
 gtatool/src/cmds/to-gdal.cpp   | 168 ++++++++++++++++---------------------------------------------------------------------------------------------------------------------------------------
 2 files changed, 17 insertions(+), 153 deletions(-)

commit 3572dd8e93261871db5a4fa112d071bf64bf0510
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-07-04 16:45:02 +0200

    Improve GDAL detection.
    
    With the latest fix in m4/lib-link.m4, it is now possible to add libgdal1.7.0
    to the GDAL detection code. Additionally, all GDAL library names now use only
    one --with-gdal-prefix option.

 gtatool/configure.ac | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit 1094bcdeabec97a48111d36ba9e5737e73239004
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-07-04 16:42:29 +0200

    Gnulib update to 2010-07-04.

 gtatool/m4/lib-link.m4 | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3aa475bb96fe0d69ae41d39da87e3d7ada49beaa
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-26 13:12:29 +0200

    Update.

 gtatool/NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit af2c09549b507a90f8c763215f24c34d7a887962
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-26 13:12:04 +0200

    Remove obsolete TODO file.

 gtatool/TODO | 16 ----------------
 1 file changed, 16 deletions(-)

commit 7d734e14dfbe4e958ff2f54d661cfd63f09fb037
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-26 13:10:06 +0200

    Bump version to 0.9.2.

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5ef7de044b2346a7e8e647a98d9f8125bdb34cc8
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-25 16:27:09 +0200

    Use consistent package names in configure options.

 gtatool/configure.ac | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 0d313a3e2c4324cef871416c47aea82809c0090f
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-24 16:00:54 +0200

    Use new libgta functionality, and require a sufficiently recent version.
    
    The new functions to convert between a linear index and array indices are now
    in libgta. Use them instead of our own. Require a sufficient libgta version.

 gtatool/configure.ac                   |  4 ++--
 gtatool/src/cmds/component-compute.cpp |  2 +-
 gtatool/src/cmds/dimension-extract.cpp |  2 +-
 gtatool/src/cmds/dimension-reorder.cpp |  2 +-
 gtatool/src/cmds/dimension-reverse.cpp |  2 +-
 gtatool/src/cmds/dimension-split.cpp   |  2 +-
 gtatool/src/cmds/extract.cpp           |  2 +-
 gtatool/src/cmds/fill.cpp              |  2 +-
 gtatool/src/cmds/from-mat.cpp          |  4 ++--
 gtatool/src/cmds/from-rat.cpp          |  4 ++--
 gtatool/src/cmds/merge.cpp             |  2 +-
 gtatool/src/cmds/resize.cpp            |  4 ++--
 gtatool/src/cmds/set.cpp               |  2 +-
 gtatool/src/cmds/to-mat.cpp            |  4 ++--
 gtatool/src/cmds/to-rat.cpp            |  4 ++--
 gtatool/src/lib.cpp                    | 27 ---------------------------
 gtatool/src/lib.h                      |  4 ----
 17 files changed, 21 insertions(+), 52 deletions(-)

commit 83713f2d72ea1bbac63a2934fa2cd2dd0bf4384e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-24 11:53:01 +0200

    Improve configuration output.

 gtatool/configure.ac | 27 +++++++++++----------------
 1 file changed, 11 insertions(+), 16 deletions(-)

commit 3de03c1f7af41e7555a5a6a715ccbf4a3fd583e1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-23 09:57:45 +0200

    from-rat, to-rat: fix RadarTools import/export.
    
    This time, I actually did some tests with RAT 0.21...

 gtatool/src/cmds/from-rat.cpp | 19 +++++++++++--------
 gtatool/src/cmds/to-rat.cpp   | 23 +++++++++++++++--------
 2 files changed, 26 insertions(+), 16 deletions(-)

commit 56527dfd0aa31770ccbf402a79a8c5be695152a2
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-21 15:46:44 +0200

    gui: add RAT import/export, and fix multiple imports.

 gtatool/src/cmds/gui.cpp | 31 ++++++++++++++++++++++++-------
 gtatool/src/cmds/gui.h   |  2 ++
 2 files changed, 26 insertions(+), 7 deletions(-)

commit c2474d5cb05c06f257a62811dcfba041e1f50f37
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-21 15:46:08 +0200

    from-rat, to-rat: new commands to import/export RAT RadarTools files.

 gtatool/src/cmds.cpp          |   4 ++
 gtatool/src/cmds/Makefile.am  |   4 +-
 gtatool/src/cmds/from-rat.cpp | 501 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/cmds/to-rat.cpp   | 232 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 740 insertions(+), 1 deletion(-)

commit 316cf5d01e1f4f574bc7a043caec89c36a19120c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-18 11:10:51 +0200

    from-mat: check input dimensions for validity

 gtatool/src/cmds/from-mat.cpp | 4 ++++
 1 file changed, 4 insertions(+)

commit a0690d1e2244774bde586a791ef75cdad0764643
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-16 06:17:29 +0200

    Remove pthread from list of dcmtk prerequisites for MinGW.

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e78df898f546d1588daa11af6bf43e6d1d69e322
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-15 22:11:02 +0200

    Fix detection of dcmtk and matio on Mingw.

 gtatool/configure.ac | 27 ++++++++++++++++++++++-----
 1 file changed, 22 insertions(+), 5 deletions(-)

commit f5d79f0fdf7b2918dda3f02cf37e75661186de83
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-15 22:10:35 +0200

    Add missing declaration of the to_mat command.

 gtatool/src/cmds.cpp | 1 +
 1 file changed, 1 insertion(+)

commit e04719831c2078deaeef3dc75450d9eb9596f2f0
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-15 09:52:44 +0200

    gui: fix check for alread opened file.

 gtatool/src/cmds/gui.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit b85a3a40845d02bc9330ea0d9b35b6c5601dfcfb
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-15 07:20:51 +0200

    from-mat, to-mat: fix data ordering.
    
    Matlab interpretes dimensions and indices in the opposite order of GTA, so we
    have to transform the data to get its orientation right.

 gtatool/src/cmds/from-mat.cpp | 46 ++++++++++++++++++++++++++++++++++++----------
 gtatool/src/cmds/to-mat.cpp   | 92 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------
 2 files changed, 94 insertions(+), 44 deletions(-)

commit c8e98dfc3141e7705c0717963287b6144ff54ea6
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 22:11:29 +0200

    from-mat: fix typo in warning message.

 gtatool/src/cmds/from-mat.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 12bb58708771109806ceeb675fc3f1cfb68628af
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 22:05:39 +0200

    from-mat, to-mat: fix order of dimensions.

 gtatool/src/cmds/from-mat.cpp | 2 +-
 gtatool/src/cmds/to-mat.cpp   | 5 +++--
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 77e50f506cecabd8b8bd59617885df355913bc66
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 21:48:34 +0200

    gui: do not show command arguments.
    
    Do not show command arguments in the progress and error dialogs because they
    might take too much space.

 gtatool/src/cmds/gui.cpp | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 2099815e9212aee004102b97d460ed87179b6f15
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 21:48:14 +0200

    to-mat: fix compile error.

 gtatool/src/cmds/to-mat.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c8f10095c1482a1ca50f51fa225102a63b2f5932
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 21:43:47 +0200

    to-mat: do not use spaces in the default name for variables.

 gtatool/src/cmds/to-mat.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d9ab1c9f29cd6bce0842d910e68bc57aab60151a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 21:33:57 +0200

    to-mat: do not append to existing output files; overwrite them.

 gtatool/src/cmds/to-mat.cpp | 4 ++++
 1 file changed, 4 insertions(+)

commit 3867d7f31ec4d0159458a389c1669a77f1d5cabf
Merge: 2084329 8bf4876
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 21:31:08 +0200

    Merge branch 'master' of git.sv.gnu.org:/srv/git/gta

commit 8bf4876396d2b48de97f09f14eeafe7bad8dc072
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 17:56:40 +0200

    to-mat: new command to export to MATLAB files.

 gtatool/configure.ac         |   1 +
 gtatool/src/cmds.cpp         |   1 +
 gtatool/src/cmds/Makefile.am |   5 +++-
 gtatool/src/cmds/gui.cpp     |  12 ++++++++
 gtatool/src/cmds/gui.h       |   1 +
 gtatool/src/cmds/to-mat.cpp  | 250 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 269 insertions(+), 1 deletion(-)

commit 7225812b2843097ab8858c0db11f05d1f85a424a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 15:11:23 +0200

    gui: improve description of import/export menu entries.

 gtatool/src/cmds/gui.cpp | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 2c0d52bfaeeb865ce2742cfd773de962eca6d90d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 15:06:59 +0200

    from-mat: New command to import MATLAB files.

 gtatool/configure.ac          |  15 +++++++++++
 gtatool/src/cmds.cpp          |   2 ++
 gtatool/src/cmds/Makefile.am  |  11 ++++++++
 gtatool/src/cmds/from-mat.cpp | 219 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/cmds/gui.cpp      |  12 +++++++++
 gtatool/src/cmds/gui.h        |   1 +
 6 files changed, 260 insertions(+)

commit 2084329dbcdee8a22d072da400c83b4f37fe4814
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-13 19:00:48 +0200

    Fix copy/paste typos in comments.

 gtatool/src/base/intcheck.h | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 988e309116b363eb1c6c1556512659809a64136d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-13 16:43:33 +0200

    gui: change shortcut for "Close" from Ctrl+C to Ctrl+W.

 gtatool/src/cmds/gui.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8d0c92befc364ea2dc0f0e623aa26a8961312fe0
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-13 13:51:11 +0200

    Bump version to 0.9.1.

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2f4a3df98034b39b217a831d1c7a76feb862da0a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-13 13:50:52 +0200

    Rename W32 package to include the 'w32' marker.

 gtatool/Makefile.am           | 4 ++--
 gtatool/build-aux/gtatool.nsi | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 3c11c9a69564892193508bc50ba74218b862a803
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-13 13:50:28 +0200

    gui: fix check for an already opened file.

 gtatool/src/cmds/gui.cpp | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit a8dee4b86f0dfb965e0f0d70abf10d08acb3429f
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-13 13:35:39 +0200

    gui: improve error message dialog for commands that failed.

 gtatool/src/cmds/gui.cpp | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit ab99c86d1cf0e4a62a05c5839c909ea63a13e79d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-13 13:04:02 +0200

    Use lowercase error message for consistency.

 gtatool/src/lib.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 050495c6df3e56ab322d9d07cabb9e8e4f520976
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-12 20:51:49 +0200

    gui: various bug fixes and improvements.
    
    Temporary files are properly removed now. Changed files are automatically saved
    to a temporary file if necessary; the user does not need to explicitly save a
    file before applying an operation to it.

 gtatool/src/cmds/gui.cpp | 188 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------
 gtatool/src/cmds/gui.h   |   4 ++--
 2 files changed, 125 insertions(+), 67 deletions(-)

commit 666d55058db47e61a54cde490a890211a888a166
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-12 20:51:07 +0200

    Base module: add cio::test_e().

 gtatool/src/base/cio.cpp | 14 ++++++++++----
 gtatool/src/base/cio.h   |  2 ++
 2 files changed, 12 insertions(+), 4 deletions(-)

commit 0918043f2390516e28c6639a564942c56536dde3
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-12 16:24:55 +0200

    gui: improve.
    
    Newly created files do not need to be saved via a "File Save" Dialog anymore.
    Instead, they are opened as unnamed files.

 gtatool/src/cmds/gui.cpp | 401 ++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------
 gtatool/src/cmds/gui.h   |  44 +++++++++---------
 2 files changed, 154 insertions(+), 291 deletions(-)

commit 56301dd35a399ac5d1b791188ba978d7976e004b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-12 12:11:30 +0200

    Do not include OpenEXR headers unnecessarily.

 gtatool/src/cmds/from-exr.cpp | 4 ----
 gtatool/src/cmds/to-exr.cpp   | 4 ----
 2 files changed, 8 deletions(-)

commit bc9857e1b290cac44d1974efebf3b209364f6e28
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-12 11:31:55 +0200

    Fix detection of libMagick++.

 gtatool/configure.ac         | 2 +-
 gtatool/src/cmds/Makefile.am | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit d4c028c1033b36a8ce656790c9c9545fff6b73cc
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-10 20:58:05 +0200

    Update gnulib. Local changes are not required anymore.

 gtatool/m4/absolute-header.m4 | 62 +++++++++++++++++++++++++++++++++++++-------------------------
 gtatool/m4/gnulib-common.m4   |  8 +++++++-
 gtatool/m4/lib-link.m4        | 34 +++++++++++++++++-----------------
 3 files changed, 61 insertions(+), 43 deletions(-)

commit 4a946ffd8f9ddb7f47740879b996259aff448c81
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-08 08:26:19 +0200

    gui: add frontends for component commands.
    
    Add frontends for the commands component-add, component-compute,
    component-convert, component-extract, component-merge, component-reorder,
    component-set, component-split.

 gtatool/src/cmds/gui.cpp | 335 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 gtatool/src/cmds/gui.h   |   8 ++++
 2 files changed, 342 insertions(+), 1 deletion(-)

commit 04ad779658724732eec82bdd2b0ee530318dca86
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-07 18:23:04 +0200

    component-merge: fix.

 gtatool/src/cmds/component-merge.cpp | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 35ec011b500dd860099c504746a12d7f3b9e3753
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-07 18:22:50 +0200

    component-split: fix typo in help message.

 gtatool/src/cmds/component-split.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b1fa40e0f85ad7f7c1b6026109e6691af0c68f90
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-07 07:11:09 +0200

    Add copyright note.

 gtatool/build-aux/gtatool.nsi | 4 ++++
 1 file changed, 4 insertions(+)

commit c650569427137fe7216a6b8912a8837f9a716db6
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-07 06:48:08 +0200

    Improve W32 installer.

 gtatool/Makefile.am                        |  9 ++++++---
 gtatool/build-aux/{gta.nsi => gtatool.nsi} | 10 +++++++---
 gtatool/configure.ac                       |  3 +++
 3 files changed, 16 insertions(+), 6 deletions(-)

commit e6d2d1edb1b66d72d09fc525f82d5d85b9f2252b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-06 22:22:31 +0200

    Add initial support to build a W32 installer with NSIS.

 gtatool/Makefile.am             |  13 +++++
 gtatool/build-aux/AddToPath.nsh | 453 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/build-aux/gta.nsi       | 132 ++++++++++++++++++++++++++++++++++++++++++++
 gtatool/configure.ac            |   4 ++
 4 files changed, 602 insertions(+)

commit ff9a699875f343fab52aa7af6ea1550c6def9944
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-06 20:57:34 +0200

    Fix program_name for W32.

 gtatool/src/main.cpp | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit bd63f6407f4dc00001b1740ea69e895bd7df8d43
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-06 20:29:43 +0200

    gui: improve about box.

 gtatool/src/cmds/gui.cpp | 10 ++++++----
 gtatool/src/lib.cpp      |  2 +-
 gtatool/src/lib.h        |  2 ++
 gtatool/src/main.cpp     |  7 +++++--
 4 files changed, 14 insertions(+), 7 deletions(-)

commit d61970a68afe68f4b9109c9fd906d366f25fe4df
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-06 17:29:32 +0200

    gui: add frontend to the dimension commands.
    
    Add Dimensions menu with frontends for the dimension-add, dimension-extract,
    dimension-merge, dimension-reorder, dimension-reverse, and dimension-split
    commands.

 gtatool/src/cmds/gui.cpp | 245 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 gtatool/src/cmds/gui.h   |   6 ++++
 2 files changed, 247 insertions(+), 4 deletions(-)

commit eeaac1942f89849ed66683b350924bc25d070cad
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-06 17:09:34 +0200

    dimension-add: reverse last commit.

 gtatool/src/cmds/dimension-add.cpp | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 765deacdf3e9f096e1ce2c8d4d57ee528660ea64
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-06 16:56:32 +0200

    dimension-add: use -i instead of -d for dimension index.

 gtatool/src/cmds/dimension-add.cpp | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 89e4ec9fdea36f5eafd340e28b7a557cc80b73e2
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-06 11:36:18 +0200

    gui: Fix 'Save as', and fix Qt character set conversion.

 gtatool/src/cmds/gui.cpp | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit a8a49cb289439d0f9c2f6da719703c1a81598eed
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-06 10:44:09 +0200

    gui: tiny cleanups.

 gtatool/src/cmds/gui.cpp | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit 6b11637830399d69a52f13fa9ccebc997cb4c171
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 19:06:47 +0200

    gui: add array commands create, extract, fill, merge, resize, set.

 gtatool/src/cmds/gui.cpp | 345 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------
 gtatool/src/cmds/gui.h   |   7 ++++
 2 files changed, 313 insertions(+), 39 deletions(-)

commit 7a62438fa857a064329260b41c1f773c1383c4bb
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 18:47:52 +0200

    Fix array compatibility checks.

 gtatool/src/cmds/merge.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1306bc6e538502e49395cc9a8503805f4f910abd
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 13:47:35 +0200

    info: print compression information.

 gtatool/src/cmds/info.cpp | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit d05831dc092483c773da66b6e96634ee77d08db4
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 13:40:15 +0200

    GUI: Display compression method, and make it changeable.

 gtatool/src/cmds/gui.cpp | 36 ++++++++++++++++++++++++++++++++++--
 gtatool/src/cmds/gui.h   |  3 +++
 2 files changed, 37 insertions(+), 2 deletions(-)

commit 126f89bc59ebbda669e78a958378a8fc58c14565
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 13:12:04 +0200

    Improve tag add/remove buttons.

 gtatool/src/cmds/gui.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0ad5ed123f33b3fc8c805c3d8acf0bef22f5361a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 12:24:18 +0200

    Properly reset getopt_long to allow multiple evaluations.
    
    On GNU/Linux, set optind to 1. On other systems, additionally set optreset to 1
    if it is available. On W32, we need to persuade getopt.h to declare it first.

 gtatool/configure.ac     | 5 +++++
 gtatool/src/base/opt.cpp | 8 ++++----
 2 files changed, 9 insertions(+), 4 deletions(-)

commit 9aee7e6e40cc46b842becff9067c8d3227057a48
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 12:23:46 +0200

    Properly convert filenames to system conventions.
    
    This only affects W32.

 gtatool/src/cmds/gui.cpp | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit a5704b36c5d0cf536a37361fa3b23580b5874fb8
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 11:03:00 +0200

    Avoid assignments to stdin and stdout.
    
    In the GUI, we need to override stdin and stdout when calling commands.
    Assigning new values to these streams is not portable because they need
    not be lvalues. Therefore, we use our own replacements, gtatool_stdin and
    gtatool_stdout.

 gtatool/src/cmds/component-add.cpp     | 10 +++++-----
 gtatool/src/cmds/component-compute.cpp | 10 +++++-----
 gtatool/src/cmds/component-convert.cpp | 10 +++++-----
 gtatool/src/cmds/component-extract.cpp | 12 +++++++-----
 gtatool/src/cmds/component-merge.cpp   |  6 +++---
 gtatool/src/cmds/component-reorder.cpp | 10 +++++-----
 gtatool/src/cmds/component-set.cpp     | 10 +++++-----
 gtatool/src/cmds/component-split.cpp   | 12 +++++++-----
 gtatool/src/cmds/compress.cpp          | 12 +++++++-----
 gtatool/src/cmds/create.cpp            |  4 ++--
 gtatool/src/cmds/dimension-add.cpp     | 10 +++++-----
 gtatool/src/cmds/dimension-extract.cpp | 10 +++++-----
 gtatool/src/cmds/dimension-merge.cpp   |  6 +++---
 gtatool/src/cmds/dimension-reorder.cpp | 10 +++++-----
 gtatool/src/cmds/dimension-reverse.cpp | 10 +++++-----
 gtatool/src/cmds/dimension-split.cpp   | 10 +++++-----
 gtatool/src/cmds/extract.cpp           | 10 +++++-----
 gtatool/src/cmds/fill.cpp              | 10 +++++-----
 gtatool/src/cmds/from-dcmtk.cpp        |  6 ++++--
 gtatool/src/cmds/from-exr.cpp          |  6 ++++--
 gtatool/src/cmds/from-gdal.cpp         |  6 ++++--
 gtatool/src/cmds/from-magick.cpp       |  6 ++++--
 gtatool/src/cmds/from-netpbm.cpp       |  6 ++++--
 gtatool/src/cmds/from-pfs.cpp          |  6 ++++--
 gtatool/src/cmds/from-raw.cpp          |  4 ++--
 gtatool/src/cmds/gui.cpp               | 12 ++++++------
 gtatool/src/cmds/info.cpp              |  4 ++--
 gtatool/src/cmds/merge.cpp             |  6 +++---
 gtatool/src/cmds/resize.cpp            | 10 +++++-----
 gtatool/src/cmds/set.cpp               | 10 +++++-----
 gtatool/src/cmds/stream-extract.cpp    | 12 +++++++-----
 gtatool/src/cmds/stream-merge.cpp      | 12 +++++++-----
 gtatool/src/cmds/stream-split.cpp      |  6 ++++--
 gtatool/src/cmds/tag.cpp               | 11 ++++++-----
 gtatool/src/cmds/to-exr.cpp            |  4 +++-
 gtatool/src/cmds/to-gdal.cpp           |  6 ++++--
 gtatool/src/cmds/to-magick.cpp         |  6 ++++--
 gtatool/src/cmds/to-netpbm.cpp         |  6 ++++--
 gtatool/src/cmds/to-pfs.cpp            |  6 ++++--
 gtatool/src/cmds/to-raw.cpp            |  4 ++--
 gtatool/src/cmds/uncompress.cpp        | 12 +++++++-----
 gtatool/src/lib.cpp                    |  5 +++++
 gtatool/src/lib.h                      | 10 ++++++++++
 gtatool/src/main.cpp                   |  4 ++++
 44 files changed, 207 insertions(+), 151 deletions(-)

commit 56d8ea0e387ea7305322bc44bede2fb28bd7d5dd
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 09:25:36 +0200

    Improve error message about unavailable commands.

 gtatool/src/main.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 063a0e422295988763eeb36eaed57109e7f35a25
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 01:31:43 +0200

    Avoid non-portable printf conversion specifier.

 gtatool/src/cmds/to-pfs.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 987dc4812ff7436e728bcc86c3a3e6ea79250b2e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 00:31:28 +0200

    Fix program_name on W32.

 gtatool/src/main.cpp | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 4aaa414479035915a8d5b399cc016610dc77123a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 00:07:31 +0200

    Moved from the MagickWand API to Magick++.
    
    Move to the Magick++ interface to simplify the code, fix segfaults, and support
    import and export of multi-image files.

 gtatool/configure.ac             |  19 +++++---
 gtatool/src/cmds/Makefile.am     |   6 +--
 gtatool/src/cmds/from-magick.cpp | 311 ++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------
 gtatool/src/cmds/to-magick.cpp   | 393 +++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------
 4 files changed, 211 insertions(+), 518 deletions(-)

commit 83e6a08a8b53152cb655c3572e99482114a4757d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 00:06:07 +0200

    Support '+' characters in library names.
    
    This fix was sent upstream:
    http://lists.gnu.org/archive/html/bug-gnulib/2010-06/msg00042.html

 gtatool/m4/lib-link.m4 | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit a9246e570a387123870f434381d5a8c16fe6d400
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-30 01:32:18 +0200

    Add missing header.

 gtatool/src/base/str.h | 1 +
 1 file changed, 1 insertion(+)

commit ef49bbfb099c810e572cbff6e58d42a82e92edcb
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-26 22:01:26 +0200

    GUI improvements. Add stream commands.

 gtatool/src/cmds/gui.cpp | 162 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------
 gtatool/src/cmds/gui.h   |  13 ++++++++++++-
 2 files changed, 160 insertions(+), 15 deletions(-)

commit a977965488dc666c4e1f8655cd3077148c0213ac
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-24 12:49:14 +0200

    Minor GUI improvements.

 gtatool/src/cmds/gui.cpp | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 2cec6c3402687105c90e563d2de879edef5a086a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-24 12:37:16 +0200

    GUI improvements. Add import/export of raw data.

 gtatool/src/cmds/gui.cpp | 123 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------
 gtatool/src/cmds/gui.h   |   4 ++--
 2 files changed, 106 insertions(+), 21 deletions(-)

commit d06278e19b28bdc514c5b0c266d9166020b17566
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-24 09:58:04 +0200

    Fix error message for unexpected EOF in cio::read().

 gtatool/src/base/cio.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7b85d5c6f94d3f6c42217fca9a6578fc401317e3
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-21 09:11:32 +0200

    Use a default endianness 'little' instead of 'host', so that the same
    command produce the same results on big and little endian machines.

 gtatool/src/cmds/from-raw.cpp | 21 +++++++--------------
 gtatool/src/cmds/to-raw.cpp   | 18 ++++++------------
 2 files changed, 13 insertions(+), 26 deletions(-)

commit db7c96544e1509bb935255106ce9814d0911007e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-19 10:27:16 +0200

    GUI: Provide default suffix whenever saving a file.

 gtatool/src/cmds/gui.cpp | 32 +++++++++++++-------------------
 gtatool/src/cmds/gui.h   |  5 +++--
 2 files changed, 16 insertions(+), 21 deletions(-)

commit 5e037a161436739eddf5712d99af7fc86cd71a0f
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-18 22:49:05 +0200

    Improve import and export by running gta commands in separate threads so that the GUI is not blocked.

 gtatool/src/cmds/gui.cpp | 93 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 68 insertions(+), 25 deletions(-)

commit 1a1e421c07a0e0e6e8c0e67c1145b11a5e9c487d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-17 18:14:28 +0200

    Remove unused variable.

 gtatool/src/cmds/gui.cpp | 1 -
 1 file changed, 1 deletion(-)

commit 37ef8c98618940c2709e76906c13c47aa459cc9f
Author: Martin Lambers <lambers@fb12.uni-siegen.de>
Date:   2010-05-17 17:55:27 +0200

    gui: add support for most export functions.

 gtatool/src/cmds/gui.cpp | 185 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------
 gtatool/src/cmds/gui.h   |  22 +++++++++----------
 2 files changed, 158 insertions(+), 49 deletions(-)

commit b7ff7c3641f90a7062068a054f88ba99455af7a3
Author: Martin Lambers <lambers@fb12.uni-siegen.de>
Date:   2010-05-17 17:54:33 +0200

    Add a cio::flush() function.

 gtatool/src/base/cio.cpp | 8 ++++++++
 gtatool/src/base/cio.h   | 3 +++
 2 files changed, 11 insertions(+)

commit 1f4be94324c1aeb19d3316c8c61583137cd3d39e
Author: Martin Lambers <lambers@fb12.uni-siegen.de>
Date:   2010-05-17 17:13:48 +0200

    Consistently use msg::*_txt function to avoid overly long messages.

 gtatool/src/cmds/component-add.cpp     |  4 ++--
 gtatool/src/cmds/component-compute.cpp |  6 +++---
 gtatool/src/cmds/component-convert.cpp |  4 ++--
 gtatool/src/cmds/component-extract.cpp |  6 +++---
 gtatool/src/cmds/component-merge.cpp   |  6 +++---
 gtatool/src/cmds/component-reorder.cpp |  8 ++++----
 gtatool/src/cmds/component-set.cpp     |  4 ++--
 gtatool/src/cmds/component-split.cpp   |  4 ++--
 gtatool/src/cmds/compress.cpp          |  4 ++--
 gtatool/src/cmds/create.cpp            |  4 ++--
 gtatool/src/cmds/dimension-add.cpp     |  4 ++--
 gtatool/src/cmds/dimension-extract.cpp |  4 ++--
 gtatool/src/cmds/dimension-merge.cpp   |  6 +++---
 gtatool/src/cmds/dimension-reorder.cpp |  8 ++++----
 gtatool/src/cmds/dimension-reverse.cpp |  6 +++---
 gtatool/src/cmds/dimension-split.cpp   |  4 ++--
 gtatool/src/cmds/extract.cpp           |  8 ++++----
 gtatool/src/cmds/fill.cpp              | 10 +++++-----
 gtatool/src/cmds/from-dcmtk.cpp        |  6 +++---
 gtatool/src/cmds/from-exr.cpp          |  6 +++---
 gtatool/src/cmds/from-gdal.cpp         |  8 ++++----
 gtatool/src/cmds/from-magick.cpp       |  8 ++++----
 gtatool/src/cmds/from-netpbm.cpp       |  4 ++--
 gtatool/src/cmds/from-pfs.cpp          |  6 +++---
 gtatool/src/cmds/from-raw.cpp          |  6 +++---
 gtatool/src/cmds/info.cpp              |  2 +-
 gtatool/src/cmds/merge.cpp             |  6 +++---
 gtatool/src/cmds/resize.cpp            |  6 +++---
 gtatool/src/cmds/set.cpp               |  4 ++--
 gtatool/src/cmds/stream-extract.cpp    |  8 ++++----
 gtatool/src/cmds/stream-merge.cpp      |  4 ++--
 gtatool/src/cmds/stream-split.cpp      |  2 +-
 gtatool/src/cmds/tag.cpp               |  4 ++--
 gtatool/src/cmds/to-exr.cpp            |  8 ++++----
 gtatool/src/cmds/to-gdal.cpp           | 20 ++++++++++----------
 gtatool/src/cmds/to-magick.cpp         | 16 ++++++++--------
 gtatool/src/cmds/to-netpbm.cpp         |  4 ++--
 gtatool/src/cmds/to-pfs.cpp            |  6 +++---
 gtatool/src/cmds/to-raw.cpp            |  4 ++--
 gtatool/src/cmds/uncompress.cpp        |  4 ++--
 40 files changed, 121 insertions(+), 121 deletions(-)

commit e0b03945cb05380ae3f5c58f8d2a813737f73fa8
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-17 11:52:14 +0200

    gui: add support for most import commands.

 gtatool/src/cmds/gui.cpp | 348 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------
 gtatool/src/cmds/gui.h   |  13 ++++++
 2 files changed, 306 insertions(+), 55 deletions(-)

commit 7b33ae64045dd6011fd0ac21dd6906433185b2c8
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-17 11:33:12 +0200

    Invalidate dynamic command information when closing a dynamic module.

 gtatool/src/cmds.cpp | 3 +++
 1 file changed, 3 insertions(+)

commit 5df7962235ea8871290bdf27f8f748775bc84c47
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-17 11:08:19 +0200

    Format ImageMagick errors so that they do not take to many columns.

 gtatool/src/cmds/from-magick.cpp | 4 ++--
 gtatool/src/cmds/to-magick.cpp   | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit ad0dea80b392715c7eb8dd674e79ffa015b02d73
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-17 06:51:07 +0200

    gui: do not try to run file->* actions when there is no open file.

 gtatool/src/cmds/gui.cpp | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 94c168372da0df7d522cbed100ca173137e3f0b0
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-17 06:48:14 +0200

    gui: fix file open mode in file_save()

 gtatool/src/cmds/gui.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 933344c0b5631713b81f218380b70b61b4fe4111
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-16 22:44:44 +0200

    W32 GUI: only destroy console when the user is not watching it.

 gtatool/src/cmds/gui.cpp | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit cf00d0fe07a253f783dce972004a79694e8d6b28
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-16 21:18:15 +0200

    Use a better way to force linking of Qt resources.

 gtatool/src/Makefile.am  | 12 ++----------
 gtatool/src/cmds/gui.cpp |  4 ++++
 2 files changed, 6 insertions(+), 10 deletions(-)

commit 75d44b089906edd6ad86e7a97ef37caed393d9dc
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-16 20:47:55 +0200

    W32: provide appicon, and force linking of GUI resources.

 gtatool/configure.ac    |   6 ++++++
 gtatool/src/Makefile.am |  17 +++++++++++++++--
 gtatool/src/appicon.ico | Bin 0 -> 1078 bytes
 3 files changed, 21 insertions(+), 2 deletions(-)

commit 18b1388a854627f738f4f31524c92e7d0f3f5768
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-16 20:06:16 +0200

    GUI: Close W32 console if not used.

 gtatool/src/cmds/gui.cpp | 7 +++++++
 1 file changed, 7 insertions(+)

commit 044f959759140df84309a7ef6013acdbd7e1ba0b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-16 19:53:01 +0200

    GUI: improve file->open, fix file->save.

 gtatool/src/cmds/gui.cpp | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit ae94f79cf39361b990e7a180d4e8901623778c1d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-16 19:25:20 +0200

    Fix configure output for the gui command.

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a0c82fb3a8e7287fdc1bd94ba88ab3172bb99593
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-16 18:24:46 +0200

    GUI improvements. The GUI is now usable as a tag editor.

 gtatool/src/cmds/gui.cpp | 515 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------
 gtatool/src/cmds/gui.h   |  79 +++++++++++++++++++++---
 2 files changed, 558 insertions(+), 36 deletions(-)

commit 1dcd94b93e7b9b98a22e06a54e69f6c3a0394f83
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-15 21:37:59 +0200

    Add the humble beginnings of a gui command.

 gtatool/configure.ac         |  53 +++++++++++++++++++++++++
 gtatool/src/cmds.cpp         |   2 +
 gtatool/src/cmds/Makefile.am |  31 +++++++++++++++
 gtatool/src/cmds/gui.cpp     | 324 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/cmds/gui.h       | 147 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/cmds/gui.png     | Bin 0 -> 2776 bytes
 gtatool/src/cmds/gui.qrc     |   5 +++
 7 files changed, 562 insertions(+)

commit 831d8586a9a745b1650e300f462cafccff4e9e3c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-15 21:36:53 +0200

    Add a cio::basename() function.

 gtatool/src/base/cio.cpp | 15 +++++++++++++++
 gtatool/src/base/cio.h   |  8 +++++---
 2 files changed, 20 insertions(+), 3 deletions(-)

commit cb51c9b8ec052f0e68cedee776291fa142162cc7
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-15 19:35:51 +0200

    Use 64 bit file offsets on W32.

 gtatool/src/base/cio.h | 3 +++
 1 file changed, 3 insertions(+)

commit 6ac96f631ca0cf295fd6b8d1f4fe69a5d4314b05
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-15 18:08:24 +0200

    Avoid compiler warnings in checked_cast<>().

 gtatool/src/base/intcheck.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5437b826b2128decdac26b31a00c9806971674f3
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-15 13:17:24 +0200

    Fix dimension-merge command, and improve its error messages.

 gtatool/src/cmds/dimension-merge.cpp | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 708e152e3249bc39acca2f08378d147fda66a6aa
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 17:51:19 +0200

    Update TODO list.

 gtatool/TODO | 3 ---
 1 file changed, 3 deletions(-)

commit 467af6804257b5d632bbf466da54eea57d78a267
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 17:50:51 +0200

    Add the stream-extract command.

 gtatool/src/cmds.cpp                |   2 ++
 gtatool/src/cmds/Makefile.am        |   1 +
 gtatool/src/cmds/stream-extract.cpp | 261 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 264 insertions(+)

commit 891efea30a720854f333d82a0e9684268990961b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 17:39:07 +0200

    Fix error reporting for str::to().

 gtatool/src/base/str.cpp | 33 ++++++++++++++++-----------------
 1 file changed, 16 insertions(+), 17 deletions(-)

commit 628247f51556408231f5cb51776cb0d8d9a5428e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 16:33:25 +0200

    Add str::to() functions to the base module str that convert strings to basic data types. Rename str::str() to str::from() for consistency. Update all callers.

 gtatool/src/base/str.cpp               | 58 ++++++++++++++++++++++++++++++++++++++++++++--------------
 gtatool/src/base/str.h                 | 45 +++++++++++++++++++++++++++++++--------------
 gtatool/src/cmds/component-add.cpp     |  4 ++--
 gtatool/src/cmds/component-compute.cpp | 12 ++++++------
 gtatool/src/cmds/component-convert.cpp |  2 +-
 gtatool/src/cmds/component-extract.cpp |  6 +++---
 gtatool/src/cmds/component-merge.cpp   |  4 ++--
 gtatool/src/cmds/component-reorder.cpp | 14 +++++++-------
 gtatool/src/cmds/component-set.cpp     |  4 ++--
 gtatool/src/cmds/component-split.cpp   |  4 ++--
 gtatool/src/cmds/dimension-add.cpp     |  4 ++--
 gtatool/src/cmds/dimension-extract.cpp |  6 +++---
 gtatool/src/cmds/dimension-merge.cpp   |  8 ++++----
 gtatool/src/cmds/dimension-reorder.cpp | 14 +++++++-------
 gtatool/src/cmds/dimension-reverse.cpp |  6 +++---
 gtatool/src/cmds/dimension-split.cpp   |  4 ++--
 gtatool/src/cmds/extract.cpp           |  6 +++---
 gtatool/src/cmds/fill.cpp              |  2 +-
 gtatool/src/cmds/from-dcmtk.cpp        | 12 ++++++------
 gtatool/src/cmds/from-gdal.cpp         | 26 +++++++++++++-------------
 gtatool/src/cmds/info.cpp              | 10 +++++-----
 gtatool/src/cmds/merge.cpp             | 10 +++++-----
 gtatool/src/cmds/resize.cpp            |  2 +-
 gtatool/src/cmds/set.cpp               |  2 +-
 gtatool/src/cmds/stream-split.cpp      |  2 +-
 gtatool/src/cmds/tag.cpp               |  6 +++---
 gtatool/src/cmds/to-exr.cpp            |  2 +-
 gtatool/src/cmds/to-gdal.cpp           | 10 +++++-----
 gtatool/src/cmds/to-pfs.cpp            |  2 +-
 gtatool/src/lib.cpp                    |  2 +-
 30 files changed, 168 insertions(+), 121 deletions(-)

commit 11f4cbb71b7610787570c9a7e7d0714c71049bdb
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 13:30:54 +0200

    Add the stream-split command.

 gtatool/src/cmds.cpp              |   2 ++
 gtatool/src/cmds/Makefile.am      |   1 +
 gtatool/src/cmds/stream-split.cpp | 150 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 153 insertions(+)

commit 5c1b1ffec88fcffadfc71a30655d2f32e26ef8d7
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 11:44:13 +0200

    Add command stream-merge.

 gtatool/src/cmds.cpp              |   2 ++
 gtatool/src/cmds/Makefile.am      |   1 +
 gtatool/src/cmds/stream-merge.cpp | 108 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/main.cpp              |   4 ++--
 4 files changed, 113 insertions(+), 2 deletions(-)

commit b57fa0bfb3305bbfddfee6f5b43afb64ed51b450
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 11:09:15 +0200

    Require libgta >= 0.9.1.

 gtatool/configure.ac | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit d3471ccea54195bebc69fe45e79744c2d4aa6433
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 11:08:45 +0200

    Allow control over ZLIB compression levels.

 gtatool/src/cmds/compress.cpp | 26 +++++++++++++++++++++++---
 1 file changed, 23 insertions(+), 3 deletions(-)

commit 91cb6abd8d66e6cb0b1f657fd2f06adb3d1aadc1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 10:11:53 +0200

    Minor improvement for README.

 gtatool/README | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f52200242ad1ecc576db4c3da0563f45c8ecff7d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-13 14:55:56 +0200

    Provide a minimal README file.

 gtatool/README | 6 ++++++
 1 file changed, 6 insertions(+)

commit 4290bb4a0645d4bee3d54188fcb269a191a66a81
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-13 14:54:21 +0200

    Update NEWS.

 gtatool/NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit 59512ced49d77ea97d84e6f4b46fff223587f56e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-13 14:54:13 +0200

    Update TODO list.

 gtatool/TODO | 10 ----------
 1 file changed, 10 deletions(-)

commit 20051b6c9176c523db890b942a4e9ef493f37492
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-13 14:52:44 +0200

    Add new command dimension-split.

 gtatool/src/cmds.cpp                 |   2 ++
 gtatool/src/cmds/Makefile.am         |   1 +
 gtatool/src/cmds/dimension-split.cpp | 168 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 171 insertions(+)

commit f1655c00ad5922fe2bc7cc2259400ecaa5ee4b4b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-13 14:52:10 +0200

    Improve the help text and remove an unused variable.

 gtatool/src/cmds/component-split.cpp | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit faf55727bc36ec0769fec7ce365338861c25a17a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-13 13:16:45 +0200

    Improve error messages, and properly close input files.

 gtatool/src/cmds/component-add.cpp     | 10 +++++++++-
 gtatool/src/cmds/component-compute.cpp | 12 ++++++++++--
 gtatool/src/cmds/component-convert.cpp | 12 ++++++++++--
 gtatool/src/cmds/component-extract.cpp | 12 ++++++++++--
 gtatool/src/cmds/component-merge.cpp   |  8 +++++---
 gtatool/src/cmds/component-reorder.cpp | 10 +++++++++-
 gtatool/src/cmds/component-set.cpp     | 10 +++++++++-
 gtatool/src/cmds/compress.cpp          |  4 ++++
 gtatool/src/cmds/dimension-add.cpp     | 10 +++++++++-
 gtatool/src/cmds/dimension-extract.cpp | 14 +++++++++++---
 gtatool/src/cmds/dimension-merge.cpp   | 10 ++++++----
 gtatool/src/cmds/dimension-reorder.cpp | 12 ++++++++++--
 gtatool/src/cmds/dimension-reverse.cpp | 12 ++++++++++--
 gtatool/src/cmds/extract.cpp           | 14 +++++++++++---
 gtatool/src/cmds/fill.cpp              | 10 +++++++++-
 gtatool/src/cmds/info.cpp              |  4 ++++
 gtatool/src/cmds/merge.cpp             | 14 ++++++++------
 gtatool/src/cmds/resize.cpp            | 10 +++++++++-
 gtatool/src/cmds/set.cpp               | 14 +++++++++++---
 gtatool/src/cmds/tag.cpp               | 44 ++++++++++++++++++++++++--------------------
 gtatool/src/cmds/uncompress.cpp        |  4 ++++
 21 files changed, 192 insertions(+), 58 deletions(-)

commit cd6c6c78a313d424c38f42a9ec51fac3c278ec52
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-13 13:16:28 +0200

    Add new command component-split.

 gtatool/src/cmds.cpp                 |   2 ++
 gtatool/src/cmds/Makefile.am         |   1 +
 gtatool/src/cmds/component-split.cpp | 180 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 183 insertions(+)

commit 10967a3ef9bd734129cd515109945cedb6917cc3
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-11 16:11:48 +0200

    Update TODO list.

 gtatool/TODO | 29 ++++++++++++++++-------------
 1 file changed, 16 insertions(+), 13 deletions(-)

commit 747e84f56a18453029df4b71f94b44e0bbdb00d0
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-07 11:06:42 +0200

    Make sure that 'make mydist' produces an archive with the right permissions.

 gtatool/Makefile.am | 6 ++++++
 1 file changed, 6 insertions(+)

commit 0112dfb37c8423a1d519c6cb855c37cea9e8e935
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-06 20:55:16 +0200

    Add missing headers for Windows.

 gtatool/src/main.cpp | 2 ++
 1 file changed, 2 insertions(+)

commit dd632800e774dda66417d1cb5791132f566ca307
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-06 17:22:08 +0200

    Move the management of commands from main.cpp into cmds.cpp.

 gtatool/src/Makefile.am |   2 +-
 gtatool/src/cmds.cpp    | 254 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/cmds.h      |  74 ++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/main.cpp    | 227 +++++++++------------------------------------------------------------------------------------------------------------------------------------
 4 files changed, 343 insertions(+), 214 deletions(-)

commit 1399239476c16338558f5efce146bad567253774
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-06 16:36:33 +0200

    Fix typos in messages.

 gtatool/src/cmds/to-gdal.cpp | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit cd084a5d140c1ee8efcbfdec5f5a265419fed29a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-06 13:28:15 +0200

    Work around Windows braindeadness.

 gtatool/src/base/str.cpp | 9 +++++++++
 1 file changed, 9 insertions(+)

commit cb951f7e7e71d53fd87960f3e38a5588dc74726e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-06 12:55:38 +0200

    Fix last commit.

 gtatool/src/cmds/tag.cpp | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit a629e2c058fd104d07c72550fea034305ed2f61b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-06 12:51:25 +0200

    Properly handle conversion to/from UTF-8 for tag names and values.

 gtatool/configure.ac      |  8 ++++++++
 gtatool/src/Makefile.am   |  2 +-
 gtatool/src/base/str.cpp  | 82 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 gtatool/src/base/str.h    |  6 ++++++
 gtatool/src/cmds/info.cpp |  6 +++---
 gtatool/src/cmds/tag.cpp  | 24 ++++++++++++------------
 gtatool/src/lib.cpp       | 35 +++++++++++++++++++++++++++++++++++
 gtatool/src/lib.h         |  4 ++++
 8 files changed, 150 insertions(+), 17 deletions(-)

commit e470d0f32b4068c2a33608e620d42f19e8dc07dc
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-04 22:10:43 +0200

    Add a minimal man page and texinfo manual.

 gtatool/Makefile.am     |  2 +-
 gtatool/configure.ac    |  1 +
 gtatool/doc/Makefile.am |  4 ++++
 gtatool/doc/gta.1       | 19 +++++++++++++++++++
 gtatool/doc/gta.texi    | 31 +++++++++++++++++++++++++++++++
 5 files changed, 56 insertions(+), 1 deletion(-)

commit 59004d723a0505faecf0924e721e09f8f56fbaf5
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-04 20:44:35 +0200

    Update the TODO list.

 gtatool/TODO | 2 --
 1 file changed, 2 deletions(-)

commit 2cb10f826e9dbd60b33e684c8142184a7a2347b1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-04 16:35:19 +0200

    Fix linking for systems that do not support dynamic modules.

 gtatool/src/main.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 009b88eb5fa779d6e8a487e93e820dbe4aa52f20
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-04 13:42:33 +0200

    Show all commands in help output, including those that are unavailable due to missing libraries.

 gtatool/src/main.cpp | 194 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------
 1 file changed, 81 insertions(+), 113 deletions(-)

commit be5685a101358fcdd0f4bea6e8875e06cc1df3c3
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-04 13:10:04 +0200

    Consistently use WITH_* defines and automake conditionals for each module.

 gtatool/configure.ac         | 24 +++++++++++++++---------
 gtatool/src/cmds/Makefile.am | 14 +++++++-------
 2 files changed, 22 insertions(+), 16 deletions(-)

commit 4736dacda2dcefcde7e3fd7a8467d16988793bd1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-02 19:28:58 +0200

    Remove newline from help output.

 gtatool/src/main.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a891ddd2e050d9a551c0ba60d424ce03913ccbce
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-02 16:09:01 +0200

    Use str::str instead of problematic printf conversion specifiers.

 gtatool/src/cmds/info.cpp    | 40 +++++++++++++++-------------------------
 gtatool/src/cmds/tag.cpp     | 17 ++++++-----------
 gtatool/src/cmds/to-exr.cpp  |  8 ++++----
 gtatool/src/cmds/to-gdal.cpp | 15 +++++----------
 4 files changed, 30 insertions(+), 50 deletions(-)

commit a813311c0fc2ab9329984e363341d42f31424c73
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-02 16:07:48 +0200

    Fix integer overflow check.

 gtatool/src/base/str.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 43daa3d841419f2ac0578aefec1c506fafa693b1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-02 14:46:47 +0200

    Add URL to AC_INIT call.

 gtatool/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8a01d7bd6dfda1f1ac0af5d27b86a80ec23398a6
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-02 11:12:25 +0200

    Explicitly call the base class constructor.

 gtatool/src/base/exc.cpp | 6 ++++++
 1 file changed, 6 insertions(+)

commit 827bb6b982a6b0b17fe54b930b241a3dc117afc6
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-01 23:46:17 +0200

    Improve detection of separate include directories for packages muparser, openexr, gdal.

 gtatool/configure.ac                   | 41 +++++++++++++++++++----------------------
 gtatool/src/cmds/component-compute.cpp |  6 +-----
 2 files changed, 20 insertions(+), 27 deletions(-)

commit 99c0e9eb0bf932cf7197466dcfc4ccea85853091
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-01 23:29:24 +0200

    Do not try to remove module .la files if there are no modules.

 gtatool/src/cmds/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bd3a8368aaee95d8bb37a8eaed63cafcf4a039f2
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-01 23:28:51 +0200

    Fix compilation on 32bit systems.

 gtatool/src/cmds/component-add.cpp | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 1b35df0b19fa2fc0fd0a3f24074701df941ef2ba
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-04-29 22:06:15 +0200

    Remove unused LIB_CLOCK_GETTIME.

 gtatool/src/Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 86ce95fde51eb5bdba406dcba1993f4188dcbaad
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-04-29 10:29:18 +0200

    Remove unused modules from src/base, and cleanup the rest.

 gtatool/configure.ac          |   8 --
 gtatool/src/base/Makefile.am  |  21 ++--
 gtatool/src/base/atomic.h     |  74 --------------
 gtatool/src/base/blob.h       |  39 ++------
 gtatool/src/base/endianness.h | 122 +++++++++++++++++++++++
 gtatool/src/base/opt.cpp      |   1 -
 gtatool/src/base/progress.cpp | 124 -----------------------
 gtatool/src/base/progress.h   |  56 -----------
 gtatool/src/base/str.cpp      |  49 ---------
 gtatool/src/base/str.h        |   7 --
 gtatool/src/base/timer.cpp    | 288 -----------------------------------------------------
 gtatool/src/base/timer.h      |  97 ------------------
 gtatool/src/base/tools.cpp    | 131 -------------------------
 gtatool/src/base/tools.h      | 823 --------------------------------------------------------------------------------------------------------------------------------------------------------
 gtatool/src/cmds/from-raw.cpp |  20 ++--
 gtatool/src/cmds/to-raw.cpp   |  20 ++--
 gtatool/src/lib.cpp           |  22 ++---
 17 files changed, 176 insertions(+), 1726 deletions(-)

commit 8b7e6564117ad87fd9cc8b0f9d38858062d2cfad
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-04-29 09:54:31 +0200

    Cleanup and simplify handling of integer overflows.

 gtatool/src/cmds/component-add.cpp     | 12 ++----------
 gtatool/src/cmds/component-merge.cpp   |  8 --------
 gtatool/src/cmds/dimension-add.cpp     |  8 --------
 gtatool/src/cmds/dimension-extract.cpp |  8 --------
 gtatool/src/cmds/dimension-reorder.cpp |  4 ----
 gtatool/src/cmds/dimension-reverse.cpp |  4 ----
 gtatool/src/cmds/extract.cpp           |  4 ----
 gtatool/src/cmds/merge.cpp             | 14 +-------------
 gtatool/src/lib.cpp                    | 23 ++++-------------------
 9 files changed, 7 insertions(+), 78 deletions(-)

commit ce8ceea05a04822542c9a41fbca2e66c3bb307c2
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-04-29 09:00:54 +0200

    Cleanup and extent base/checked_cast.h and rename it to base/intcheck.h.

 gtatool/src/base/Makefile.am           |   2 +-
 gtatool/src/base/checked_cast.h        | 155 ---------------------------------------------------------------------------------------------------------
 gtatool/src/base/intcheck.h            | 211 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/cmds/component-add.cpp     |   2 +-
 gtatool/src/cmds/component-compute.cpp |   2 +-
 gtatool/src/cmds/component-convert.cpp |   2 +-
 gtatool/src/cmds/component-extract.cpp |   2 +-
 gtatool/src/cmds/component-merge.cpp   |   2 +-
 gtatool/src/cmds/component-reorder.cpp |   2 +-
 gtatool/src/cmds/component-set.cpp     |   2 +-
 gtatool/src/cmds/create.cpp            |   2 +-
 gtatool/src/cmds/dimension-add.cpp     |   2 +-
 gtatool/src/cmds/dimension-extract.cpp |   2 +-
 gtatool/src/cmds/dimension-merge.cpp   |   2 +-
 gtatool/src/cmds/dimension-reorder.cpp |   2 +-
 gtatool/src/cmds/dimension-reverse.cpp |   2 +-
 gtatool/src/cmds/extract.cpp           |   2 +-
 gtatool/src/cmds/fill.cpp              |   2 +-
 gtatool/src/cmds/from-exr.cpp          |   2 +-
 gtatool/src/cmds/from-gdal.cpp         |   2 +-
 gtatool/src/cmds/from-magick.cpp       |   2 +-
 gtatool/src/cmds/from-netpbm.cpp       |   2 +-
 gtatool/src/cmds/from-pfs.cpp          |   2 +-
 gtatool/src/cmds/from-raw.cpp          |   2 +-
 gtatool/src/cmds/merge.cpp             |   2 +-
 gtatool/src/cmds/resize.cpp            |   2 +-
 gtatool/src/cmds/set.cpp               |   2 +-
 gtatool/src/cmds/to-exr.cpp            |   2 +-
 gtatool/src/cmds/to-gdal.cpp           |   2 +-
 gtatool/src/cmds/to-magick.cpp         |   2 +-
 gtatool/src/cmds/to-netpbm.cpp         |   2 +-
 gtatool/src/cmds/to-pfs.cpp            |   2 +-
 gtatool/src/cmds/to-raw.cpp            |   2 +-
 33 files changed, 242 insertions(+), 186 deletions(-)

commit 8080002e55701cdb11be919992df28ec8775b649
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-04-28 23:33:56 +0200

    Fix bus error on sparc64 due to unaligned access.

 gtatool/src/lib.cpp | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 4f3730e7991212edbb1506fc7e1af3e41accf9ef
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-04-28 23:29:35 +0200

    Cleanup the base/blob module, and provide a new module
    base/check_state.h. This fixes compilation on 32bit platforms.

 gtatool/src/base/Makefile.am           |   1 +
 gtatool/src/base/blob.h                | 570 ++++++-----------------------------------------------------------------------------------------------------------------------------------------
 gtatool/src/base/checked_cast.h        | 155 +++++++++++++++++++++++++++++++++++++++
 gtatool/src/cmds/component-add.cpp     |   7 +-
 gtatool/src/cmds/component-compute.cpp |   3 +-
 gtatool/src/cmds/component-convert.cpp |   5 +-
 gtatool/src/cmds/component-extract.cpp |   5 +-
 gtatool/src/cmds/component-merge.cpp   |   3 +-
 gtatool/src/cmds/component-reorder.cpp |   5 +-
 gtatool/src/cmds/component-set.cpp     |   5 +-
 gtatool/src/cmds/create.cpp            |   3 +-
 gtatool/src/cmds/dimension-add.cpp     |   3 +-
 gtatool/src/cmds/dimension-extract.cpp |   3 +-
 gtatool/src/cmds/dimension-merge.cpp   |   3 +-
 gtatool/src/cmds/dimension-reorder.cpp |   3 +-
 gtatool/src/cmds/dimension-reverse.cpp |   3 +-
 gtatool/src/cmds/extract.cpp           |   3 +-
 gtatool/src/cmds/fill.cpp              |   5 +-
 gtatool/src/cmds/from-exr.cpp          |   3 +-
 gtatool/src/cmds/from-gdal.cpp         |   7 +-
 gtatool/src/cmds/from-magick.cpp       |   3 +-
 gtatool/src/cmds/from-netpbm.cpp       |   3 +-
 gtatool/src/cmds/from-pfs.cpp          |   5 +-
 gtatool/src/cmds/from-raw.cpp          |   3 +-
 gtatool/src/cmds/merge.cpp             |   3 +-
 gtatool/src/cmds/resize.cpp            |   5 +-
 gtatool/src/cmds/set.cpp               |   3 +-
 gtatool/src/cmds/to-exr.cpp            |   5 +-
 gtatool/src/cmds/to-gdal.cpp           |   5 +-
 gtatool/src/cmds/to-magick.cpp         |   6 +-
 gtatool/src/cmds/to-netpbm.cpp         |   3 +-
 gtatool/src/cmds/to-pfs.cpp            |   3 +-
 gtatool/src/cmds/to-raw.cpp            |   3 +-
 33 files changed, 255 insertions(+), 590 deletions(-)

commit bdf8b536c88a8d0f8709866ea1b19cbde5c2e88c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-04-28 20:20:54 +0200

    Update TODO list.

 gtatool/TODO | 23 ++++++++++++++++++-----
 1 file changed, 18 insertions(+), 5 deletions(-)

commit 7ad18dc2127b1fd6839a119deef7dda20ddbf219
Author: Martin Lambers <lambers@fb12.uni-siegen.de>
Date:   2010-04-27 09:04:56 +0200

    Add missing tests, and distribute the test scripts.

 gtatool/tests/Makefile.am | 4 ++++
 1 file changed, 4 insertions(+)

commit 34b3d1404ae521d622d514d8b143163c6386bbc1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-04-27 08:43:29 +0200

    Initial import

 gtatool/AUTHORS                        |    1 +
 gtatool/COPYING                        |  674 ++++++++++++
 gtatool/ChangeLog                      |    3 +
 gtatool/INSTALL                        |  365 +++++++
 gtatool/Makefile.am                    |   15 +
 gtatool/NEWS                           |    0
 gtatool/README                         |    0
 gtatool/TODO                           |   15 +
 gtatool/build-aux/config.guess         | 1501 ++++++++++++++++++++++++++
 gtatool/build-aux/config.rpath         |  672 ++++++++++++
 gtatool/build-aux/config.sub           | 1705 +++++++++++++++++++++++++++++
 gtatool/build-aux/depcomp              |  630 +++++++++++
 gtatool/build-aux/install-sh           |  520 +++++++++
 gtatool/build-aux/ltmain.sh            | 8406 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/build-aux/missing              |  376 +++++++
 gtatool/configure.ac                   |  273 +++++
 gtatool/m4/00gnulib.m4                 |   30 +
 gtatool/m4/absolute-header.m4          |   65 ++
 gtatool/m4/gnulib-cache.m4             |   37 +
 gtatool/m4/gnulib-common.m4            |  195 ++++
